Pointing Devices

Pointing Device Buttons
Pointing Devices

You can use as your pointing device a mouse, a digitizing puck, or a stylus, and it may have more than two buttons.

Topics in this section

  • Pointing Device Buttons

    The first 10 pointing device buttons are automatically assigned; you can reassign all except button 1, the pick button.

  • Digitizing Tablets

    You can use the puck or stylus of a digitizing tablet as a pointing device, or you can trace a paper drawing into a file.

Please send us your comment about this page


Pointing Device Buttons (Concept)

Pointing Devices
Pointing Devices
Digitizing Tablets
Pointing Devices >
Pointing Device Buttons
Concept Procedure Quick Reference

The first 10 pointing device buttons are automatically assigned; you can reassign all except button 1, the pick button.

On a two-button mouse, the left button is the pick button used to

  • Specify locations
  • Select objects for editing
  • Choose menu options and dialog box buttons and fields

The operation of the right button on a mouse depends on context; it can be used to

  • End a command in progress
  • Display a shortcut menu
  • Display the Object Snap menu
  • Display the Toolbars dialog box

Right-click operation can be modified in the Options dialog box (OPTIONS). The operation of additional buttons on a pointing device is defined in the menu file.

The Wheel Mouse

The wheel mouse has a small wheel between the buttons. The left and right buttons behave the same as they do on a standard mouse. You can rotate the wheel by discrete values. You can use the wheel to zoom and pan in your drawing without using any commands.

By default, the zoom factor is set to 10 percent; each increment in the wheel rotation changes the zoom level by 10 percent. The ZOOMFACTOR system variable controls the incremental change, whether forward or backward. The higher the number, the larger the change.

The following table lists the wheel mouse actions supported in this program.

To... | Do this...
Zoom in or out | Rotate the wheel forward to zoom in, backward to zoom out
Zoom to drawing extents | Double-click the wheel button
Pan | Hold down the wheel button and drag the mouse
Pan (joystick) | Hold down CTRL and the wheel button, and drag the mouse
Display the Object Snap menu | With the MBUTTONPAN system variable set to 0, click the wheel button
See Also

    • Customize Mouse Buttons in the Customization Guide


Pointing Device Buttons (Procedure)

Pointing Device Buttons
Pointing Device Buttons
Pointing Devices > Pointing Device Buttons >
Pointing Device Buttons
Concept Procedure Quick Reference

To practice using several features of the mouse

To turn off all shortcut menus in the drawing area

To turn off shortcut menus individually


To practice using several features of the mouse (Procedure)

Pointing Device Buttons
Pointing Device Buttons
Pointing Device Buttons
Pointing Devices > Pointing Device Buttons >
Pointing Device Buttons
Concept Procedure Quick Reference

To practice using several features of the mouse

  1. Move your mouse and notice that the pointer on the screen changes from crosshairs while the pointer is in the drawing area, to an arrow when it's not over the drawing area, and to an I-beam when it's in the text window.
  2. As you continue to move the mouse, notice that the numbers in the coordinate display on the status bar change. These numbers indicate the exact location, or coordinate, of the crosshairs on the screen. Click in the coordinate display to turn it off. Notice that the coordinates are updated only when you click in the drawing area.
  3. Find the Snap button on the status bar and click it with the pick button on your mouse (usually the left button). Notice that the button darkens to indicate that Snap mode has been turned on.
  4. Move the pointer around the screen and observe that it seems to adhere, or "snap," to points at predetermined and equivalent intervals on the screen. You can change the size of these intervals.
  5. Click the Snap button again to turn Snap mode off.
  6. Move the pointer over the Standard toolbar at the top of the drawing area. As you leave the pointer over a button for a few moments, notice a pop-up label, called a tooltip, that identifies the button.
  7. Move the pointer over double bars at the end of a toolbar. Then, as you hold down the pick button, drag the toolbar around the screen to reposition it.
  8. Dock the toolbar by dragging it to a docking location at the top, bottom, or either side of the drawing area. When the outline of the toolbar appears in the docking area, release the pick button.


To turn off all shortcut menus in the drawing area (Procedure)

Pointing Device Buttons
Pointing Device Buttons
Pointing Device Buttons
Pointing Devices > Pointing Device Buttons >
Pointing Device Buttons
Concept Procedure Quick Reference

To turn off all shortcut menus in the drawing area

  1. Click Tools menu [image] Options.At the command prompt, enter OPTIONS.
  2. In the Options dialog box, User Preferences tab, under Windows Standard Behavior, clear Shortcut Menus in Drawing Area.
  3. Click OK to record the current options settings in the system registry and close the Options dialog box.
Command entry: OPTIONS


To turn off shortcut menus individually (Procedure)

Pointing Device Buttons
Pointing Device Buttons
Set Up Plotters and Printers
Pointing Devices > Pointing Device Buttons >
Pointing Device Buttons
Concept Procedure Quick Reference

To turn off shortcut menus individually

  1. Click Tools menu [image] Options.At the command prompt, enter OPTIONS.
  2. In the Options dialog box, User Preferences tab, select Shortcut Menus in Drawing Area, and then click Right-Click Customization.
  3. In the Right-Click Customization dialog box, under Default Mode, Edit Mode, or Command Mode, select the options to control what happens when you right-click in the drawing area.
  4. Click Apply & Close to close the dialog box.
  5. Click OK to record the current options settings in the system registry and close the Options dialog box.
Command entry: OPTIONS


Pointing Device Buttons (Quick Reference)

Pointing Device Buttons
Digitizing Tablets
Pointing Devices > Pointing Device Buttons >
Pointing Device Buttons
Concept Procedure Quick Reference

Commands

OPTIONS

Customizes the program settings

PAN

Moves the view in the current viewport

ZOOM

Increases or decreases the apparent size of objects in the current viewport

System Variables

MBUTTONPAN

Controls the behavior of the third button or wheel on the pointing device

SHORTCUTMENU

Controls whether Default, Edit, and Command mode shortcut menus are available in the drawing area

ZOOMFACTOR

Controls how much the magnification changes when the mouse wheel moves forward or backward

Utilities

No entries

Command Modifiers

No entries


Digitizing Tablets (Concept)

Pointing Device Buttons
Pointing Devices
Graphics System
Pointing Devices >
Digitizing Tablets
Concept Quick Reference

You can use the puck or stylus of a digitizing tablet as a pointing device, or you can trace a paper drawing into a file.

A digitizing tablet, or digitizer, is a peripheral device that can be used to trace paper drawings into a drawing file or to choose commands from a digitizing tablet overlay. With the Wintab driver, the tablet pointer can also be used instead of a mouse as a system pointer to choose menu items and drawing objects or to interact with the operating system. The tablet pointer can be a puck or a stylus.

The digitizing tablet must first be configured and then can optionally be calibrated.

  • When the tablet is configured, portions of the tablet surface are designated as menu areas and a screen-pointing area.
  • When the tablet is calibrated, it can be used to trace geometry from an existing paper drawing or photograph into a drawing.

You can easily switch between using the tablet uncalibrated as a system pointer (Tablet mode off) or calibrated for digitizing a drawing (Tablet mode on). Click the Tablet button on the status bar. If a screen-pointing area has been designated, a Float button is displayed on the status bar and toggles the screen-pointing area on and off.

NoteA sample digitizing tablet overlay, tablet.dwg, is included in the Sample folder, which is located in the product installation directory.
See Also

    • Create Tablet Menus in the Customization Guide


Digitizing Tablets (Quick Reference)

Pointing Device Buttons
Digitizing Tablets
Hardware Acceleration Troubleshooting
Pointing Devices > Digitizing Tablets >
Digitizing Tablets
Concept Quick Reference

Commands

OPTIONS

Customizes the program settings

REINIT

Reinitializes the digitizer, digitizer input/output port, and program parameters file

TABLET

Calibrates, configures, and turns on and off an attached digitizing tablet

System Variables

TABMODE

Controls the use of the tablet

Utilities

No entries

Command Modifiers

No entries


Graphics System

Digitizing Tablets
Hardware Acceleration Troubleshooting
Graphics System

You can configure the graphics system to use either software or hardware acceleration. Enabling hardware acceleration may help to improve the performance of AutoCAD over using software acceleration.

Topics in this section

  • Hardware Acceleration Troubleshooting

    This chapter provides solutions to some of the most common problems when trying to use hardware acceleration with the AutoCAD.

  • Hardware Acceleration Known Limitations

    This chapter lists some of the known limitations or differences between using the OpenGL (OGL) or Direct 3D (D3D) driver when using hardware acceleration with AutoCAD.


Hardware Acceleration Troubleshooting (Concept)

Graphics System
Graphics System
Hardware Acceleration Known Limitations
Graphics System >
Hardware Acceleration Troubleshooting
Concept Quick Reference

This chapter provides solutions to some of the most common problems when trying to use hardware acceleration with the AutoCAD.

After starting Windows Netmeeting, hardware acceleration in AutoCAD disabled or unavailable. Is it possible to re-enable hardware acceleration?

To re-enable hardware acceleration, turn off Remote Desktop Sharing or close Netmeeting. Then restart AutoCAD and hardware acceleration should be available.

After running a remote access application such as Remote Desktop, VMware, or Citrix hardware acceleration in AutoCAD is unavailable. Is it possible to use hardware acceleration with these applications?

To use hardware acceleration, AutoCAD needs to be run locally from the computer. Hardware acceleration remains unavailable while any remote access application is running on the computer.

Why is hardware acceleration unavailable?

The most common reason why hardware acceleration is unavailable is that a graphics display driver cannot be located on the system. To use hardware acceleration, visit the video card manufacturer's website or the AutoCAD Certification website (http://www.autodesk.com/autocad-graphicscard) to download and install the latest driver available for your system.

Why does hardware acceleration seem to disable on its own at times?

There are some situations when AutoCAD drops out of hardware acceleration. The following is a list of the known conditions when an error or driver failure commonly occur:

  • You lock and unlock the workstation while AutoCAD is currently running.
  • Screen saver was activated and AutoCAD is restored.
  • You enable/disable the second monitor on the system.
  • System returns from hibernation/standby.
  • AutoCAD runs out of video memory.
Why is the Direct3D driver unavailable to use with hardware acceleration?

To use the Direct3D driver for hardware acceleration, DirectX 9.0 must be installed on the system. To install DirectX 9.0c, insert the product’s original installation media (DVD/CD) in your drive. Execute DXSETUP.exe from the Support\DirectX folder and follow the displayed prompts.

At times when I am using hardware acceleration, I encounter an error that prevents hardware acceleration from operating correctly and then it becomes unavailable. What should I do?

To help ensure that hardware acceleration operates correctly, verify that you are running the latest service pack of the product and video graphics card driver before attempting to re-enable hardware acceleration.


Hardware Acceleration Troubleshooting (Quick Reference)

Digitizing Tablets
Hardware Acceleration Troubleshooting
Hardware Acceleration Known Limitations
Graphics System > Hardware Acceleration Troubleshooting >
Hardware Acceleration Troubleshooting
Concept Quick Reference

Commands

3DCONFIG

Provides 3D graphics system configuration settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Hardware Acceleration Known Limitations (Concept)

Hardware Acceleration Troubleshooting
Graphics System
Use Plotters and Printers
Graphics System >
Hardware Acceleration Known Limitations
Concept Quick Reference

This chapter lists some of the known limitations or differences between using the OpenGL (OGL) or Direct 3D (D3D) driver when using hardware acceleration with AutoCAD.

  • Spotlights are defined differently between D3D and OGL, so they will appear slightly different in the current viewport. The key difference is how the “hotspot” and “falloff” is displayed.
  • Spotlights and point lights obey limits in D3D, but not in OGL.
  • The intensity of full shadows in D3D is affected by the angle of incidence of the incoming light which is not the case in OGL. Thus, shadows will appear lighter and more “natural” looking in D3D than in OGL.
  • If a graphics card supports Pixel Shader 3.0, full shadows are displayed with a higher quality with the D3D driver.
  • D3D can vary shadow map detail based on available video memory while OGL cannot.
  • Many hardware vendors do not support anti-aliased lines in their D3D drivers, so AutoCAD cannot support anti-aliasing for those cards.


Hardware Acceleration Known Limitations (Quick Reference)

Hardware Acceleration Troubleshooting
Hardware Acceleration Known Limitations
Supported Plotters
Graphics System > Hardware Acceleration Known Limitations >
Hardware Acceleration Known Limitations
Concept Quick Reference

Commands

3DCONFIG

Provides 3D graphics system configuration settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Plotters and Printers

Hardware Acceleration Known Limitations
Supported Plotters
Use Plotters and Printers

You can produce hard copy output of your drawings using many different types of plotters and printers. You can send output to files using a variety of formats.

Topics in this section

  • Supported Plotters

    HDI (Heidi® Device Interface) drivers are used to communicate with hard copy devices. These drivers fall into three categories: file format drivers, HDI nonsystem drivers, and HDI system printer drivers.

  • Set Up Plotters and Printers

    Each plotter configuration contains information such as the device driver and model, the output port to which the device is connected, and various device-specific settings.

  • Use the Plotter Configuration Editor

    After you create a configured plotter (PC3) file using the Add-a-Plotter wizard, you can edit the file using the Plotter Configuration Editor.

  • Modify General PC3 File Information

    The General tab of the Plotter Configuration Editor contains basic information about the PC3 file. You can add or modify the information in the Description area.

  • Control PC3 File Device and Document Settings

    In the Plotter Configuration Editor, on the Device and Document Settings tab, you can change many of the settings in the configured plot (PC3) file.

  • Resolve Conflicts with the Windows Print Manager

    You need to use the appropriate driver for a locally connected plotter.

  • Port Settings

    The Ports tab in the Plotter Configuration Editor contains information about the plotter's port configuration.


Supported Plotters (Concept)

Use Plotters and Printers
Use Plotters and Printers
Set Up Plotters and Printers
Use Plotters and Printers >
Supported Plotters
Concept Quick Reference

HDI (Heidi® Device Interface) drivers are used to communicate with hard copy devices. These drivers fall into three categories: file format drivers, HDI nonsystem drivers, and HDI system printer drivers.

HDI drivers should be used for older 'legacy' devices that can't be set up through the Operating System (OS). Newer devices that can be configured through the OS should be used by AutoCAD as a system printer instead of a nonsystem printer.

Please check with your vendor to see if there is compatibility with the plotter and AutoCAD.

NoteIt is highly recommended that you update your drivers regularly to avoid plotting problems.


Supported Plotters (Quick Reference)

Hardware Acceleration Known Limitations
Supported Plotters
Set Up Plotters and Printers
Use Plotters and Printers > Supported Plotters >
Supported Plotters
Concept Quick Reference

Commands

PLOT

Plots a drawing to a plotter, printer, or file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set Up Plotters and Printers (Concept)

Supported Plotters
Use Plotters and Printers
Use the Plotter Configuration Editor
Use Plotters and Printers >
Set Up Plotters and Printers
Concept Procedure Quick Reference

Each plotter configuration contains information such as the device driver and model, the output port to which the device is connected, and various device-specific settings.

AutoCAD lists printers or plotters configured for use with Windows in the Plot and Page Setup dialog boxes. You do not need to configure these devices with the system printer driver unless the AutoCAD defaults differ from the Windows values.

NoteNonsystem devices are referred to as plotters and Windows system devices are referred to as printers.

If a plotter is supported by AutoCAD, but not by Windows, you can use one of the HDI nonsystem printer drivers. You can also use a nonsystem driver to create PostScript, raster, or Design Web format (DWF) files and Portable Document Format (PDF) files

You must configure local or network nonsystem plotters and Windows system printers with nondefault settings. You do not need to configure system printers if you change only the paper size.

AutoCAD stores information about the media and plotting device in configured plot (PC3) files. Plot configurations are portable and can be shared in an office or on a project as long as they are for the same driver, model, and driver version. Shared plot configurations for Windows system printers may also need to be for the same version of Windows. If you calibrate a plotter, the calibration information is stored in a plot model parameter (PMP) file that you can attach to any PC3 files you create for the calibrated plotter.

You can configure AutoCAD for many devices, and store multiple configurations for a single device. Each plotter configuration contains information such as the device driver and model, the output port to which the device is connected, and various device-specific settings. You can create several PC3 files with different output options for the same plotter. After you create a PC3 file, it's available in the list of plotter configuration names in the Plot dialog box.

To create these PC3 files, use the Add-a-Plotter wizard in the Autodesk Plotter Manager. The Plotter Manager is a Windows Explorer window. The Add-a-Plotter wizard is modeled after the Windows Add Printer wizard. Using the Add-a-Plotter wizard, you can specify whether you want to configure a nonsystem, local, or network plotter, or a system printer. You can create any number of plotter device configurations that use either the Windows system printer drivers or Autodesk nonsystem plotter drivers. Your configurations are stored in your user profile.

There are a number of ways to modify the default settings for a Windows system printer without creating a PC3 file. For example, you can modify the properties systemwide from the Control Panel. You can also choose Properties in the Plot dialog box and plot without saving the properties.

NoteIf you upgrade a driver, try using your existing PC3 file. If it does not work, then you need to create a new PC3 file. In many cases, it may be possible to copy and paste some of the settings from the old PC3 file to a new one created with the new driver.
See Also

    • Use the Plotter Configuration Editor

    • Calibrate Plotters and Work with Custom Paper Sizes


Set Up Plotters and Printers (Procedure)

Pointing Device Buttons
Set Up Plotters and Printers
Set Up Plotters and Printers
Use Plotters and Printers > Set Up Plotters and Printers >
Set Up Plotters and Printers
Concept Procedure Quick Reference

To open the Autodesk Plotter Manager

To create a PC3 file for a Windows system printer

To configure a local, nonsystem plotter

To configure a network, nonsystem plotter


To open the Autodesk Plotter Manager (Procedure)

Set Up Plotters and Printers
Set Up Plotters and Printers
Set Up Plotters and Printers
Use Plotters and Printers > Set Up Plotters and Printers >
Set Up Plotters and Printers
Concept Procedure Quick Reference

To open the Autodesk Plotter Manager

You can also use any of the following methods to open the Autodesk Plotter Manager:

  • From the File menu, choose Plotter Manager.
  • At the command prompt, enter plottermanager.
  • From the Tools menu, choose Options. On the Plot and Publish tab, choose Add or Configure Plotters.


To create a PC3 file for a Windows system printer (Procedure)

Set Up Plotters and Printers
Set Up Plotters and Printers
Set Up Plotters and Printers
Use Plotters and Printers > Set Up Plotters and Printers >
Set Up Plotters and Printers
Concept Procedure Quick Reference

To create a PC3 file for a Windows system printer

  1. Open the Autodesk Plotter Manager.
  2. In the Autodesk Plotter Manager, double-click the Add-a-Plotter Wizard shortcut icon.
  3. In the Add-a-Plotter wizard, read the Introduction, and then choose Next to advance to the Add Plotter - Begin page.
  4. On the Add Plotter - Begin page, choose System Printer. Choose Next.
  5. On the Add Plotter - System Printer page, select the system printer that you want to configure.

    The list includes all printers known to the operating system. If you want to connect to a printer that is not in the list, you must first add the printer using the Windows Add Printer wizard in the Control Panel.

    (Optional)The Import PCP or PC2 screen enables you to use configuration information from a PCP or PC2 file created with an earlier version of AutoCAD.

  6. On the Add Plotter - Plotter Name page, enter a name to identify the currently configured plotter. Choose Next.
  7. When you reach the Add Plotter - Finish page, you can choose Finish to exit the Add-a-Plotter wizard.

    A PC3 file for the newly configured plotter appears in the Plotters window and the plotter is available for plotting in the list of devices.

    At this time, you can change the default settings for the plotter by choosing Edit Plotter Configuration on the Add Plotter - Finish page. You can also perform a plot calibration test on your newly configured plotter by choosing Calibrate Plotter on the Add Plotter - Finish page.


To configure a local, nonsystem plotter (Procedure)

Set Up Plotters and Printers
Set Up Plotters and Printers
Set Up Plotters and Printers
Use Plotters and Printers > Set Up Plotters and Printers >
Set Up Plotters and Printers
Concept Procedure Quick Reference

To configure a local, nonsystem plotter

  1. Open the Autodesk Plotter Manager.
  2. In the Autodesk Plotter Manager, double-click the Add-a-Plotter Wizard shortcut.
  3. In the Add-a-Plotter wizard, read the Introduction, and then choose Next to advance to the Add Plotter - Begin page.
  4. On the Add Plotter - Begin page, choose My Computer. Choose Next.
  5. On the Add Plotter - Plotter Model page, select a manufacturer and model. Choose Next.

    If you are configuring a PostScript device, select Adobe from the Manufacturers list.

    If your plotter is not in the list of available plotters, and you have a driver disk for your plotter, choose Have Disk to locate the HIF file on that driver disk, and install the driver supplied with your plotter.

    (Optional) The Import PCP or PC2 screen enables you to use configuration information from a PCP or PC2 file created with an earlier version of AutoCAD.

  6. On the Add Plotter - Ports page, select the port to use when plotting. Choose Next. The ports available for the specified device are displayed.
  7. On the Add Plotter - Plotter Name page, enter a name to identify the currently configured plotter. Choose Next.
  8. When you reach the Add Plotter - Finish page, you can choose Finish to exit the Add-a-Plotter wizard.

    A PC3 file for the newly configured plotter appears in the Plotters window, and the plotter is available for plotting in the list of devices.

    At this time, you can change the default settings for the plotter by choosing Edit Plotter Configuration on the Add Plotter - Finish page. You can also perform a plot calibration test on your newly configured plotter by choosing Calibrate Plotter on the Add Plotter - Finish page.


To configure a network, nonsystem plotter (Procedure)

Set Up Plotters and Printers
Set Up Plotters and Printers
Use the Plotter Configuration Editor
Use Plotters and Printers > Set Up Plotters and Printers >
Set Up Plotters and Printers
Concept Procedure Quick Reference

To configure a network, nonsystem plotter

  1. Open the Autodesk Plotter Manager.
  2. Double-click the Add-a-Plotter Wizard shortcut icon.
  3. In the Add-a-Plotter wizard, read the Introduction, and then choose Next to advance to the Add Plotter - Begin page.
  4. On the Add Plotter - Begin page, choose Network Plotter Server. Choose Next.
  5. On the Add Plotter - Network Plotter page, enter the share name of the network plotter server that you want to use.

    The server must already exist on the network. For more information, see your system administrator.

    You must use the universal naming convention (UNC). The correct format of a UNC path is \\server name\share name. You can select an existing share name on your network by choosing Browse.

  6. On the Add Plotter - Plotter Model page, select a manufacturer and model. Choose Next.

    If you are configuring a PostScript device, select Adobe from the Manufacturers list.

    If your plotter isn't in the list of available plotters and you have a driver disk for your plotter, choose Have Disk to locate the HIF file on that driver disk, and install the driver supplied with your plotter.

    (Optional) The Import PCP or PC2 screen enables you to use configuration information from a PCP or PC2 file created with an earlier version of AutoCAD.

  7. On the Add Plotter - Plotter Name page, enter a name to identify the currently configured plotter. Choose Next.
  8. When you reach the Add Plotter - Finish page, you can choose Finish to exit the Add-a-Plotter wizard.

    A PC3 file for the newly configured plotter appears in the Plotters window and the plotter is available for plotting in the list of devices.

    At this time, you can change the default settings for the plotter by choosing Edit Plotter Configuration on the Add Plotter - Finish page. You can also perform a plot calibration test on your newly configured plotter by choosing Calibrate Plotter on the Add Plotter - Finish page.


Set Up Plotters and Printers (Quick Reference)

Supported Plotters
Set Up Plotters and Printers
Use the Plotter Configuration Editor
Use Plotters and Printers > Set Up Plotters and Printers >
Set Up Plotters and Printers
Concept Procedure Quick Reference

Commands

PAGESETUP

Controls the page layout, plotting device, paper size, and other settings for each new layout

PCINWIZARD

Displays a wizard to import PCP and PC2 configuration file plot settings into the Model tab or current layout

PLOT

Plots a drawing to a plotter, printer, or file

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use the Plotter Configuration Editor (Concept)

Set Up Plotters and Printers
Use Plotters and Printers
Modify General PC3 File Information
Use Plotters and Printers >
Use the Plotter Configuration Editor
Concept Procedure Quick Reference

After you create a configured plotter (PC3) file using the Add-a-Plotter wizard, you can edit the file using the Plotter Configuration Editor.

The Plotter Configuration Editor provides options for modifying a plotter's port connections and output settings including media, graphics, physical pen configuration, custom properties, initialization strings, calibration, and user-defined paper sizes. You can drag and drop these options from one PC3 file to another.

NoteWhen dragging and dropping one leaf, the whole branch will come over with the leaf. If you drag from a Windows system driver, in most cases, the Custom branch will also be copied. For nonsystem drivers, the Custom leaf is copied only if it is explicitly selected.

The Plotter Configuration Editor contains three tabs. The General tab contains basic information about the configured plotter. The Ports tab contains information about the communication between the plotting device and your computer. The Device and Document Settings tab contains plotting options. Depending on your configured plotting device, additional options are available on the Device and Document Settings tab. For example, when you configure a nonsystem pen plotter you have the option to modify the physical pen characteristics.

You can edit the plotter configuration files for both nonsystem and system plotters. You can also modify the default settings for a Windows system printer without creating a PC3 file. For example, you can modify the properties systemwide in the Windows Control Panel. You can also choose Properties in the Plot dialog box and plot without saving the properties.


Use the Plotter Configuration Editor (Procedure)

Set Up Plotters and Printers
Use the Plotter Configuration Editor
Use the Plotter Configuration Editor
Use Plotters and Printers > Use the Plotter Configuration Editor >
Use the Plotter Configuration Editor
Concept Procedure Quick Reference

To start the Plotter Configuration Editor

To save a PC3 file under a new file name


To start the Plotter Configuration Editor (Procedure)

Use the Plotter Configuration Editor
Use the Plotter Configuration Editor
Use the Plotter Configuration Editor
Use Plotters and Printers > Use the Plotter Configuration Editor >
Use the Plotter Configuration Editor
Concept Procedure Quick Reference

To start the Plotter Configuration Editor

Use one of the following methods:

  • Double-click a PC3 file from Windows Explorer or right-click the file and choose Open. (By default, PC3 files are stored in the user profile folder.)
  • Choose Edit Plotter Configuration on the Add Plotter - Finish page in the Add-a-Plotter wizard.
  • On the File menu, click Plot. In the Plot dialog box, under Printer/Plotter select a device, and then click Properties.
  • On the File menu, click Page Setup. In Page Setup Manager, select a page setup, and then click Modify. In the Page Setup dialog box, under Printer/Plotter select a device and then click Properties.


To save a PC3 file under a new file name (Procedure)

Use the Plotter Configuration Editor
Use the Plotter Configuration Editor
Modify General PC3 File Information
Use Plotters and Printers > Use the Plotter Configuration Editor >
Use the Plotter Configuration Editor
Concept Procedure Quick Reference

To save a PC3 file under a new file name

  1. From the File menu, choose Plotter Manager.
  2. In the Autodesk Plotter Manager, double-click to open the PC3 file you want to use.
  3. In the Plotter Configuration Editor, choose the Device and Document Settings tab.
  4. Choose Save As.
  5. In the Save As dialog box, enter a new file name for the PC3 file.
  6. Choose Save.


Use the Plotter Configuration Editor (Quick Reference)

Set Up Plotters and Printers
Use the Plotter Configuration Editor
Modify General PC3 File Information
Use Plotters and Printers > Use the Plotter Configuration Editor >
Use the Plotter Configuration Editor
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Modify General PC3 File Information (Concept)

Use the Plotter Configuration Editor
Use Plotters and Printers
Control PC3 File Device and Document Settings
Use Plotters and Printers >
Modify General PC3 File Information
Concept Procedure Quick Reference

The General tab of the Plotter Configuration Editor contains basic information about the PC3 file. You can add or modify the information in the Description area.

The rest of the tab is read-only. The information on the General tab includes

  • Configured plotter file name
  • Description or other information you want to include about the plotter
  • Plotter driver type (system or nonsystem), name, model, and location
  • HDI driver file version number (AutoCAD specialized driver files)
  • UNC name of the network server (if the plotter is connected to a network server), the input/output port (if the plotter is connected locally), or the name of the system printer (if the configured plotter is the system printer)
  • PMP file name and location (if a plotter calibration file [PMP] is attached to the PC3 file)


To add or modify the PC3 file description (Procedure)

Use the Plotter Configuration Editor
Modify General PC3 File Information
Control PC3 File Device and Document Settings
Use Plotters and Printers > Modify General PC3 File Information >
Modify General PC3 File Information
Concept Procedure Quick Reference

To add or modify the PC3 file description

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration (PC3) file whose settings you want to change.
  3. In the Plotter Configuration Editor, choose the General tab.
  4. Insert the cursor in the Description area.
  5. Add a description or modify the existing description for the PC3 file.


Modify General PC3 File Information (Quick Reference)

Use the Plotter Configuration Editor
Modify General PC3 File Information
Adjust Media Settings (For Nonsystem Plotters Only)
Use Plotters and Printers > Modify General PC3 File Information >
Modify General PC3 File Information
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Control PC3 File Device and Document Settings

Modify General PC3 File Information
Use Plotters and Printers
Adjust Media Settings (For Nonsystem Plotters Only)
Use Plotters and Printers >
Control PC3 File Device and Document Settings
Concept Procedure

In the Plotter Configuration Editor, on the Device and Document Settings tab, you can change many of the settings in the configured plot (PC3) file.

NoteOnly the settings available for the configured device are displayed in the tree view. In addition, you might not be able to edit some settings if the device handles the setting through the Custom Properties option or doesn't support the capability.

Topics in this section

  • Adjust Media Settings (For Nonsystem Plotters Only)

    Depending on the features supported by your configured plotter, you can modify the paper source, type, and size of your paper.

  • Specify Physical Pen Configuration (For Pen Plotters Only)

    In the Plotter Configuration Editor, the Physical Pen Configuration setting controls the pens in the pen plotter.

  • Specify Settings for Graphical Output

    Depending on the capabilities of your configured plotter, you can modify the plotter's color depth, resolution, or dithering and specify whether the output is color or monochrome for vector drawings.

  • Adjust Custom Properties

    In the Plotter Configuration Editor, you can modify the device-specific properties for the configured plotter by selecting Custom Properties from the tree view on the Device and Document Settings tab.

  • Use Initialization Strings

    You can use ASCII text initialization strings to prepare the plotter for printing.

  • Calibrate Plotters and Work with Custom Paper Sizes

    You should perform a plotter calibration only if your drawings must be exactly to scale and your plotter or printer produces inaccurate plots.


Control PC3 File Device and Document Settings (Procedure)

Modify General PC3 File Information
Control PC3 File Device and Document Settings
Adjust Media Settings (For Nonsystem Plotters Only)
Use Plotters and Printers > Control PC3 File Device and Document Settings >
Control PC3 File Device and Document Settings
Concept Procedure

To adjust media settings

To configure pens

To specify graphics settings

To specify custom properties

To set initialization strings

To calibrate a plotter

To detach a PMP file from a PC3 file

To save a PMP file to a new file name

To add a new custom paper size from scratch (nonsystem HDI drivers only)

To add a new custom paper size from scratch (system printers only)

To add a new custom paper size starting from an existing paper size

To edit a custom paper size

To delete a custom paper size

To modify a standard paper size

To filter paper sizes


Adjust Media Settings (For Nonsystem Plotters Only) (Concept)

Control PC3 File Device and Document Settings
Control PC3 File Device and Document Settings
Specify Physical Pen Configuration (For Pen Plotters Only)
Use Plotters and Printers > Control PC3 File Device and Document Settings >
Adjust Media Settings (For Nonsystem Plotters Only)
Concept Procedure Quick Reference

Depending on the features supported by your configured plotter, you can modify the paper source, type, and size of your paper.

You can specify whether you want to print on both sides or just one side. If your printer supports cutting, collating, and stapling, you can specify your choice under the Media Destination option. For Windows system printers, you must configure the Media settings using the Custom Properties option.


To adjust media settings (Procedure)

Control PC3 File Device and Document Settings
Up a level to ..
Specify Physical Pen Configuration (For Pen Plotters Only)
Use Plotters and Printers > Control PC3 File Device and Document Settings > Adjust Media Settings (For Nonsystem Plotters Only) >
Adjust Media Settings (For Nonsystem Plotters Only)
Concept Procedure Quick Reference

To adjust media settings

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration (PC3) file whose media settings you want to change.
  3. In the Plotter Configuration Editor, choose the Device and Document Settings tab.
  4. Double-click Media to view the media settings.
  5. Do one of the following:
    • Select Source and Size. Under Media Source and Size, select a paper source from the Source list. If appropriate, select a roll width from the Width list or a tray from the Tray Type list. Under Size, select the paper size you want to use. Select Automatic to tell the printer to select the appropriate paper source.
    • Select Media Type. Under Media Type, select one of the available media types.
    • Select Duplex Printing. Under Print on Both Sides (Duplex Printing), select Short Side or Long Side. This setting may not be available for your plotter.
    • Select Media Destination. Under Media Destination, specify one of the available options, for example, cutting. This setting may not be available for your plotter.
  6. When finished, choose OK.
Command entry: PLOTTERMANAGER


Adjust Media Settings (For Nonsystem Plotters Only) (Quick Reference)

Modify General PC3 File Information
Adjust Media Settings (For Nonsystem Plotters Only)
Specify Physical Pen Configuration (For Pen Plotters Only)
Use Plotters and Printers > Control PC3 File Device and Document Settings > Adjust Media Settings (For Nonsystem Plotters Only) >
Adjust Media Settings (For Nonsystem Plotters Only)
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Specify Physical Pen Configuration (For Pen Plotters Only) (Concept)

Adjust Media Settings (For Nonsystem Plotters Only)
Control PC3 File Device and Document Settings
Specify Settings for Graphical Output
Use Plotters and Printers > Control PC3 File Device and Document Settings >
Specify Physical Pen Configuration (For Pen Plotters Only)
Concept Procedure Quick Reference

In the Plotter Configuration Editor, the Physical Pen Configuration setting controls the pens in the pen plotter.

You can specify pen swapping on a single pen plotter, adjust the polygon area for pen width, and set pen optimization if the configured plotter supports these features. The lower pane of the Device and Document Settings tab displays a table that describes the color, width, and speed of each pen in the plotter.

NotePhysical pen information cannot be detected automatically. You must provide this information for your pen plotter under the Physical Pen Characteristics option.

You must specify the pen settings even if you don't plan to use plot style tables. If you choose not to create a plot style table, AutoCAD automatically assigns pens, using the pen color and width information you provide. AutoCAD uses the pen whose color is closest to the color assigned to the object. If more than one pen matches, then the pen with the closest width is used. If the best pen is narrower than the object's width, several strokes are used to draw the object. If you use a plot style table, you can assign a physical pen number to each plot style.

See Also

    • Switch the Type of Plot Style Table in the User's Guide


To configure pens (Procedure)

Adjust Media Settings (For Nonsystem Plotters Only)
Up a level to ..
Specify Settings for Graphical Output
Use Plotters and Printers > Control PC3 File Device and Document Settings > Specify Physical Pen Configuration (For Pen Plotters Only) >
Specify Physical Pen Configuration (For Pen Plotters Only)
Concept Procedure Quick Reference

To configure pens

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration (PC3) file whose pen settings you want to change.
  3. In the Plotter Configuration Editor, choose the Device and Document Settings tab.
  4. Double-click Physical Pen Configuration to view the pen configuration settings.
  5. Select Pen Configuration. Under Pen Configuration, do one of the following:
    • If you use a single-pen plotter and want to use different pens when you plot, select Prompt for Pen Swapping.
    • For greater accuracy when plotting filled areas and wide polylines, choose Area Fill Correction. AutoCAD moves the pen inward by half a pen width.
    • Under Pen Optimization Level, select one of the available methods. Each method in the list includes the optimization methods preceding it in the list (except for No Optimization).
  6. Select Physical Pen Characteristics. For each pen in your plotter, specify the color, speed, and width. This step is required.
    NoteUse the Plot Style Table Editor to assign specific colors and pen widths to your objects that correspond to the plotted colors and widths for your plotting device.
  7. When finished, choose OK.
Command entry: PLOTTERMANAGER


Specify Physical Pen Configuration (For Pen Plotters Only) (Quick Reference)

Adjust Media Settings (For Nonsystem Plotters Only)
Specify Physical Pen Configuration (For Pen Plotters Only)
Specify Settings for Graphical Output
Use Plotters and Printers > Control PC3 File Device and Document Settings > Specify Physical Pen Configuration (For Pen Plotters Only) >
Specify Physical Pen Configuration (For Pen Plotters Only)
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Specify Settings for Graphical Output (Concept)

Specify Physical Pen Configuration (For Pen Plotters Only)
Control PC3 File Device and Document Settings
Adjust Custom Properties
Use Plotters and Printers > Control PC3 File Device and Document Settings >
Specify Settings for Graphical Output
Concept Procedure Quick Reference

Depending on the capabilities of your configured plotter, you can modify the plotter's color depth, resolution, or dithering and specify whether the output is color or monochrome for vector drawings.

When printing raster images on a plotter with limited memory, you can specify some image-quality trade-offs to improve performance. If you use a nonsystem plotter that supports varying amounts of installed RAM, you can provide AutoCAD with that information to improve performance.


To specify graphics settings (Procedure)

Specify Physical Pen Configuration (For Pen Plotters Only)
Up a level to ..
Adjust Custom Properties
Use Plotters and Printers > Control PC3 File Device and Document Settings > Specify Settings for Graphical Output >
Specify Settings for Graphical Output
Concept Procedure Quick Reference

To specify graphics settings

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration (PC3) file whose pen settings you want to change.
  3. In the Plotter Configuration Editor, choose the Device and Document Settings tab.
  4. Double-click Graphics to view the graphical output settings.
  5. Do one of the following:
    • Select Installed Memory and enter the amount of memory available in the plotter.
    • Select Vector Graphics and select color depth, resolution, and dithering.
    • Select Raster Graphics and specify a balance between output quality and performance.
    • Select TrueType Text and select the way you want to print TrueType text.
    • Select Merge control and specify whether crossing lines should overwrite the lines beneath them or merge.
  6. When finished, choose OK.
Command entry: PLOTTERMANAGER


Specify Settings for Graphical Output (Quick Reference)

Specify Physical Pen Configuration (For Pen Plotters Only)
Specify Settings for Graphical Output
Adjust Custom Properties
Use Plotters and Printers > Control PC3 File Device and Document Settings > Specify Settings for Graphical Output >
Specify Settings for Graphical Output
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Adjust Custom Properties (Concept)

Specify Settings for Graphical Output
Control PC3 File Device and Document Settings
Use Initialization Strings
Use Plotters and Printers > Control PC3 File Device and Document Settings >
Adjust Custom Properties
Concept Procedure Quick Reference

In the Plotter Configuration Editor, you can modify the device-specific properties for the configured plotter by selecting Custom Properties from the tree view on the Device and Document Settings tab.

The settings for each plotter vary. If the plotter manufacturer has not included a Custom Properties dialog box for the device driver, the Custom Properties option is unavailable. For other drivers, the Customs Properties option is the only tree view option available. For Windows system printers, most of the device-specific settings are made in this dialog box.

For device-specific information, choose Help in the Custom Properties dialog box for the driver you have configured.


To specify custom properties (Procedure)

Specify Settings for Graphical Output
Up a level to ..
Use Initialization Strings
Use Plotters and Printers > Control PC3 File Device and Document Settings > Adjust Custom Properties >
Adjust Custom Properties
Concept Procedure Quick Reference

To specify custom properties

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration (PC3) file whose custom properties you want to change.
  3. In the Plotter Configuration Editor, choose the Device and Document Settings tab.
  4. In the tree view, select Custom Properties. Under Access Custom Dialog, choose the Custom Properties button.
  5. Set the properties for the printer or plotter. The properties vary depending on the plotter and manufacturer.
  6. Choose OK to exit each dialog box.
Command entry: PLOTTERMANAGER


Adjust Custom Properties (Quick Reference)

Specify Settings for Graphical Output
Adjust Custom Properties
Use Initialization Strings
Use Plotters and Printers > Control PC3 File Device and Document Settings > Adjust Custom Properties >
Adjust Custom Properties
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use Initialization Strings (Concept)

Adjust Custom Properties
Control PC3 File Device and Document Settings
Calibrate Plotters and Work with Custom Paper Sizes
Use Plotters and Printers > Control PC3 File Device and Document Settings >
Use Initialization Strings
Concept Procedure Quick Reference

You can use ASCII text initialization strings to prepare the plotter for printing.

If you're plotting to an unsupported, nonsystem plotter in Emulation mode, you can use ASCII text initialization strings to prepare the plotter for printing, set device-specific options, and restore the plotter to its original state. Only advanced users should use initialization strings.


To set initialization strings (Procedure)

Adjust Custom Properties
Up a level to ..
Calibrate Plotters and Work with Custom Paper Sizes
Use Plotters and Printers > Control PC3 File Device and Document Settings > Use Initialization Strings >
Use Initialization Strings
Concept Procedure Quick Reference

To set initialization strings

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration (PC3) file whose initialization string settings you want to change.
  3. In the Plotter Configuration Editor, choose the Device and Document Settings tab.
  4. In the tree view, select Initialization Strings to view the initialization string settings.
  5. Enter a Pre-Initialization string, Post-Initialization string, and Termination string as required.
  6. Choose OK.
Command entry: PLOTTERMANAGER


Use Initialization Strings (Quick Reference)

Adjust Custom Properties
Use Initialization Strings
Calibrate Plotters and Work with Custom Paper Sizes
Use Plotters and Printers > Control PC3 File Device and Document Settings > Use Initialization Strings >
Use Initialization Strings
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Calibrate Plotters and Work with Custom Paper Sizes (Concept)

Use Initialization Strings
Control PC3 File Device and Document Settings
Resolve Conflicts with the Windows Print Manager
Use Plotters and Printers > Control PC3 File Device and Document Settings >
Calibrate Plotters and Work with Custom Paper Sizes
Concept Procedure Quick Reference

You should perform a plotter calibration only if your drawings must be exactly to scale and your plotter or printer produces inaccurate plots.

You can adjust plotter calibration to correct scaling discrepancies, and you can add custom paper sizes for nonsystem plotters.

Calibration Files

Plotter calibration is an optional process. If your plotter meets the manufacturer's specifications for accuracy of scale, a 10-inch line in a drawing plotted at a scale of 1:1 should be exactly 10 inches long on paper. If you need to correct scaling discrepancies, you can adjust the plotter calibration. If your plotter provides a calibration utility, use that utility instead of the AutoCAD calibration utility so the calibration is available for all applications using the plotter.

To calibrate a plotter, you must specify the dimensions of a test rectangle, print the test rectangle, measure actual dimensions, and enter the actual measurements in the Calibrate Plotter wizard. AutoCAD calculates the necessary calibration for the plotter.

When you complete the Calibrate Plotter wizard, AutoCAD creates a plot model parameter (PMP) file to store the results of the calibration for each plot device. AutoCAD automatically attaches the resulting PMP file to the plotter configuration (PC3) file that you used to perform the calibration test.

Calibrating a plotter creates a plotter model parameter (PMP) file that contains calibration information. If the PMP file is not already attached to the plotter configuration file (PC3) you are editing, you must create that association so you can use the PMP file. If the plotter was calibrated from within the Add-a-Plotter wizard, the PMP file is already attached. You can use the Calibration and User Defined Paper Sizes option to add PMP files to and detach PMP files from the PC3 file. If you have more than one PC3 file for a device, you can attach the same PMP file to them using the Plotter Configuration Editor. Because PMP files are plotter specific, it's appropriate to attach only one PMP file to a PC3 file.

NoteYou should perform a plotter calibration only if your drawings must be exactly to scale and your plotter or printer produces inaccurate plots. Plotter calibration causes AutoCAD to rescale all plots sent to your plotter to correct errors in its hardware scaling. It is recommended that you use any calibration setting provided by your plotter instead of the AutoCAD setting.

Custom Paper Sizes

For a nonsystem plotter, you can choose the Add option to create a custom paper size or change the printable area of a standard or nonstandard paper size. Using the Custom Paper Size wizard, you can create a new paper size or select from a list of available paper sizes (from a PMP file). For a Windows system printer, use the Custom Properties option to adjust paper settings.

You can modify standard paper sizes to adjust the printable area to match a printer's capabilities. In the Plotter Configuration Editor, you cannot create custom paper sizes for Windows system printers, but you can correct errors in the printable area of standard paper sizes.


Calibrate Plotters and Work with Custom Paper Sizes (Procedure)

Use Initialization Strings
Up a level to ..
Calibrate Plotters and Work with Custom Paper Sizes
Use Plotters and Printers > Control PC3 File Device and Document Settings > Calibrate Plotters and Work with Custom Paper Sizes >
Calibrate Plotters and Work with Custom Paper Sizes
Concept Procedure Quick Reference

To calibrate a plotter

To detach a PMP file from a PC3 file

To save a PMP file to a new file name

To add a new custom paper size from scratch (nonsystem HDI drivers only)

To add a new custom paper size from scratch (system printers only)

To add a new custom paper size starting from an existing paper size

To edit a custom paper size

To delete a custom paper size

To modify a standard paper size

To filter paper sizes


To calibrate a plotter (Procedure)

Calibrate Plotters and Work with Custom Paper Sizes
Up a level to ..
Calibrate Plotters and Work with Custom Paper Sizes
Use Plotters and Printers > Control PC3 File Device and Document Settings > Calibrate Plotters and Work with Custom Paper Sizes >
Calibrate Plotters and Work with Custom Paper Sizes
Concept Procedure Quick Reference

To calibrate a plotter

  1. From the File menu, choose Plotter Manager.
  2. Double-click the Add-a-Plotter wizard icon.
  3. Start the Add-a-Plotter wizard and configure the device you want to add.
  4. When you reach the Add Plotter - Finish page, choose Calibrate Plotter.

    You can also calibrate a plotter by running the Plotter Configuration Editor on an existing PC3 file for the device you want to calibrate.

  5. In the Paper Size list, select a paper size for the test plot. Choose Next.
  6. On the Calibrate Plotter - Rectangle Size page, in the Units list, select the measurement units.
  7. In the Length and Width boxes, enter the dimensions of the test rectangle. Choose Next. AutoCAD plots the test rectangle.
  8. Retrieve the plot and measure the test rectangle. On the Calibrate Plotter - Measured Plot page, in the Measured Length and Measured Width boxes, enter the actual dimensions of the plotted test rectangle. Choose Next.

    AutoCAD compares the actual plotted measurements to the size you specified in the preceding screen and computes the correction needed to accurately calibrate the plotter.

  9. On the Calibrate Plotter - File name page, enter a file name. Choose Next.

    The resulting PMP file is stored in the AutoCAD Drv folder.

  10. On the Calibrate Plotter - Finish page, choose Check Calibration.

    AutoCAD plots the text rectangle again. Measure the sides again to verify that the calibration is correct.

  11. Choose Finish to return to the Add-a-Plotter wizard or Plotter Configuration Editor.
Command entry: PLOTTERMANAGER


Calibrate Plotters and Work with Custom Paper Sizes (Procedure)

Calibrate Plotters and Work with Custom Paper Sizes
Up a level to ..
Calibrate Plotters and Work with Custom Paper Sizes
Use Plotters and Printers > Control PC3 File Device and Document Settings > Calibrate Plotters and Work with Custom Paper Sizes >
Calibrate Plotters and Work with Custom Paper Sizes
Concept Procedure Quick Reference

To attach a PMP file to a PC3 file

After you create a PMP file, that file is attached to the PC3 file from which you started the Calibrate Plotter wizard. You can attach an existing PMP file to a different PC3 file using the Plotter Configuration Editor.

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration to which you want to attach a PMP file.
  3. On the Device and Document Settings tab, from User-Defined Paper Sizes & Calibration, select PMP File Name <file name>.

    If this PC3 file doesn't have an attached PMP file, the PMP File Name setting doesn't show an attached file. Choose Attach.

  4. Locate the PMP file you want to attach to this PC3 file and choose Open.
  5. Choose OK to close the Plotter Configuration Editor.

    The PMP File Name setting is updated.

Command entry: PLOTTERMANAGER


To detach a PMP file from a PC3 file (Procedure)

Calibrate Plotters and Work with Custom Paper Sizes
Up a level to ..
Calibrate Plotters and Work with Custom Paper Sizes
Use Plotters and Printers > Control PC3 File Device and Document Settings > Calibrate Plotters and Work with Custom Paper Sizes >
Calibrate Plotters and Work with Custom Paper Sizes
Concept Procedure Quick Reference

To detach a PMP file from a PC3 file

After you create a PMP file, that file is attached to the PC3 file from which you started the Calibrate Plotter wizard. You can detach a PMP from a PC3 file using the Plotter Configuration Editor.

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration from which you want to detach a PMP file.
  3. On the Device and Document Settings tab, select User-defined Paper Sizes & Calibration and then select the PMP File Name <file name>.
  4. Choose Detach. (If this PC3 file doesn't have an attached PMP file, the Detach option is unavailable.)
  5. Choose OK to close the Plotter Configuration Editor.
Command entry: PLOTTERMANAGER


To save a PMP file to a new file name (Procedure)

Calibrate Plotters and Work with Custom Paper Sizes
Up a level to ..
Calibrate Plotters and Work with Custom Paper Sizes
Use Plotters and Printers > Control PC3 File Device and Document Settings > Calibrate Plotters and Work with Custom Paper Sizes >
Calibrate Plotters and Work with Custom Paper Sizes
Concept Procedure Quick Reference

To save a PMP file to a new file name

After you create a PMP file, that file is attached to the PC3 file from which you started the Calibrate Plotter wizard. You can save the PMP file with a new file name using the Plotter Configuration Editor.

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration from which you want to save a PMP file.
  3. In the Plotter Configuration Editor, choose the Device and Document Settings tab.
  4. Double-click User-Defined Paper Sizes & Calibration to display the calibration and paper size options.
  5. Under PMP File, choose Save PMP.
  6. In the Save As dialog box, enter a new file name for the PMP file that's attached to the PC3 file you're editing.
  7. Choose Save.

    The new file name is displayed in angle brackets beside the PMP File Name option in the tree view.

  8. Choose OK to close the Plotter Configuration Editor.
Command entry: PLOTTERMANAGER


To add a new custom paper size from scratch (nonsystem HDI drivers only) (Procedure)

Calibrate Plotters and Work with Custom Paper Sizes
Up a level to ..
Calibrate Plotters and Work with Custom Paper Sizes
Use Plotters and Printers > Control PC3 File Device and Document Settings > Calibrate Plotters and Work with Custom Paper Sizes >
Calibrate Plotters and Work with Custom Paper Sizes
Concept Procedure Quick Reference

To add a new custom paper size from scratch (nonsystem HDI drivers only)

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration you want to modify.
  3. In the Plotter Configuration Editor, choose the Device and Document Settings tab.
  4. Double-click User-Defined Paper Sizes & Calibration to display the calibration and paper size options. Then select Custom Paper Sizes.
  5. Under Custom Paper Sizes, choose Add.
  6. In the Custom Paper Size Wizard, on the Begin page, select Start from Scratch. Choose Next.
  7. On the Media Bounds page, in the Units list, select either Inches or Millimeters for paper size.

    When you plot a nondimensional raster image, such as BMP or TIFF, the size of the plot is specified in pixels, not inches or millimeters.

  8. From the Width and Length lists, select the paper width and length. Choose Next.

    Each plotter has a maximum printable area determined by where it grips the paper and how far the pen shuttle reaches. Verify that the plotter is capable of plotting the new dimensions.

  9. On the Printable Area page, in the Top, Bottom, Left, and Right boxes, specify the printable area. Choose Next.
  10. On the Paper Size Name page, enter a name for the paper size. Choose Next.
  11. On the File Name page, enter a name for the PMP file.
  12. On the Finish page, specify whether the paper source is Sheet-Fed or Roll-Fed. Choose Print Test Page to verify the custom size.

    AutoCAD prints a cross that defines the paper size and a rectangle that defines the printable area. If all four sides of the rectangle are not printed, increase the printable area.

  13. Choose Finish to exit the Custom Paper Size wizard.
Command entry: PLOTTERMANAGER


To add a new custom paper size from scratch (system printers only) (Procedure)

Calibrate Plotters and Work with Custom Paper Sizes
Up a level to ..
Calibrate Plotters and Work with Custom Paper Sizes
Use Plotters and Printers > Control PC3 File Device and Document Settings > Calibrate Plotters and Work with Custom Paper Sizes >
Calibrate Plotters and Work with Custom Paper Sizes
Concept Procedure Quick Reference

To add a new custom paper size from scratch (system printers only)

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration you want to modify.
  3. In the Plotter Configuration Editor, choose the Device and Document Settings tab.
  4. Select Custom Properties.
  5. Choose Custom Properties in the Access Custom Dialog area.

    The device driver-specific user interface opens.

  6. Follow the manufacturer's instructions to add a custom paper size.

    You may need to choose the Help button for more information.

Command entry: PLOTTERMANAGER


To add a new custom paper size starting from an existing paper size (Procedure)

Calibrate Plotters and Work with Custom Paper Sizes
Up a level to ..
Calibrate Plotters and Work with Custom Paper Sizes
Use Plotters and Printers > Control PC3 File Device and Document Settings > Calibrate Plotters and Work with Custom Paper Sizes >
Calibrate Plotters and Work with Custom Paper Sizes
Concept Procedure Quick Reference

To add a new custom paper size starting from an existing paper size

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration you want to modify.
  3. In the Plotter Configuration Editor, choose the Device and Document Settings tab.
  4. Double-click User-Defined Paper Sizes & Calibration to display the calibration and paper size options. Then select Custom Paper Sizes.
  5. Under Custom Paper Sizes, choose Add.
  6. In the Custom Paper Size wizard, on the Begin page, select Use Existing.
  7. From the list of existing standard paper sizes, select a paper size on which to base the custom paper size you are creating.
  8. On the Media Bounds page, select either Inches or Millimeters for paper size and specify the paper width and length. Choose Next.

    Each plotter has a maximum printable area determined by where it grips the paper and how far the pen shuttle reaches. Verify that the plotter is capable of plotting the new dimensions.

  9. On the Printable Area page, in the Top, Bottom, Left, and Right boxes, specify the printable area. Choose Next.
  10. On the Paper Size Name page, enter a name for the paper size. Choose Next.
  11. On the File Name page, enter a name for the PMP file.
  12. On the Finish page, specify whether the paper source is Sheet-Fed or Roll-Fed. Choose Print Test Page to verify the custom size.

    AutoCAD prints a cross that defines the paper size and a rectangle that defines the printable area. If all four sides of the rectangle are not printed, increase the printable area.

  13. Choose Finish to exit the Custom Paper Size wizard.
Command entry: PLOTTERMANAGER


To edit a custom paper size (Procedure)

Calibrate Plotters and Work with Custom Paper Sizes
Up a level to ..
Calibrate Plotters and Work with Custom Paper Sizes
Use Plotters and Printers > Control PC3 File Device and Document Settings > Calibrate Plotters and Work with Custom Paper Sizes >
Calibrate Plotters and Work with Custom Paper Sizes
Concept Procedure Quick Reference

To edit a custom paper size

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration you want to modify.
  3. In the Plotter Configuration Editor, choose the Device and Document Settings tab.
  4. Double-click User-Defined Paper Sizes & Calibration to display the calibration and paper size settings.
  5. Select Custom Paper Sizes.
  6. Under Custom Paper Sizes, select a paper size from the list. Choose Edit.
  7. In the Custom Paper Size wizard, make changes to the paper size, printable area, custom paper size name, and source.
  8. Choose Finish to exit the Custom Paper Size wizard.
  9. Choose OK.
Command entry: PLOTTERMANAGER


To delete a custom paper size (Procedure)

Calibrate Plotters and Work with Custom Paper Sizes
Up a level to ..
Calibrate Plotters and Work with Custom Paper Sizes
Use Plotters and Printers > Control PC3 File Device and Document Settings > Calibrate Plotters and Work with Custom Paper Sizes >
Calibrate Plotters and Work with Custom Paper Sizes
Concept Procedure Quick Reference

To delete a custom paper size

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration you want to modify.
  3. In the Plotter Configuration Editor, choose the Device and Document Settings tab.
  4. Double-click User-Defined Paper Sizes & Calibration to display the calibration and paper size settings.
  5. Select Custom Paper Sizes.
  6. Under Custom Paper Sizes, select a paper size from the list.
  7. Choose Delete.
  8. Choose OK.
Command entry: PLOTTERMANAGER


To modify a standard paper size (Procedure)

Calibrate Plotters and Work with Custom Paper Sizes
Up a level to ..
Calibrate Plotters and Work with Custom Paper Sizes
Use Plotters and Printers > Control PC3 File Device and Document Settings > Calibrate Plotters and Work with Custom Paper Sizes >
Calibrate Plotters and Work with Custom Paper Sizes
Concept Procedure Quick Reference

To modify a standard paper size

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration you want to modify.
  3. In the Plotter Configuration Editor, choose the Device and Document Settings tab.
  4. Double-click User-Defined Paper Sizes & Calibration to display the calibration and paper size settings.
  5. Select Modify Standard Paper Sizes.
  6. Under Modify Standard Paper Sizes, select the paper size you want to adjust. Then choose Modify.
  7. In the Custom Paper Size wizard, adjust the printable area as necessary. Then choose Finish to exit the Custom Paper Size wizard.
Command entry: PLOTTERMANAGER


To filter paper sizes (Procedure)

Calibrate Plotters and Work with Custom Paper Sizes
Up a level to ..
Port Settings
Use Plotters and Printers > Control PC3 File Device and Document Settings > Calibrate Plotters and Work with Custom Paper Sizes >
Calibrate Plotters and Work with Custom Paper Sizes
Concept Procedure Quick Reference

To filter paper sizes

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration you want to modify.
  3. In the Plotter Configuration Editor, choose the Device and Document Settings tab.
  4. Double-click User-Defined Paper Sizes & Calibration to display the calibration and paper size settings.
  5. Select Filter Paper Sizes.
  6. In the Size list in the Filter Paper Sizes area, check the paper sizes you want to appear in the Paper Size lists in the Plot and Page Setup dialog boxes.
Command entry: PLOTTERMANAGER


Calibrate Plotters and Work with Custom Paper Sizes (Quick Reference)

Use Initialization Strings
Calibrate Plotters and Work with Custom Paper Sizes
Resolve Conflicts with the Windows Print Manager
Use Plotters and Printers > Control PC3 File Device and Document Settings > Calibrate Plotters and Work with Custom Paper Sizes >
Calibrate Plotters and Work with Custom Paper Sizes
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Resolve Conflicts with the Windows Print Manager (Concept)

Calibrate Plotters and Work with Custom Paper Sizes
Use Plotters and Printers
Port Settings
Use Plotters and Printers >
Resolve Conflicts with the Windows Print Manager
Concept Quick Reference

You need to use the appropriate driver for a locally connected plotter.

If you configure an HDI hardcopy driver for a locally connected plotter and configure a Windows system printer for the same locally connected plotter, the HDI driver is unable to connect directly to the local port because the Windows system printer driver has control over it. The driver output is rerouted to the Windows print spooler.

If the plotter is connected to a serial port, make sure that the Windows Control Panel settings for that serial port are correct. The settings should match the settings of the plotter and should be appropriate for the cabling you have used. You can verify that these settings are correct by printing to the conflicting Windows system printer.

Plotting from an HDI driver through the spooler is similar to plotting to a file because there is only one-way communication with the plotter. Performance varies depending on the device.


Resolve Conflicts with the Windows Print Manager (Quick Reference)

Calibrate Plotters and Work with Custom Paper Sizes
Resolve Conflicts with the Windows Print Manager
Adjust Port Settings
Use Plotters and Printers > Resolve Conflicts with the Windows Print Manager >
Resolve Conflicts with the Windows Print Manager
Concept Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Port Settings

Resolve Conflicts with the Windows Print Manager
Use Plotters and Printers
Adjust Port Settings
Use Plotters and Printers >
Port Settings
Concept Procedure

The Ports tab in the Plotter Configuration Editor contains information about the plotter's port configuration.

Topics in this section

  • Adjust Port Settings

    There are three possible places to configure your computer's port settings, depending on how your plotter is connected.

  • Use AutoSpool

    With AutoSpool you can plot to an automatically generated file name in the folder you designate in the Options dialog box.

  • Set the Timeout Value for Devices

    Some plotters support a timeout value, which specifies how much time elapses while the plotter empties its buffer before more data is sent to the plotter.

  • Configure Serial Ports

    You can adjust baud rate, protocol, flow control, and hardware handshaking for serial ports on devices that support these settings.


Port Settings (Procedure)

Calibrate Plotters and Work with Custom Paper Sizes
Port Settings
Adjust Port Settings
Use Plotters and Printers > Port Settings >
Port Settings
Concept Procedure

To adjust port settings

To use AutoSpool

To specify the location for AutoSpool print files

To set the timeout value for a local, nonsystem plotter

To set the timeout value for network or Windows system printers

To adjust serial port settings


Adjust Port Settings (Concept)

Port Settings
Port Settings
Use AutoSpool
Use Plotters and Printers > Port Settings >
Adjust Port Settings
Concept Procedure Quick Reference

There are three possible places to configure your computer's port settings, depending on how your plotter is connected.

The Ports tab in the Plotter Configuration Editor contains information about the plotter's port configuration. If you configure a local, nonsystem plotter, you must specify the port to which the device is connected. You can choose a serial (local), parallel (local), or network port. For parallel ports, the default is LPT1. For serial ports, the default is COM1. Change the port name if your device is connected to a different port.

If you use a serial port, the settings within AutoCAD must match the plotter settings. Choose Configure Ports to make the AutoCAD settings match your plotter settings. The available protocols for your plotter are displayed.

NoteIf you are using a device that emulates the configured device and has additional port options, select Show All Ports.

You can also change settings for communication between the PC3 file and your computer or network system. You can plot through a port, plot to a file, or use the AutoSpool feature to plot in the background while you continue working. If you plot through a parallel port, you can specify the timeout value. If you plot through a serial port, you can change the baud rate, protocol, flow control, and input and output timeout values.

There are three possible places to configure your computer's port settings, depending on how your plotter is connected.

Locally Connected Spooling

Your plotter is locally connected if it's plugged in to a port on the computer that's running AutoCAD. AutoCAD spools the plot (sends it through the Windows system spooler) if you also have configured a Windows system printer to print to the same plotter using the same local port. You are notified if your plot is being spooled due to a port conflict of this type, although you can use a setting on the Plot and Publish tab in the Options dialog box to turn off this warning.

Plotting through the system spooler is quicker. However, this method puts the conflicting Windows system printer in control of the input/output port configuration. The AutoCAD-configured port settings are ignored in this case. To view or adjust the port settings, go to the Windows Print Manager in the Control Panel and activate the printer that is configured for your plotter. You can adjust port settings in the Windows system printer's Properties dialog box. You can print a test page from the Properties dialog box to verify that the plotter and computer are communicating correctly.

Locally Connected, But Not Spooling

If your plotter is locally connected and there is no conflicting system printer, AutoCAD can directly control the input/output port settings.

Across a Network

If you're running AutoCAD on one computer and plotting to a device connected to another computer on the network, the remote computer is in control of the port settings, and the AutoCAD configured port settings are ignored. A Windows system printer must be configured on the remote computer. (This is how the plotter was shared on the network and made available to you.) The remote system printer controls the port settings; you can view and change these settings in each system printer file's Properties dialog box, on the remote computer.

See Also

    • Use AutoSpool


To adjust port settings (Procedure)

Port Settings
Up a level to ..
Use AutoSpool
Use Plotters and Printers > Port Settings > Adjust Port Settings >
Adjust Port Settings
Concept Procedure Quick Reference

To adjust port settings

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration (PC3) file whose port settings you want to change.
  3. In the Plotter Configuration Editor, choose the Ports tab.
  4. Select one of the following options:
    • Plot to the Following Port. Sends the drawing to the printer through the specified port.
    • Plot to File. Sends the drawing to the file name specified on the File tab in the Options dialog box.
    • AutoSpool. Uses the AutoSpool utility specified on the File tab in the Options dialog box to plot the drawing.
  5. For a device that emulates the configured device and has additional port options, select Show All Ports.
  6. To connect a nonsystem plotter to another instance of the device, choose Browse Network. In the Browse for Printer dialog box, select the device and choose OK.
  7. Choose OK.
Command entry: PLOTTERMANAGER


Adjust Port Settings (Quick Reference)

Resolve Conflicts with the Windows Print Manager
Adjust Port Settings
Use AutoSpool
Use Plotters and Printers > Port Settings > Adjust Port Settings >
Adjust Port Settings
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use AutoSpool (Concept)

Adjust Port Settings
Port Settings
Set the Timeout Value for Devices
Use Plotters and Printers > Port Settings >
Use AutoSpool
Concept Procedure Quick Reference

With AutoSpool you can plot to an automatically generated file name in the folder you designate in the Options dialog box.

Once the file has been created, the spooler application specified in the Options dialog box is executed.

Although it is not necessary to use AutoSpool to print to Windows network printers and plotters, AutoSpool is available for users of other networks and for users who want to start another application at plot time using the AutoSpool mechanism.

When you add printers or plotters in the Add-a-Plotter wizard, select a network port, which meets most printer and plotter network connectivity requirements.

With AutoSpool, you can send a plot file to an assigned device for printing while you continue working. AutoSpool accommodates special plotting and printing requirements such as log files or nonstandard networks. You can also use most plotting routines developed for previous versions of AutoCAD.

When you run AutoSpool, AutoCAD writes the plot job to a random file name in a folder you specify. Next, AutoCAD runs a print queue submission program along with a user-specified parameter list. At a minimum, the parameter list must include the random file name AutoCAD assigned to the plot job. The parameter list is represented by the %s variable. Other parameters can be used, for example, to improve resolution at the destination device or generate log files.

To set up AutoSpool, you must provide the executable file AutoCAD invokes and specify that executable name and parameter list in the Options dialog box. The executable file is usually a batch program that you create, but it can also be a third-party program. If you use a third-party program, the setup is essentially the same. To determine the parameter variables required for the third-party program, refer to the documentation for that program.

You can use several methods for configuring plot spooling:

  • A Windows system printer driver and the Print Manager to enable spooling
  • An HDI driver and a Windows system printer driver configured for the same I/O port to force the HDI driver's output to the system spooler
  • AutoSpool

If you configure AutoCAD for plot spooling using AutoSpool, you must configure your printer, specify the AutoSpool executable file, and specify the print file location.

Create a Batch File for AutoSpool

The following sample plot.bat file shows some of the functions that can be included in a batch file. This batch file determines the destination hard copy device, submits the print job through the operating system Copy command, and then deletes the temporary plot file created by AutoCAD.

This batch file requires two parameters to be passed from AutoCAD, %s and %c, which are referenced internally in the batch program as %1 and %2, respectively. The imaginary devices in this example are attached to the local workstation and two different network printer servers. See the following table for an explanation of the device names and connections. Note that the order in which parameters are passed to the AutoSpool executable file determines how the variable is referenced in the program or batch file. For example, the first variable becomes %1 and so forth.

Device names and connections
Description | Server | Network share name | AutoCAD configuration name
Local laser printer |  |  | my_laser
Network-attached plotter | milana | \\milana\hp755cm | hp755cm
Network-attached laser printer | kilo | \\kilo\laser | net_laser

Rem PLOT.BAT
@echo off
Rem determine the destination
if %2 == my_laser goto PlotA
if %2 == hp755cm goto PlotB
if %2 == net_laser goto PlotC
Rem trap for undefined devices
echo *******************Warning**********************
echo %2 is not defined to the Plot Script, PLOT.BAT
echo The plot job has been canceled.
echo ************************************************
pause
goto END
Rem send the job
:PlotA
copy %1 /b LPT1
goto END
:PlotB
copy %1 /b \\milana\hp755cm
goto END
:PlotC
copy %1 /b \\kilo\laser
goto END
Rem clean up and exit
:END
erase %1
exit
NoteDevice names are case-sensitive.
Make sure that the name configured for the device in  AutoCAD exactly
matches the name in your batch program.


Use AutoSpool (Procedure)

Adjust Port Settings
Up a level to ..
Use AutoSpool
Use Plotters and Printers > Port Settings > Use AutoSpool >
Use AutoSpool
Concept Procedure Quick Reference

To use AutoSpool

To specify the location for AutoSpool print files


To use AutoSpool (Procedure)

Use AutoSpool
Up a level to ..
Use AutoSpool
Use Plotters and Printers > Port Settings > Use AutoSpool >
Use AutoSpool
Concept Procedure Quick Reference

To use AutoSpool

  1. Start the Add-a-Plotter wizard.
  2. On the Ports page, select AutoSpool.
  3. From the Tools menu, choose Options. Then choose the Files tab.
  4. Double-click Print file, Spooler, and Prolog Section Names to display the options in this section.
  5. Double-click Print Spool Executable.
  6. Double-click the arrow. In the Select a File dialog box, locate the program you want to execute when the plot file has been created. Add any command line arguments you want to use. For example, enter myspool.bat %s.

When AutoCAD plots to a file, it substitutes a unique plot file name for “%s” in the Print Spool Executable name and sends the generated command to DOS.

Print spool executable command line options
Option | Function
%d or %D | Specifies the AutoCAD drawing name, including the full path and -extension
%e or %E | Specifies the equal sign (=)
%h or %H | Returns the height of the plot area in the selected plotting units
%i or %I | Becomes the first letter of the plot units
%l or %L | Designates the login name; the login name is stored in the LOGINNAME system variable
%m or %M | Returns the AutoCAD plotter model; AutoCAD lists the model name during configuration
%n or %N | Becomes the plotter name; AutoCAD uses the plotter name to identify the manufacturer and type of plotter
%p or %P | Designates the plotter number; AutoCAD assigns a number to a configured plotter and lists the plotters in this order
%s or %S | Specifies the plot spool file name, including the path and extension
%u or %U | Specifies the user name entered during installation
%w or %W | Returns the width of the plotter area in the selected units
%% | Specifies the percent sign (%)
%c or %C | Specifies the description for the device (This is the description entered on the General tab of the Plotter Configuration Editor. This description should not contain spaces if you want to use it with AutoSpool.)


To specify the location for AutoSpool print files (Procedure)

Use AutoSpool
Up a level to ..
Set the Timeout Value for Devices
Use Plotters and Printers > Port Settings > Use AutoSpool >
Use AutoSpool
Concept Procedure Quick Reference

To specify the location for AutoSpool print files

  1. From the Tools menu, choose Options. Choose the Files tab.
  2. Double-click Print Support File Path.
  3. Double-click the Print Spooler File Location.
  4. Double-click the arrow.
  5. In the Select a File dialog box, enter the path to the directory where you want AutoSpool to send its print files.


Use AutoSpool (Quick Reference)

Adjust Port Settings
Use AutoSpool
Set the Timeout Value for Devices
Use Plotters and Printers > Port Settings > Use AutoSpool >
Use AutoSpool
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

FULLPLOTPATH

Controls whether the full path of the drawing file is sent to the plot spooler

Utilities

No entries

Command Modifiers

No entries


Set the Timeout Value for Devices (Concept)

Use AutoSpool
Port Settings
Configure Serial Ports
Use Plotters and Printers > Port Settings >
Set the Timeout Value for Devices
Concept Procedure Quick Reference

Some plotters support a timeout value, which specifies how much time elapses while the plotter empties its buffer before more data is sent to the plotter.

After the plotter empties its buffer, it accepts more data from AutoCAD. Enter the amount of time you want to elapse before AutoCAD prompts you to abort the plot. If your drawings are complex or your pen speed is very slow, set the timeout value higher than the default (30 seconds). If you begin to receive numerous timeout messages, your timeout setting is probably too low. For plotters that support a timeout value, you can also set the timeout value by choosing Configure Port on the Ports page during the initial configuration in the Add-a-Plotter wizard.


Set the Timeout Value for Devices (Procedure)

Use AutoSpool
Up a level to ..
Set the Timeout Value for Devices
Use Plotters and Printers > Port Settings > Set the Timeout Value for Devices >
Set the Timeout Value for Devices
Concept Procedure Quick Reference

To set the timeout value for a local, nonsystem plotter

To set the timeout value for network or Windows system printers


To set the timeout value for a local, nonsystem plotter (Procedure)

Set the Timeout Value for Devices
Up a level to ..
Set the Timeout Value for Devices
Use Plotters and Printers > Port Settings > Set the Timeout Value for Devices >
Set the Timeout Value for Devices
Concept Procedure Quick Reference

To set the timeout value for a local, nonsystem plotter

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration (PC3) file whose timeout value you want to change.
  3. In the Plotter Configuration Editor, choose the Ports tab.
  4. On the Ports tab, select the port that you want to use.
  5. Choose Configure Port and do one of the following:
    • For a parallel port, in the Transmission Retry box, enter the timeout value in milliseconds.
    • For a serial port, in the Input Timeout and Output Timeout boxes, enter the timeout values in milliseconds.
  6. Choose OK.
Command entry: PLOTTERMANAGER


To set the timeout value for network or Windows system printers (Procedure)

Set the Timeout Value for Devices
Up a level to ..
Configure Serial Ports
Use Plotters and Printers > Port Settings > Set the Timeout Value for Devices >
Set the Timeout Value for Devices
Concept Procedure Quick Reference

To set the timeout value for network or Windows system printers

  1. From the Start menu, choose Settings. Then choose Printers.
  2. Right-click the printer you want, and then choose Properties.
  3. In the Properties dialog box, choose the Ports tab.
  4. On the Ports tab, select the LPT port that the printer uses, and then choose Configure Port.
  5. In the Transmission Retry box, enter the number of seconds.
  6. Choose OK to exit each dialog box.


Set the Timeout Value for Devices (Quick Reference)

Use AutoSpool
Set the Timeout Value for Devices
Configure Serial Ports
Use Plotters and Printers > Port Settings > Set the Timeout Value for Devices >
Set the Timeout Value for Devices
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Configure Serial Ports (Concept)

Set the Timeout Value for Devices
Port Settings
Set Device-Specific Configurations
Use Plotters and Printers > Port Settings >
Configure Serial Ports
Concept Procedure Quick Reference

You can adjust baud rate, protocol, flow control, and hardware handshaking for serial ports on devices that support these settings.

You should use the fastest available baud rate and the protocol recommended by your device manufacturer. See the documentation that accompanies your device.

NoteThe settings on your plotter must match the settings in AutoCAD or you will not be able to plot.

Flow Control and Handshaking

Your computer can produce a plot file faster than most plotters can process it. Plotters have a limited amount of memory and as this memory fills up, the plotter must be able to tell your computer to stop sending data temporarily. Then, when plotter memory is freed up as the plot is processed, the plotter must be able to tell the computer to resume sending the plot file. This communication is called flow control or handshaking.

There are two methods of handshaking: hardware and software. Hardware handshaking uses additional wires in the cable between the plotter and computer. These wires are dedicated to handshaking signals or on/off voltages. Software handshaking uses a single wire to send streams of commands that include start/stop handshaking signals. The most common type of software handshaking is XON/XOFF. You must provide different cables for hardware and software handshaking.


To adjust serial port settings (Procedure)

Set the Timeout Value for Devices
Up a level to ..
Configure Hewlett-Packard HP-GL Plotters
Use Plotters and Printers > Port Settings > Configure Serial Ports >
Configure Serial Ports
Concept Procedure Quick Reference

To adjust serial port settings

  1. From the File menu, choose Plotter Manager.
  2. Double-click the plotter configuration (PC3) file whose serial port settings you want to change.
  3. In the Plotter Configuration Editor, choose the Ports tab and select the serial port that you want to use.
  4. Choose Configure Port.
  5. In the Settings for COM Port dialog box, select a baud rate and protocol for your device.

    The protocol settings available for the current device are displayed. You cannot set an invalid protocol.

  6. Select a Flow Control method.

    The default flow control setting is XON/XOFF (software handshaking) for compatibility with previous versions of AutoCAD. If you select Hardware handshaking, you can specify additional settings by choosing Advanced.

    In the Advanced Settings for COM Port dialog box, the following settings correspond to different pins on the serial port:

    • CTS. Enables Clear to Send handshaking. This monitors pin 5 of a 25-pin serial port or pin 8 of a 9-pin serial port. CTS is an input bit, monitored for an output from the plotter or printer.
    • DSR. Enables Data Set Ready handshaking. This monitors pin 6 of a 25-pin serial port, or pin 6 of a 9-pin serial port. DSR is an input bit, monitored for an output from the printer or plotter.
    • RLSD. Enables Received Line Signal Detector handshaking. This is sometimes called Data Carrier Detect or DCD. It's an input pin that can be monitored for an output from the plotter. It's on pin 8 of a 25-pin serial port and on pin 1 of a 9-pin serial port.
    • RTS. Controls the Request to Send output bit. This sends a signal to the printer or plotter on pin 4 of a 25-pin serial port or on pin 7 of a 9-pin serial port.

      Disabled. Disables the RTS line when the device is opened.

      Enabled. Enables the RTS line when the device is opened.

      Handshake.Enables RTS handshaking. The driver raises the RTS line when the “type-ahead” (input) buffer is less than one-half full and lowers the RTS line when the buffer is more than three-quarters full.

      Toggle. Specifies that the RTS line will be high if bytes are available for transmission. After all buffered bytes have been sent, the RTS line will be low.

    • DTR. Controls the Data Terminal Ready output pin. This sends a signal to the printer or plotter on pin 20 of a 25-pin serial port or on pin 4 of a 9-pin serial port.

      Disabled. Disables the DTR line when the device is opened.

      Enabled. Enables the DTR line when the device is opened.

      Handshake. Enables DTR handshaking.

  7. Choose OK to close the Advanced Settings for COM Port dialog box. Choose OK to close the Settings for COM Port dialog box.


Configure Serial Ports (Quick Reference)

Set the Timeout Value for Devices
Configure Serial Ports
Configure Hewlett-Packard DesignJets
Use Plotters and Printers > Port Settings > Configure Serial Ports >
Configure Serial Ports
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Set Device-Specific Configurations

Configure Serial Ports
Configure Hewlett-Packard DesignJets
Set Device-Specific Configurations

You can set device-specific configurations in the Autodesk Plotter Manager.

Topics in this section

  • Configure Hewlett-Packard DesignJets

    Hewlett-Packard DesignJet plotters are supported by a Windows system printer driver developed by Hewlett-Packard. Visit http://hp.com/go/designjet to check for the latest HP DesignJet drivers.

  • Configure Hewlett-Packard HP-GL Plotters

    Hewlett-Packard HP-GL plotters are supported through an RS-232C serial I/O port.

  • Configure Hewlett-Packard HP-GL/2 Devices

    The HP-GL/2 nonsystem driver supports a variety of HP-GL/2 pen plotters and ink jet plotters.

  • Configure Océ Plotters

    Although the primary configuration choice for Océ plotters is through a parallel port, Océ plotters can be supported through an RS-232C serial I/O port.

  • Configure Xerox Devices

    It is highly recommended that you use the Xerox HDI driver.

  • Configure CalComp Plotters

    If you are using a CalComp plotter, you can use the Windows system printer.

  • Configure Houston Instruments Plotters

    If you are using a newer Houston Instruments plotter, use the generic HP-GL or HP-GL/2 HDI drivers and configure your plotter in HP-GL or HP-GL/2 emulation mode.

  • Use the Autodesk HDI System Printer Driver

    With the HDI system printer driver, you can use the plotter or printer you have configured with Windows.


Configure Hewlett-Packard DesignJets (Concept)

Set Device-Specific Configurations
Set Device-Specific Configurations
Configure Hewlett-Packard HP-GL Plotters
Set Device-Specific Configurations >
Configure Hewlett-Packard DesignJets
Concept Quick Reference

Hewlett-Packard DesignJet plotters are supported by a Windows system printer driver developed by Hewlett-Packard. Visit http://hp.com/go/designjet to check for the latest HP DesignJet drivers.

Plotters from other manufacturers that emulate HP DesignJets are supported through the HP-GL/2 HDI driver.

AutoCAD® supports the Hewlett-Packard DesignJet plotter models through a serial or a parallel port. Using the parallel port is recommended. If you use a serial port, set the DesignJet at 9600 baud, with 8 data bits, 1 stop bit, no parity, and hardware handshaking XON/XOFF.

All DesignJet roll-feed models can produce long-axis plots. Both the 600 and 650C have an optional expanded mode for page formats and margins. You set the Expanded mode on the plotter's front panel.

NoteIf you experience plotting problems, such as resolution degradation for lines and shaded solids, when plotting to an Hewlett-Packard DesignJet plotter, contact Hewlett-Packard for support.


Configure Hewlett-Packard DesignJets (Quick Reference)

Configure Serial Ports
Configure Hewlett-Packard DesignJets
Configure Hewlett-Packard HP-GL Plotters
Set Device-Specific Configurations > Configure Hewlett-Packard DesignJets >
Configure Hewlett-Packard DesignJets
Concept Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Configure Hewlett-Packard HP-GL Plotters (Concept)

Configure Hewlett-Packard DesignJets
Set Device-Specific Configurations
Configure Hewlett-Packard HP-GL/2 Devices
Set Device-Specific Configurations >
Configure Hewlett-Packard HP-GL Plotters
Concept Procedure Quick Reference

Hewlett-Packard HP-GL plotters are supported through an RS-232C serial I/O port.

Set the Hewlett-Packard plotters at 9600 baud with 7 data bits, 1 stop bit, and even parity.

For detailed cabling, switch setting, and other information related to using the HP-GL driver, see HP-GL Custom Properties Dialog Box.

For more information about using this driver, see the topic HP-GL Driver Custom Properties.

Hard Clip Limits

The 7580, 7585, 7586, DraftPro DXL/EXL, DraftMaster I, 7586B, and 7596A plotters return hard clip limits to AutoCAD. These limits require two-way communication between AutoCAD and the plotter. The plotter sends AutoCAD the installed paper's exact plot area so that AutoCAD can position the plot on the paper based on the actual sheet size. If you turn off the AutoCAD request for hard clip limits, AutoCAD positions the plot based on the configured paper size. In most cases, if you turn off hard clip limits, you must adjust the configured paper size to reflect the actual printable area of the device. Otherwise, your plot may be clipped. You can adjust the location of the plot on the paper by changing the plot origin.

If your plot is sent through the Windows print spooler, the AutoCAD request for hard clip limits is turned off because of a conflict with a Windows system printer or because you're plotting to a network port. If you see a warning message, you may have to adjust your configured paper size and plot origin.

AutoCAD sends the plot to the currently configured port in the same manner that it sends the plot to a file. After the plot is sent, you can plot directly to plotter buffers or over networks.

HP-GL Long-Axis Plots

For roll-fed media, HP-GL devices limit the frame height. Frame height varies with roll width. You must perform a long-axis plot to plot more than the frame height.

AutoCAD determines whether a long-axis plot is necessary when you configure to use a long-axis paper size and when you create a long-axis plot paper size using the Add Paper Size wizard in the Plotter Configuration Editor.

The driver sends all vectors to the plotter buffer or hard disk. The pen plotters automatically advance the page to plot each frame.

Follow the instructions in the Hewlett-Packard user's guide. For long-axis, multiframe plotting, you need a black 0.3 mm fiber-tip pen (for plotter paper) or a 0.35 mm drafting pen (for vellum or polyester film) in pen stall 8. Only these pens enable the plotter to detect the registration marks used for frame-to-frame alignment.

When you create a long-axis plot with the 7586B roll-feed plotter, the Out of Limit light comes on occasionally. Generally this is a result of the interaction between AutoCAD and the plotter when plotting very large drawings.


Configure Hewlett-Packard HP-GL Plotters (Procedure)

Configure Serial Ports
Configure Hewlett-Packard HP-GL Plotters
Configure Hewlett-Packard HP-GL Plotters
Set Device-Specific Configurations > Configure Hewlett-Packard HP-GL Plotters >
Configure Hewlett-Packard HP-GL Plotters
Concept Procedure Quick Reference

To configure an HP-GL plotter driver

To stop the long-axis plot after all vectors have been sent

To stop the long-axis plot while vectors are being sent to the plotter


To configure an HP-GL plotter driver (Procedure)

Configure Hewlett-Packard HP-GL Plotters
Configure Hewlett-Packard HP-GL Plotters
Configure Hewlett-Packard HP-GL Plotters
Set Device-Specific Configurations > Configure Hewlett-Packard HP-GL Plotters >
Configure Hewlett-Packard HP-GL Plotters
Concept Procedure Quick Reference

To configure an HP-GL plotter driver

  1. From the File menu, choose Plotter Manager.
  2. Double-click the Add-a-Plotter Wizard shortcut icon.
  3. On the Begin page, choose My Computer if the plotter is connected to your computer. Select Network Plotter Server if the plotter is available through a network. Choose Next.
  4. On the Network Plotter page, enter the UNC name of the networked plotter. Choose Next. This page is not displayed if you selected My Computer in step 3.
  5. On the Plotter Model page, under Manufacturers, select Hewlett-Packard. Under Model, select the type of Hewlett-Packard plotter that you are using or emulating. Choose Next.
  6. On the Import PCP or PC2 page, select a PCP or PC2 file to import (optional). Choose Next.
  7. On the Ports page, select the port that the printer is attached to. This page is not displayed if you selected Network Plotter Server in step 3. Choose Next.
  8. On the Plotter Name page, enter a name for the plotter configuration file. Choose Next.
  9. On the Finish page, choose Finish.

    A new plotter configuration file (PC3) is created.

Command entry: PLOTTERMANAGER


To stop the long-axis plot after all vectors have been sent (Procedure)

Configure Hewlett-Packard HP-GL Plotters
Configure Hewlett-Packard HP-GL Plotters
Configure Hewlett-Packard HP-GL Plotters
Set Device-Specific Configurations > Configure Hewlett-Packard HP-GL Plotters >
Configure Hewlett-Packard HP-GL Plotters
Concept Procedure Quick Reference

To stop the long-axis plot after all vectors have been sent

  • Press Cancel on the plotter Control Panel to clear the plotter memory.


To stop the long-axis plot while vectors are being sent to the plotter (Procedure)

Configure Hewlett-Packard HP-GL Plotters
Configure Hewlett-Packard HP-GL Plotters
Configure Hewlett-Packard HP-GL/2 Devices
Set Device-Specific Configurations > Configure Hewlett-Packard HP-GL Plotters >
Configure Hewlett-Packard HP-GL Plotters
Concept Procedure Quick Reference

To stop the long-axis plot while vectors are being sent to the plotter

  • Press ESC. Read your Hewlett-Packard manual for information about canceling the plot and clearing its memory buffer.

You must reset your plotter after canceling a plot, otherwise portions of the plot may overlay the next plot.


Configure Hewlett-Packard HP-GL Plotters (Quick Reference)

Configure Hewlett-Packard DesignJets
Configure Hewlett-Packard HP-GL Plotters
Configure Hewlett-Packard HP-GL/2 Devices
Set Device-Specific Configurations > Configure Hewlett-Packard HP-GL Plotters >
Configure Hewlett-Packard HP-GL Plotters
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Configure Hewlett-Packard HP-GL/2 Devices (Concept)

Configure Hewlett-Packard HP-GL Plotters
Set Device-Specific Configurations
Configure Océ Plotters
Set Device-Specific Configurations >
Configure Hewlett-Packard HP-GL/2 Devices
Concept Procedure Quick Reference

The HP-GL/2 nonsystem driver supports a variety of HP-GL/2 pen plotters and ink jet plotters.

This is a generic HP-GL/2 driver; it is not optimized for a particular manufacturer's devices. This driver is intended to support obsolete pen plotters and newer devices made by manufacturers other than HP.

The DesignJet, DraftPro Plus, and the DraftMaster with roll feed can perform long-axis plots.

For more information about using this driver, see the topic HP-GL/2 Driver Custom Properties.


Configure Hewlett-Packard HP-GL/2 Devices (Procedure)

Configure Hewlett-Packard HP-GL Plotters
Configure Hewlett-Packard HP-GL/2 Devices
Configure Hewlett-Packard HP-GL/2 Devices
Set Device-Specific Configurations > Configure Hewlett-Packard HP-GL/2 Devices >
Configure Hewlett-Packard HP-GL/2 Devices
Concept Procedure Quick Reference

To configure an HP-GL/2 plotter driver

To perform a long plot


To configure an HP-GL/2 plotter driver (Procedure)

Configure Hewlett-Packard HP-GL/2 Devices
Configure Hewlett-Packard HP-GL/2 Devices
Configure Hewlett-Packard HP-GL/2 Devices
Set Device-Specific Configurations > Configure Hewlett-Packard HP-GL/2 Devices >
Configure Hewlett-Packard HP-GL/2 Devices
Concept Procedure Quick Reference

To configure an HP-GL/2 plotter driver

  1. From the File menu, choose Plotter Manager.
  2. Double-click the Add-a-Plotter Wizard shortcut icon.
  3. On the Begin page, select My Computer if the plotter is connected to your computer. Select Network Plotter Server if the plotter is available through a network. Choose Next.
  4. On the Network Plotter page, enter the UNC name of the networked plotter. Choose Next. This page is not displayed if you selected My Computer in step 3.
  5. On the Plotter Model page under Manufacturers, select Hewlett-Packard. Under Model, select the type of Hewlett-Packard plotter that you are using or emulating. Choose Next.
  6. On the Import PCP or PC2 page, select a PCP or PC2 file to import (optional). Choose Next.
  7. On the Ports page, select the port that the printer is attached to. This page is not displayed if you selected Network Plotter Server in step 3. Choose Next.
  8. On the Plotter Name page, enter a name for the plotter configuration file. Choose Next.
  9. On the Finish page, choose Finish.

    A new plotter configuration file (PC3) is created.

Command entry: PLOTTERMANAGER


To perform a long plot (Procedure)

Configure Hewlett-Packard HP-GL/2 Devices
Configure Hewlett-Packard HP-GL/2 Devices
Configure Océ Plotters
Set Device-Specific Configurations > Configure Hewlett-Packard HP-GL/2 Devices >
Configure Hewlett-Packard HP-GL/2 Devices
Concept Procedure Quick Reference

To perform a long plot

  1. Plot in the normal manner. For best results, plot to extents, don't rotate the plot. Use an explicit one-to-one scale (not Scale to Fit).
  2. To stop your plotter after AutoCAD has finished sending all the vectors, clear the plotter memory using the plotter Control Panel.
  3. To stop a long-axis plot while AutoCAD is sending vectors to the plotter, press ESC.
  4. Clear the plotter memory as indicated for the following devices:
    • DraftMaster X series. Press the Cancel button.
    • HP 7600 240D/E. Press the plotter Reset button.
    • HP 7600 250/255/355. Press the Plot Management button. Select Queuing Operations, and then select the plot and delete it from the queue.
    • HP DesignJet Series. Press the Cancel button.
    • HP DraftPro Plus. Press the Cancel button.


Configure Hewlett-Packard HP-GL/2 Devices (Quick Reference)

Configure Hewlett-Packard HP-GL Plotters
Configure Hewlett-Packard HP-GL/2 Devices
Configure Océ Plotters
Set Device-Specific Configurations > Configure Hewlett-Packard HP-GL/2 Devices >
Configure Hewlett-Packard HP-GL/2 Devices
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Configure Océ Plotters (Concept)

Configure Hewlett-Packard HP-GL/2 Devices
Set Device-Specific Configurations
Configure Xerox Devices
Set Device-Specific Configurations >
Configure Océ Plotters
Concept Procedure Quick Reference

Although the primary configuration choice for Océ plotters is through a parallel port, Océ plotters can be supported through an RS-232C serial I/O port.

Set the Océ plotters at 9600 or 19,200 baud, with 8 data bits, 1 stop bit, and no parity. Serial port cabling instructions are available from your dealer or manufacturer.

For more information about using this driver, see the topic Océ Driver Custom Properties.


To configure an Océ plotter driver (Procedure)

Configure Hewlett-Packard HP-GL/2 Devices
Configure Océ Plotters
Configure Xerox Devices
Set Device-Specific Configurations > Configure Océ Plotters >
Configure Océ Plotters
Concept Procedure Quick Reference

To configure an Océ plotter driver

  1. From the File menu, choose Plotter Manager.
  2. Double-click the Add-a-Plotter Wizard shortcut icon.
  3. On the Begin page, select My Computer if the plotter is connected to your computer. Select Network Plotter Server if the plotter is available through a network. Choose Next.
  4. On the Network Plotter page, enter the UNC name of the networked plotter. Choose Next. This page is not displayed if you selected My Computer in step 3.
  5. On the Plotter Model page under Manufacturers, select Océ. Under Model, select the type of Océ plotter that you are using. Choose Next.
  6. On the Import PCP or PC2 page, select a PCP or PC2 file to import (optional). Choose Next.
  7. On the Ports page, select the port that the printer is attached to. This page is not displayed if you selected Network Plotter Server in step 3. Choose Next.
  8. On the Plotter Name page, enter a name for the plotter configuration file. Choose Next.
  9. On the Finish page, choose Finish.

    A new plotter configuration file (PC3) is created.

Command entry: PLOTTERMANAGER


Configure Océ Plotters (Quick Reference)

Configure Hewlett-Packard HP-GL/2 Devices
Configure Océ Plotters
Configure Xerox Devices
Set Device-Specific Configurations > Configure Océ Plotters >
Configure Océ Plotters
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Configure Xerox Devices (Concept)

Configure Océ Plotters
Set Device-Specific Configurations
Configure CalComp Plotters
Set Device-Specific Configurations >
Configure Xerox Devices
Concept Procedure Quick Reference

It is highly recommended that you use the Xerox HDI driver.

It is highly recommended that you use the Xerox HDI driver for AutoCAD. Along with improved performance, this new driver provides the same settings that now exist in the Windows system driver as well as the ability to get information from the printer in a bi-directional environment, such as roll status and what raster stamps are installed in the printer.

For more information on the latest Xerox devices and drivers, see the Xerox website.

For more information about using this driver, see the topic Xerox Driver Custom Properties.


To configure an HDI Xerox plotter driver (Procedure)

Configure Océ Plotters
Configure Xerox Devices
Use the Autodesk HDI System Printer Driver
Set Device-Specific Configurations > Configure Xerox Devices >
Configure Xerox Devices
Concept Procedure Quick Reference

To configure an HDI Xerox plotter driver

  1. From the File menu, choose Plotter Manager.
  2. Double-click the Add-a-Plotter Wizard shortcut icon.
  3. On the Begin page, select My Computer if the plotter is connected to your computer. Select Network Plotter Server if the plotter is available through a network. Choose Next.
  4. On the Network Plotter page, enter the UNC name of the networked plotter. Choose Next. This page is not displayed if you selected My Computer in step 3.
  5. On the Plotter Model page under Manufacturers, select Xerox Engineering Systems. Under Model, select the type of Xerox plotter that you are using. Choose Next.
  6. On the Import PCP or PC2 page, select a PCP or PC2 file to import (optional). Choose Next.
  7. On the Ports page, select the port that the printer is attached to. This page is not displayed if you selected Network Plotter Server in step 3. Choose Next.
  8. On the Plotter Name page, enter a name for the plotter configuration file. Choose Next.
  9. On the Finish page, choose Finish.

    A new plotter configuration file (PC3) is created.

Command entry: PLOTTERMANAGER


Configure Xerox Devices (Quick Reference)

Configure Océ Plotters
Configure Xerox Devices
Configure CalComp Plotters
Set Device-Specific Configurations > Configure Xerox Devices >
Configure Xerox Devices
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Configure CalComp Plotters (Concept)

Configure Xerox Devices
Set Device-Specific Configurations
Configure Houston Instruments Plotters
Set Device-Specific Configurations >
Configure CalComp Plotters
Concept Quick Reference

If you are using a CalComp plotter, you can use the Windows system printer.

If your plotter provides an HP-GL or HP-GL/2 emulation, you can use the HP-GL or HP-GL/2 HDI drivers.

For more information about using this driver, see the topic CalComp Driver Custom Properties .


Configure CalComp Plotters (Quick Reference)

Configure Xerox Devices
Configure CalComp Plotters
Configure Houston Instruments Plotters
Set Device-Specific Configurations > Configure CalComp Plotters >
Configure CalComp Plotters
Concept Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Configure Houston Instruments Plotters (Concept)

Configure CalComp Plotters
Set Device-Specific Configurations
Use the Autodesk HDI System Printer Driver
Set Device-Specific Configurations >
Configure Houston Instruments Plotters
Concept Quick Reference

If you are using a newer Houston Instruments plotter, use the generic HP-GL or HP-GL/2 HDI drivers and configure your plotter in HP-GL or HP-GL/2 emulation mode.


Configure Houston Instruments Plotters (Quick Reference)

Configure CalComp Plotters
Configure Houston Instruments Plotters
Use the Autodesk HDI System Printer Driver
Set Device-Specific Configurations > Configure Houston Instruments Plotters >
Configure Houston Instruments Plotters
Concept Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Use the Autodesk HDI System Printer Driver (Concept)

Configure Houston Instruments Plotters
Set Device-Specific Configurations
Configure for File Output
Set Device-Specific Configurations >
Use the Autodesk HDI System Printer Driver
Concept Procedure Quick Reference

With the HDI system printer driver, you can use the plotter or printer you have configured with Windows.

You can use any printing device supported by Windows (Windows system printer).

You can use the HDI system printer driver to choose printer defaults for AutoCAD that differ from the defaults for other Windows applications.

The Autodesk system printer driver supports raster output. However, the amount of memory in the printing device limits the ability of the device connected as the system printer to output raster and vector data sent by AutoCAD.

If you have multiple Windows system printers, you can select the device used to plot from AutoCAD. For example, you might use a LaserJet printer for word processing documents and a BubbleJet for AutoCAD drawings.

For best results, use the Windows system printer and AutoCAD plotter drivers as follows:

  • Use the Autodesk HDI driver appropriate to your printer/plotter in preference to the Windows system printer, unless you have an Océ TDS/TCS printer or a Hewlett-Packard DesignJet plotter. Océ and HP have supplied system printer drivers optimized for AutoCAD use.
  • Use the Windows system printer for output devices without pens, such as laser printers.

Setting up the Windows system printer for AutoCAD consists of two parts:

  • Configuring the system printer in Windows (see the Microsoft documentation for your operating system)
  • Configuring the system printer as the AutoCAD plotter using the Add-a-Plotter Wizard shortcut icon


To create a plotter configuration for the system printer (Procedure)

Configure Xerox Devices
Use the Autodesk HDI System Printer Driver
Configure for File Output
Set Device-Specific Configurations > Use the Autodesk HDI System Printer Driver >
Use the Autodesk HDI System Printer Driver
Concept Procedure Quick Reference

To create a plotter configuration for the system printer

  1. From the File menu, choose Plotter Manager.
  2. Double-click the Add-a-Plotter Wizard shortcut icon.
  3. On the Begin page, select System Printer. Choose Next.
  4. On the System Printer page, select the system printer for which you want to create a plotter configuration file. Choose Next.
  5. On the Import PCP or PC2 page, choose Import File and select a PCP or PC2 file to import (optional). Choose Import. Then choose Next.
  6. On the Plotter Name page, enter a name for the plotter configuration file. Choose Next.
  7. On the Finish page, choose Finish.

    A new plotter configuration file (PC3) is created.

Command entry: PLOTTERMANAGER


Use the Autodesk HDI System Printer Driver (Quick Reference)

Configure Houston Instruments Plotters
Use the Autodesk HDI System Printer Driver
Configure for File Output
Set Device-Specific Configurations > Use the Autodesk HDI System Printer Driver >
Use the Autodesk HDI System Printer Driver
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Configure for File Output

Use the Autodesk HDI System Printer Driver
Configure for File Output
Configure for File Output

Topics in this section

  • Configure for File Output

    You can configure drivers for different file types including, Adobe PostScript and raster file formats.


Configure for File Output (Concept)

Configure for File Output
Configure for File Output
Configure External Databases
Configure for File Output >
Configure for File Output
Concept Procedure Quick Reference

You can configure drivers for different file types including, Adobe PostScript and raster file formats.

AutoCAD® provides plotter drivers to create the following types of files:

  • Autodesk ePlot (DWF)
  • Adobe PDF
  • Adobe PostScript
  • DXB file format
  • Raster file formats

Configure ePlot to Create DWF Files

With ePlot, you can generate electronic drawing files that are optimized for either plotting or viewing. The files you create are stored in Design Web Format (DWF). DWF files can be opened, viewed, and plotted by anyone using the DWF file viewer. With the DWF file viewer, you can also view DWF files in Microsoft® Internet Explorer 5.01 or later. DWF files support real-time panning and zooming and the display of layers and named views.

Configure the Adobe PDF Driver

If you configure a PDF driver in the Add-a-Plotter wizard, you can output your drawings in Portable Document Format (PDF). To configure the PDF driver, in the Add-a-Plotter wizard, select Autodesk ePlot (PDF) from the Manufacturers list, and select PDF from the Models list.

Configure the Adobe PostScript Driver

If you configure a PostScript driver in the Add-a-Plotter wizard, you can output your drawings in PostScript format. To configure the PostScript driver, in the Add-a-Plotter wizard, select Adobe from the Manufacturer list, and select a PostScript level from the Model list.

AutoCAD supports three levels of PostScript. Level 1 works with most devices but does not support color images and produces larger plot files than the newer PostScript levels. Level 1 Plus is for Level 1 devices that also support color images. Level 2 is for newer printers and produces smaller files and faster output on Level 2 devices.

AutoCAD supports PostScript printers and plotters using a Centronics-type parallel I/O port, an RS-232C serial I/O port, or plotting across a network. If you use a serial port, configure the printer to match the settings you select in the Configure Port dialog box in the Add-a-Plotter wizard, Ports page.

Configure DXB File Formats

DXB (drawing interchange binary) file formats are supported using the AutoCAD DXB nonsystem file driver.

The output is compatible with the DXBIN command and with the ADI DXB driver delivered with earlier releases. The DXB driver shares the following limitations of the ADI driver:

  • The driver produces 16 bit integer DXB files containing only vectors.
  • DXB output is monochrome; all vectors are color 7.
  • Raster images and embedded OLE objects are not supported.
  • The driver ignores object and plot style lineweights.

Configure Raster File Formats

AutoCAD can view drawings that contain raster images such as TIFF or JPEG.

With the raster file format driver, AutoCAD can also export raster files in the formats listed in the Add-a-Plotter wizard. To configure a raster format driver, select Raster File Formats from the Manufacturer list.

See Also

    • Plot Files to Other Formats in the User's Guide


Configure for File Output (Procedure)

Use the Autodesk HDI System Printer Driver
Configure for File Output
Configure for File Output
Configure for File Output > Configure for File Output >
Configure for File Output
Concept Procedure Quick Reference

To configure a plotter driver for DWF file output

To configure a plotter driver for PDF file output

To configure a plotter driver for PostScript file output

To configure a plotter driver for DXB file output

To configure a plotter driver for raster file output

To view the custom properties Help


To configure a plotter driver for DWF file output (Procedure)

Configure for File Output
Configure for File Output
Configure for File Output
Configure for File Output > Configure for File Output >
Configure for File Output
Concept Procedure Quick Reference

To configure a plotter driver for DWF file output

  1. From the File menu, choose Plotter Manager.
  2. Double-click the Add-a-Plotter Wizard shortcut icon.
  3. On the Begin page, select My Computer. Choose Next.
  4. On the Plotter Model page, under Manufacturers, select Autodesk ePlot (DWF). Under Model, select the type of DWF that you want to create. Choose Next.
  5. On the Import PCP or PC2 page, choose Import File and select a PCP or PC2 file to import (optional). Choose Import. Then choose Next.
  6. On the Ports page, select Plot to File. Choose Next.
  7. On the Plotter Name page, enter a name for the plotter configuration file. Choose Next.
  8. On the Finish page, choose Finish.

    A new plotter configuration file (PC3) is created.

Command entry: PLOTTERMANAGER


To configure a plotter driver for PDF file output (Procedure)

Configure for File Output
Configure for File Output
Configure for File Output
Configure for File Output > Configure for File Output >
Configure for File Output
Concept Procedure Quick Reference

To configure a plotter driver for PDF file output

  1. From the File menu, choose Plotter Manager.
  2. Double-click the Add-a-Plotter Wizard shortcut icon.
  3. On the Begin page, select My Computer. Choose Next.
  4. On the Plotter Model page, under Manufacturers, select Autodesk ePlot (PDF).
  5. On the Import PCP or PC2 page, choose Import File and select a PCP or PC2 file to import (optional). Choose Import. Then choose Next.
  6. On the Ports page, select Plot to File. Choose Next.
  7. On the Plotter Name page, enter a name for the plotter configuration file. Choose Next.
  8. On the Finish page, choose Finish.

    A new plotter configuration file (PC3) is created.

Command entry: PLOTTERMANAGER


To configure a plotter driver for PostScript file output (Procedure)

Configure for File Output
Configure for File Output
Configure for File Output
Configure for File Output > Configure for File Output >
Configure for File Output
Concept Procedure Quick Reference

To configure a plotter driver for PostScript file output

  1. From the File menu, choose Plotter Manager.
  2. Double-click the Add-a-Plotter Wizard shortcut icon.
  3. On the Begin page, select My Computer. Choose Next.
  4. On the Plotter Model page under Manufacturers, select Adobe. Under Model, select the level of PostScript file that you want to create. Choose Next.
  5. On the Import PCP or PC2 page, choose Import File and select a PCP or PC2 file to import (optional). Choose Import. Then choose Next.
  6. On the Ports page, select Plot to File. Choose Next.
  7. On the Plotter Name page, enter a name for the plotter configuration file. Choose Next.
  8. On the Finish page, choose Finish.

    A new plotter configuration file (PC3) is created.

Command entry: PLOTTERMANAGER


To configure a plotter driver for DXB file output (Procedure)

Configure for File Output
Configure for File Output
Configure for File Output
Configure for File Output > Configure for File Output >
Configure for File Output
Concept Procedure Quick Reference

To configure a plotter driver for DXB file output

  1. From the File menu, choose Plotter Manager.
  2. Double-click the Add-a-Plotter Wizard shortcut icon.
  3. On the Begin page, select My Computer. Choose Next.
  4. On the Plotter Model page, under Manufacturers, select AutoCAD DXB File. Under Model, select DXB File. Choose Next.
  5. On the Import PCP or PC2 page, choose Import File and select a PCP or PC2 file to import (optional). Choose Import. Then choose Next.
  6. On the Ports page, select Plot to File. Choose Next.
  7. On the Plotter Name page, enter a name for the plotter configuration file. Choose Next.
  8. On the Finish page, choose Finish.

    A new plotter configuration file (PC3) is created.

Command entry: PLOTTERMANAGER


To configure a plotter driver for raster file output (Procedure)

Configure for File Output
Configure for File Output
Configure for File Output
Configure for File Output > Configure for File Output >
Configure for File Output
Concept Procedure Quick Reference

To configure a plotter driver for raster file output

  1. From the File menu, choose Plotter Manager.
  2. Double-click the Add-a-Plotter Wizard shortcut icon.
  3. On the Begin page, select My Computer. Choose Next.
  4. On the Plotter Model page under Manufacturers, select Raster File Formats. Under Model, select the type of raster file that you want to create. Choose Next.
  5. On the Import PCP or PC2 page, choose Import File and select a PCP or PC2 file to import (optional). Choose Import. Then choose Next.
  6. On the Ports page, select Plot to File. Choose Next.
  7. On the Plotter Name page, enter a name for the plotter configuration file. Choose Next.
  8. On the Finish page, choose Finish.

    A new plotter configuration file (PC3) is created.

Command entry: PLOTTERMANAGER


To view the custom properties Help (Procedure)

Configure for File Output
Configure for File Output
Configure External Databases
Configure for File Output > Configure for File Output >
Configure for File Output
Concept Procedure Quick Reference

To view the custom properties Help

  1. From the File menu, choose Plotter Manager.
  2. In the Autodesk Plotter Manager, double-click to open the PC3 file whose custom properties help you want to view.
  3. Choose the Device and Document Settings tab.
  4. Select the Custom Properties node.
  5. Choose Custom Properties.
  6. In the Custom Properties dialog box for the configured device, choose Help.

    Help provides specific configuration information.

Command entry: PLOTTERMANAGER


Configure for File Output (Quick Reference)

Use the Autodesk HDI System Printer Driver
Configure for File Output
Configure External Databases
Configure for File Output > Configure for File Output >
Configure for File Output
Concept Procedure Quick Reference

Commands

PLOTTERMANAGER

Displays the Plotter Manager, where you can add or edit a plotter configuration

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Configure External Databases

Configure for File Output
Configure External Databases
Configure External Databases

Topics in this section

  • Configure External Databases

    Before you can access external databases from AutoCAD®, you must configure them using the Microsoft® external ODBC and OLE DB programs.


Configure External Databases (Concept)

Configure External Databases
Configure External Databases
Driver Custom Properties Reference
Configure External Databases >
Configure External Databases
Concept Procedure Quick Reference

Before you can access external databases from AutoCAD®, you must configure them using the Microsoft® external ODBC and OLE DB programs.

NoteThe 64-bit release of AutoCAD does not support the use of Microsoft Jet 4.0 OLE DB Provider (for MDB connectivity) and Microsoft OLE DB Provider for ODBC Drivers (for XLS connectivity). For more information, see Substituting the use of SQL Server instead of OLE DB with DbConnect.

Once you have configured your databases, you can access their data from AutoCAD, even if you don't have the database system that created the data installed on your system. AutoCAD can access data from the following applications:

  • Microsoft Access
  • dBase
  • Microsoft Excel
  • Oracle
  • Paradox
  • Microsoft Visual FoxPro®
  • SQL Server
NoteWith MDAC versions 2.1 and higher, you can't edit dBase files unless you have a Borland DataBase Engine (BDE) installed on your computer.

Once you have successfully configured a database to use with AutoCAD, a configuration file with the extension UDL is created. This configuration file contains the information AutoCAD needs to access the configured database. By default, UDL files are stored in the Data Links folder of AutoCAD. You can specify a different location for UDL files from the Options dialog box.

The following topics demonstrate how to set up a data source using ODBC, and how to configure data sources so that you can use them with AutoCAD. For detailed information about ODBC and OLE DB, refer to the following online Microsoft resources:

  • OLE DB Help
  • ODBC Help
  • ODBC Microsoft Desktop Database Drivers

Bypass ODBC Using an OLE DB Direct Driver

Several database management systems supported by AutoCAD have direct drivers available for OLE DB. If you use these direct drivers, you don't need to set up configuration files from within both ODBC and OLE DB; you only need a single OLE DB configuration file.

Direct database drivers are available for the following database systems:

  • Microsoft Access
  • Oracle
  • Microsoft SQL Server

Use ODBC to Create a Configuration File

ODBC is an intermediary program that makes data from one application available to other applications.

Configure a Data Source with OLE DB

You can use OLE DB to establish a UDL configuration file that points to an external database table.

Substituting SQL Server for OLE DB

If you are using the 64-bit release of AutoCAD and DbConnect with a connection that accesses a Microsoft Access database or a Microsoft Excel spreadsheet using one of the two following methods, you need to change your connections to use Microsoft SQL Server. Microsoft does not supporting a 64-bit version of these technologies.

  • Microsoft Jet 4.0 OLE DB Provider (for MDB connectivity)
  • Microsoft OLE DB Provider for ODBC Drivers (for XLS connectivity)

Microsoft SQL Server comes in three different editions. If you are accessing data from an MDB or XLS file today, you might find that using Microsoft SQL Server Express Edition is adequate for your needs. Microsoft also offers Standard and Enterprise editions of SQL Server. For additional information about SQL Server, visit Microsoft’s website at http://www.microsoft.com/sql.

NoteYou can purchase inexpensive third-party utilities to help automate the conversion of data stored in a MDB to a MDF file that can be used with SQL Server. Many of these utilities also allow you to export data from a MDF to a MDB file.


Configure External Databases (Procedure)

Configure for File Output
Configure External Databases
Configure External Databases
Configure External Databases > Configure External Databases >
Configure External Databases
Concept Procedure Quick Reference

To specify a new location for UDL files

To set up a direct Microsoft Access configuration using OLE DB

To set up a direct Oracle configuration using OLE DB

To set up a direct SQL Server configuration using OLE DB

To set up a Microsoft Access data source using ODBC

To set up a dBase data source using ODBC

To set up a Microsoft Excel spreadsheet to use with AutoCAD

To set up a Microsoft Excel data source using ODBC

To set up an Oracle data source using ODBC

To set up a Paradox data source using ODBC

To set up a Microsoft Visual FoxPro data source using ODBC

To set up an SQL Server data source using ODBC

To configure a data source using OLE DB


To specify a new location for UDL files (Procedure)

Configure External Databases
Configure External Databases
Configure External Databases
Configure External Databases > Configure External Databases >
Configure External Databases
Concept Procedure Quick Reference

To specify a new location for UDL files

  1. Click Tools menu [image] OptionsAt the command prompt, enter OPTIONS.
  2. In the Options dialog box, Files tab, select Data Source Location, and then click Browse.
  3. In the Browse for Folder dialog box, locate and select the folder you want. Click OK.
  4. Click OK.
Command entry: OPTIONS


To set up a direct Microsoft Access configuration using OLE DB (Procedure)

Configure External Databases
Configure External Databases
Configure External Databases
Configure External Databases > Configure External Databases >
Configure External Databases
Concept Procedure Quick Reference

To set up a direct Microsoft Access configuration using OLE DB

  1. Click dbConnect menu [image] Data Sources [image] Configure.At the command prompt, enter DBCONNECT
  2. At the Configure a Data Source prompt, select from the possible data sources you would like to use.
  3. In the Data Link Properties dialog box, the Provider tab, select Microsoft Jet 4.0 OLE DB Provider. Click Next.
  4. In Select or Enter a Database Name, enter the name and path to the database you want to configure.
  5. Click Test Connection to verify that your configuration is working properly.

    If the connection fails, verify that the settings are correct. For example, spelling errors and case sensitivity may be the cause of a failed connection.

  6. In the Microsoft Data Link dialog box, click OK.
  7. Click OK.
Command entry: DBCONNECT


To set up a direct Oracle configuration using OLE DB (Procedure)

Configure External Databases
Configure External Databases
Configure External Databases
Configure External Databases > Configure External Databases >
Configure External Databases
Concept Procedure Quick Reference

To set up a direct Oracle configuration using OLE DB

  1. Click dbConnect menu [image] Data Sources [image] Configure.At the command prompt, enter DBCONNECT
  2. In the Data Link Properties dialog box, the Provider tab, select Microsoft OLE DB Provider for Oracle. Click Next.
  3. Enter the Oracle server name in Enter a Server Name.
  4. Enter a valid user name and password.
  5. Click Test Connection to verify that the settings are correct. For example, spelling errors and case sensitivity may be the cause of a failed connection.
  6. In the Microsoft Data Link dialog box, click OK.
  7. Click OK.
Command entry: DBCONNECT


To set up a direct SQL Server configuration using OLE DB (Procedure)

Configure External Databases
Configure External Databases
Configure External Databases
Configure External Databases > Configure External Databases >
Configure External Databases
Concept Procedure Quick Reference

To set up a direct SQL Server configuration using OLE DB

  1. Click dbConnect menu [image] Data Sources [image] Configure.At the command prompt, enter DBCONNECT
  2. In the Data Link Properties dialog box, the Provider tab, select Microsoft OLE DB Provider for SQL Server. Click Next.
  3. Enter the server name in Select or Enter a Server Name.
  4. Enter a valid user name and password.
  5. Select the database to configure in Select the Database on the Server.
  6. Click Test Connection to verify that the settings are correct. For example, spelling errors and case sensitivity may be the cause of a failed connection.
  7. In the Microsoft Data Link dialog box, click OK.
  8. Click OK.
Command entry: DBCONNECT


To set up a Microsoft Access data source using ODBC (Procedure)

Configure External Databases
Configure External Databases
Configure External Databases
Configure External Databases > Configure External Databases >
Configure External Databases
Concept Procedure Quick Reference

To set up a Microsoft Access data source using ODBC

  1. Click Start menu (Windows) [image] Settings [image] Control Panel.
  2. Double-click the ODBC icon.
  3. In the ODBC Data Source Administrator dialog box, do one of the following:
    • Choose the User DSN tab to create a data source that is visible only to you and can be used only on the computer you create it in.
    • Choose the System DSN tab to create a data source that is visible to all users who have access rights to the computer.
    • Choose the File DSN tab to create a data source that can be shared with other users who have the same ODBC drivers installed on their systems.
  4. Click Add.
  5. Select the Microsoft Access Driver, and then click Finish.
  6. Enter a name for your data source in Data Source Name.
  7. Click Select, and then locate and select the database that you want to configure. Click OK.
  8. In the ODBC Microsoft Access dialog box, click OK.
  9. In the ODBC Data Source Administrator dialog box, click OK.


To set up a dBase data source using ODBC (Procedure)

Configure External Databases
Configure External Databases
Configure External Databases
Configure External Databases > Configure External Databases >
Configure External Databases
Concept Procedure Quick Reference

To set up a dBase data source using ODBC

  1. Click Start menu (Windows) [image] Settings [image] Control Panel.
  2. Double-click the ODBC icon.
  3. In the ODBC Data Source Administrator dialog box, do one of the following:
    • Choose the User DSN tab to create a data source that is visible only to you and can be used only on the computer you create it in.
    • Choose the System DSN tab to create a data source that is visible to all users who have access rights to the computer.
    • Choose the File DSN tab to create a data source that can be shared with other users who have the same ODBC drivers installed on their systems.
  4. Click Add.
  5. Select the Microsoft dBase Driver, and then click Finish.
  6. Enter a name for your data source in Data Source Name, and select the appropriate version of dBase from the Version list.
  7. Make sure that Use Current Directory is cleared.
  8. Click Select Directory, and then locate and select the directory that contains the database tables you want to configure. Click OK.
  9. In the ODBC dBase Setup dialog box, click OK.
  10. In the ODBC Data Source Administrator dialog box, click OK.


To set up a Microsoft Excel spreadsheet to use with AutoCAD (Procedure)

Configure External Databases
Configure External Databases
Configure External Databases
Configure External Databases > Configure External Databases >
Configure External Databases
Concept Procedure Quick Reference

To set up a Microsoft Excel spreadsheet to use with AutoCAD

  1. In Microsoft Excel, open the workbook or spreadsheet that you want to access from AutoCAD.
  2. Select a range of cells to function as a database table.
  3. Enter a name for the range of cells in the Name Box, then press ENTER.
  4. Repeat steps 2 and 3, if desired, to specify additional database tables.
  5. Click File menu [image] Save. At the command prompt, enter SAVE.
NoteMicrosoft Excel is not a true database management system. In order to access Excel data from within AutoCAD, you must first specify at least one named range of Excel cells to function as a database table. Each named range of cells that you specify within a spreadsheet is treated as an individual table by AutoCAD.


To set up a Microsoft Excel data source using ODBC (Procedure)

Configure External Databases
Configure External Databases
Configure External Databases
Configure External Databases > Configure External Databases >
Configure External Databases
Concept Procedure Quick Reference

To set up a Microsoft Excel data source using ODBC

  1. Click Start menu (Windows) [image] Settings [image] Control Panel.
  2. Double-click the ODBC icon.
  3. In the ODBC Data Source Administrator dialog box, do one of the following:
    • Choose the User DSN tab to create a data source that is visible only to you and can be used only on the computer you create it in.
    • Choose the System DSN tab to create a data source that is visible to all users who have access rights to the computer.
    • Choose the File DSN tab to create a data source that can be shared with other users who have the same ODBC drivers installed on their systems.
  4. Click Add.
  5. Select the Microsoft Excel Driver, and then click Finish.
  6. Enter a name for your data source in Data Source Name, and select the appropriate version of Excel from the Version list.
  7. Make sure that Use Current Directory is cleared.
  8. Click Select Workbook, and then locate and select the workbook or spreadsheet you want to configure. Click OK.
  9. In the ODBC Microsoft Excel dialog box, click OK.
  10. In the ODBC Data Source Administrator dialog box, click OK.


To set up an Oracle data source using ODBC (Procedure)

Configure External Databases
Configure External Databases
Configure External Databases
Configure External Databases > Configure External Databases >
Configure External Databases
Concept Procedure Quick Reference

To set up an Oracle data source using ODBC

  1. Click Start menu (Windows) [image] Settings [image] Control Panel.
  2. Double-click the ODBC icon.
  3. In the ODBC Data Source Administrator dialog box, do one of the following:
    • Choose the User DSN tab to create a data source that is visible only to you and can be used only on the computer you create it in.
    • Choose the System DSN tab to create a data source that is visible to all users who have access rights to the computer.
    • Choose the File DSN tab to create a data source that can be shared with other users who have the same ODBC drivers installed on their systems.
  4. Click Add.
  5. Select Microsoft ODBC for Oracle, and then click Finish.
  6. Enter a name for your data source in Data Source Name.
  7. Enter your user name.
  8. Enter the name of the Oracle Server in Server.
  9. Click OK.
  10. In the ODBC Data Source Administrator dialog box, click OK.


To set up a Paradox data source using ODBC (Procedure)

Configure External Databases
Configure External Databases
Configure External Databases
Configure External Databases > Configure External Databases >
Configure External Databases
Concept Procedure Quick Reference

To set up a Paradox data source using ODBC

  1. Click Start menu (Windows) [image] Settings [image] Control Panel.
  2. Double-click the ODBC icon.
  3. In the ODBC Data Source Administrator dialog box, do one of the following:
    • Choose the User DSN tab to create a data source that is visible only to you and can be used only on the computer you create it in.
    • Choose the System DSN tab to create a data source that is visible to all users who have access rights to the computer.
    • Choose the File DSN tab to create a data source that can be shared with other users who have the same ODBC drivers installed on their systems.
  4. Click Add.
  5. Select the Paradox Driver, and then click Finish.
  6. Enter a name for your data source in Data Source Name, and select the appropriate version of Paradox from the Version list.
  7. Make sure that User Current Directory is cleared.
  8. Click Select Directory, and then locate and select the database you want to configure. Click OK.
  9. In the ODBC Paradox Setup dialog box, click OK.
  10. In the ODBC Data Source Administrator dialog box, click OK.


To set up a Microsoft Visual FoxPro data source using ODBC (Procedure)

Configure External Databases
Configure External Databases
Configure External Databases
Configure External Databases > Configure External Databases >
Configure External Databases
Concept Procedure Quick Reference

To set up a Microsoft Visual FoxPro data source using ODBC

  1. Click Start menu (Windows) [image] Settings [image] Control Panel.
  2. Double-click the ODBC icon.
  3. In the ODBC Data Source Administrator dialog box, do one of the following:
    • Choose the User DSN tab to create a data source that is visible only to you and can be used only on the computer you create it in.
    • Choose the System DSN tab to create a data source that is visible to all users who have access rights to the computer.
    • Choose the File DSN tab to create a data source that can be shared with other users who have the same ODBC drivers installed on their systems.
  4. Click Add.
  5. Select the Microsoft Visual FoxPro Driver, and then click Finish.
  6. Enter a name for your data source in Data Source Name, and select a type in Database Type.
  7. Click Browse, and then locate and select the database you want to configure. Click Open.
  8. In the ODBC Visual FoxPro Setup dialog box, click OK.
  9. In the ODBC Data Source Administrator dialog box, click OK.

    For additional information about setting up a Microsoft Visual FoxPro data source, see the Microsoft Visual FoxPro ODBC Driver documentation.


To set up an SQL Server data source using ODBC (Procedure)

Configure External Databases
Configure External Databases
Configure External Databases
Configure External Databases > Configure External Databases >
Configure External Databases
Concept Procedure Quick Reference

To set up an SQL Server data source using ODBC

  1. Click Start menu (Windows) [image] Settings [image] Control Panel.
  2. Double-click the ODBC icon.
  3. In the ODBC Data Source Administrator dialog box, do one of the following:
    • Choose the User DSN tab to create a data source that is visible only to you and can be used only on the computer you create it in.
    • Choose the System DSN tab to create a data source that is visible to all users who have access rights to the computer.
    • Choose the File DSN tab to create a data source that can be shared with other users who have the same ODBC drivers installed on their systems.
  4. Click Add.
  5. Select SQL Server, and then click Finish.
  6. Follow the instructions in the wizard to complete the data source setup.

    Microsoft provides additional Help topics describing the interface components of each page in the wizard. To view Help for a wizard page, click Help.

  7. In the ODBC Data Source Administrator dialog box, click OK.


To configure a data source using OLE DB (Procedure)

Configure External Databases
Configure External Databases
Configure External Databases > Configure External Databases >
Configure External Databases
Concept Procedure Quick Reference

To configure a data source using OLE DB

You can use OLE DB to establish a UDL configuration file that points to an external database table.

  1. Use Microsoft ODBC to set up a data source (see Use ODBC to Create a Configuration File).
  2. Click dbConnect menu [image] Data Sources [image] Configure.At the command prompt, enter DBCONNECT
  3. In the Data Link Properties dialog box, the Provider tab, select Microsoft OLE DB Provider for ODBC Drivers. Choose Next.
  4. Enter the name of the data source you want to configure in Use Data Source Name.
  5. Click Test Connection to verify that your configuration is working properly.

    If the connection fails, verify that the settings are correct. For example, spelling errors and case sensitivity may be the cause of a failed connection.

  6. In the Microsoft Data Link dialog box, click OK.
  7. Click OK.
Command entry: DBCONNECT


Configure External Databases (Quick Reference)

Configure for File Output
Configure External Databases
Configure External Databases > Configure External Databases >
Configure External Databases
Concept Procedure Quick Reference

Commands

DBCONNECT

Provides an interface to external database tables

OPTIONS

Customizes the program settings

System Variables

No entries

Utilities

No entries

Command Modifiers

No entries


Driver Custom Properties Reference

Configure External Databases
Autodesk-Supplied Plotter Drivers
Driver Custom Properties Reference

You can change the custom properties of the plotter driver assigned to a plotter configuration.

Topics in this section

  • Autodesk-Supplied Plotter Drivers
  • Third-Party Plotter Drivers


Autodesk-Supplied Plotter Drivers

Driver Custom Properties Reference
Driver Custom Properties Reference
DWF Driver Custom Properties
Driver Custom Properties Reference >
Autodesk-Supplied Plotter Drivers

Plotter drivers that are created by Autodesk for use with AutoCAD.

Topics in this section

  • DWF Driver Custom Properties

    Specifies custom properties for plotted Design Web Format (DWF) files.

  • DWFx Driver Custom Properties

    Specifies custom properties for plotted DWFx files.

  • DXB Driver Custom Properties

    Specifies custom properties for plotted DXB files.

  • HP-GL Driver Custom Properties

    Specifies custom properties for plotted HP-GL (PLT) files.

  • HP-GL/2 Driver Custom Properties

    Specifies custom properties for the HP-GL/2 driver.

  • Nonsystem Driver Custom Properties

    Specifies custom properties for nonsystem plotters.

  • PDF Driver Custom Properties

    Specifies custom properties for plotted Adobe PDF files.

  • PostScript Driver Custom Properties

    Specifies custom properties for plotted PostScript files.

  • Raster Driver Custom Properties

    Specifies custom properties for plotted raster format files.

  • System Driver Custom Properties

    Specifies custom properties for system printers and plotters.


DWF Driver Custom Properties

Autodesk-Supplied Plotter Drivers
Autodesk-Supplied Plotter Drivers
Vector and Gradient Resolution (DWF)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers >
DWF Driver Custom Properties

Specifies custom properties for plotted Design Web Format (DWF) files.

You can use the DWF6 ePlot driver to plot or publish DWF files. You can open, view, and print DWF files with a DWF file viewer. DWF files support real-time panning and zooming as well as control over the display of layers and named views.

NoteBy default, AutoCAD plots are plotted with lineweights. If you haven’t specified lineweight values in the Layer Properties Manager, a default lineweight of .01 inches is applied to all graphical objects when you plot a drawing. This can cause areas of your plotted DWF files to look significantly different from how they appear in the AutoCAD drawing area when viewed in an external viewer or Internet browser, particularly during zoom operations. To avoid this, clear the Plot with Lineweights option from the Plot Settings tab in the Plot dialog box.
NoteAll references to AutoCAD, unless otherwise noted, refer to all AutoCAD-based products.

Topics in this section

  • Vector and Gradient Resolution (DWF)

    Specifies the resolution (in dots per inch) for vector graphics and gradients for DWF files. When you set a higher resolution, the file is more precise, but the file size is also larger.

  • Raster Image Resolution (DWF)

    Specifies the resolution (in dots per inch) for raster images for DWF files. When you set a higher resolution, the file is more precise, but the file size is also larger.

  • Font Handling (DWF)

    Specifies the inclusion and handling of fonts in DWF files.

  • Additional Output Settings (DWF)

    Specifies additional output settings for DWF files.

  • Virtual Pen Set (DWF)

    Opens the Edit Pen Set dialog box, where you can edit the ePlot (optimized for plotting) plotter configuration (PC3) file pen set and patterns.


Vector and Gradient Resolution (DWF)

DWF Driver Custom Properties
DWF Driver Custom Properties
Raster Image Resolution (DWF)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > DWF Driver Custom Properties >
Vector and Gradient Resolution (DWF)

Specifies the resolution (in dots per inch) for vector graphics and gradients for DWF files. When you set a higher resolution, the file is more precise, but the file size is also larger.

When you create DWF files intended for plotting, select a resolution to match the output of your plotter or printer. High resolutions (over 2,400 dpi) are for viewing. For example, when you create DWF files of drawings that contain a lot of detail, such as a topographical map of a large region, these files use a higher resolution setting for greater detail in the DWF file. Use extreme resolutions (over 40,000 dpi) only when necessary; they may produce very large files. As you increase the resolution setting, raster image quality increases, the speed of printing decreases, and memory requirements increase.

Vector Resolution

Sets the resolution for vector graphics in the DWF file in dots per inch. The default setting is 1,200 dpi. Select Custom to enter a custom vector graphic resolution.

Custom Vector Resolution

Specifies a custom resolution for vector graphics in the DWF file in dots per inch. You must select Custom under Vector Resolution to specify a custom vector graphic resolution. The default setting is 40,000 dpi.

Gradient Resolution

Sets the resolution for gradients in the DWF file in dots per inch. The default setting is 200 dpi. Select Custom to enter a custom gradient resolution. This setting cannot exceed the current vector resolution setting.

Custom Gradient Resolution

Specifies a custom resolution for gradients in the DWF file in dots per inch. You must select Custom under Gradient Resolution to specify a custom gradient resolution. The default setting is 200 dpi. This setting cannot exceed the current vector resolution setting.


Raster Image Resolution (DWF)

Vector and Gradient Resolution (DWF)
DWF Driver Custom Properties
Font Handling (DWF)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > DWF Driver Custom Properties >
Raster Image Resolution (DWF)

Specifies the resolution (in dots per inch) for raster images for DWF files. When you set a higher resolution, the file is more precise, but the file size is also larger.

When you create DWF files intended for plotting, select a resolution to match the output of your plotter or printer. High resolutions (over 2,400 dpi) are for viewing. For example, when you create DWF files of drawings that contain a lot of detail, such as a topographical map of a large region, these files use a higher resolution setting for greater detail in the DWF file. Use extreme resolutions (over 40,000 dpi) only when necessary; they may produce very large files. As you increase the resolution setting, raster image quality increases, the speed of printing decreases, and memory requirements increase.

Color and Grayscale Resolution

Sets the resolution for raster image colors and grayscale in the DWF file in dots per inch. The default setting is 200 dpi. Select Custom to enter a custom color and grayscale resolution. This setting cannot exceed the current vector resolution setting.

Custom Color Resolution

Specifies a custom resolution for color raster images in the DWF file in dots per inch. You must select Custom under Color and Grayscale Resolution to specify a custom color resolution. This setting cannot exceed the current vector resolution setting.

Black and White Resolution

Sets the resolution for black and white raster images in the DWF file in dots per inch. The default setting is 400 dpi. Select Custom to enter a custom black and white resolution. This setting cannot exceed the current vector resolution setting.

Custom Black and White Resolution

Specifies a custom resolution for black and white raster images for the DWF file in dots per inch. You must select Custom under Black and White Resolution to specify a custom black and white resolution. This setting cannot exceed the current vector resolution setting.


Font Handling (DWF)

Raster Image Resolution (DWF)
DWF Driver Custom Properties
Additional Output Settings (DWF)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > DWF Driver Custom Properties >
Font Handling (DWF)

Specifies the inclusion and handling of fonts in DWF files.

NoteThe size of a DWF file can be affected by the font-handling settings, the amount of text, and the number and type of fonts used in the file. If the size of your DWF file seems too large, try changing the font-handling settings.

Capture None (All Viewer Supplied)

Specifies that no fonts will be included in the DWF file.

In order for the fonts used in the source drawing for the DWF file to be visible in the DWF file, the fonts must be present on the DWF viewer’s system. If the fonts used to create the DWF file are not present on the viewer’s system, other fonts will be substituted.

Capture Some (Recommended)

Specifies that fonts used in the source drawing for the DWF file that are selected in the Available True Type Fonts dialog box will be included in the DWF file.

The selected fonts do not need to be available on the DWF viewer’s system in order for them to appear in the DWF file.

Edit Font List

Opens the Available True Type Fonts dialog box, where you can edit the list of fonts eligible for capture in the DWF file.

By default, fonts installed with AutoCAD, Windows, and the DWF file viewer are not selected.

Selecting Restore Defaults resets the list to the default setting. This action is completed and saved before you click OK and cannot be undone.

The settings in the Available True Type Fonts dialog box are saved in the registry, not in the current PC3 file. These settings remain in effect for all DWF files until they are changed.

Capture All

Specifies that all fonts used in the drawing will be included in the DWF file.

NoteThis may increase the size of the DWF file.
As Geometry (Largest File Size)

Specifies that all fonts used in the drawing will be included as geometry in the DWF file. If you select this option, you should plot your drawing at a scale factor of 1:1 or better to ensure good quality in the output file.

This option is only available for DWF files created with the DWF6 ePlot model.

NoteThis may increase the size of the DWF file.


Additional Output Settings (DWF)

Font Handling (DWF)
DWF Driver Custom Properties
Virtual Pen Set (DWF)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > DWF Driver Custom Properties >
Additional Output Settings (DWF)

Specifies additional output settings for DWF files.

DWF Format

Specifies the compression format for DWF files.

Compressed Binary (Recommended)

Plots the DWF file in a compressed, binary format; compression does not cause data loss. This is the recommended file format for most DWF files.

Zipped ASCII encoded 2D stream (Advanced)

Plots the DWF file in zipped ASCII Encoded 2D Stream (plain text) format. You can use WinZip to unzip the files.

Background Color Shown in Viewer

Controls the background color that is applied to DWF files.

NoteDWF files intended for plotting should be configured with a white background color. If the AutoCAD background color is set to black, color 7 objects will be plotted as white. For all other background colors, color 7 objects will be plotted as black.

Include Layer Information

Specifies the inclusion of layer information in plotted DWF files. If this option is selected, any layers that are turned on and thawed when the plot is created are available for manipulation in the plotted DWF file. If this option is cleared, no layer information is available when the DWF is viewed in an external viewer or browser.

In some cases, such as in drawings that include nested xrefs, turning this option off may significantly improve performance.

Show Paper Boundaries

Specifies the inclusion of a paper boundary in plotted DWF files similar to what is displayed with drawings in a layout tab.

NoteFor DWF6 ePlot, the Show Paper Boundaries option is checked by default and is unavailable for editing.

Save Preview In DWF

Specifies that a preview of the DWF file will be saved in the DWF file.

NoteA small thumbnail of the DWF file is always saved. You should only use the Save Preview in DWF setting if the recipient will use Buzzsaw.com to access the preview.


Virtual Pen Set (DWF)

Additional Output Settings (DWF)
DWF Driver Custom Properties
DWFx Driver Custom Properties
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > DWF Driver Custom Properties >
Virtual Pen Set (DWF)

Opens the Edit Pen Set dialog box, where you can edit the ePlot (optimized for plotting) plotter configuration (PC3) file pen set and patterns.

You must have 255 Virtual Pens selected in the Plotter Configuration Editor, Vector Graphics node, Color Depth area to use this option. When 255 Virtual Pens is selected, the settings in the plot style table associated with the drawing are ignored except the virtual pen number and plot style linetype. You can edit the settings for these virtual pens in the Edit Pen Set dialog box. These settings are then saved to the PC3 file that you are editing.

NoteWhen you have 255 Virtual Pens selected as your color depth, changing the resolution of the DWF file will change the width of your lines. Adjust the line width values in your pen set to compensate for this.

In the Edit Pen Set dialog box, you can make changes to the current pen set, which are saved to the PC3 file when you click OK. Selecting Defaults resets the pen set to the default settings. By selecting Import, you can import a pen set from a PEN file.

NoteIf you want to use pen sets from Buzzsaw, use the Buzzsaw DWF.ctb plot style table. However, when you want to edit your pen set, edit the pen set stored in the DWF PC3 file, not the Buzzsaw DWF.ctb plot style table.

In the Edit Pen Set dialog box, you can change pen weights (width), patterns, shapes, and effects by right-clicking a field in the dialog box to display a menu of common settings. From the menu, you can copy settings to other pens or select Properties to display the Pen Properties dialog box.

Unchecked pens (indicated by a red strike-through line) in the Edit Pen Set dialog box will be ignored when you apply settings to the entire pen set.

Patterns

Provides 107 predefined pen patterns. Pen patterns can be used to alter the appearance of the geometry of a drawing. Many of the patterns provide a grayscale equivalent of a color. These patterns are commonly used for area fills in drawings for different percentages of black. There are also miscellaneous patterns such as boxes, tiles, slants, and diamonds that can be used to provide different effects.

Width

Sets the line width of the pen. Line widths are measured in pixels. These widths can also be represented in millimeters, centimeters, and inches. You set line widths in pixels (from 0 to 400). When you change the type of units, equivalent measurements in millimeters, centimeters, or inches for a 400 dpi printer are displayed.

Shape

Sets the end shape and join style of the pen.

Effect

Controls the appearance of the background pixels in a pattern. This effect works on monochrome, grayscale, and color plotters.

Transparent

Allows underlying objects to be visible through the pattern.

Opaque

Prevents underlying objects from appearing through the pattern.

All Pens

Applies scaling and width limitations to all pens in the pen set.

NoteThe Scale Pen Widths settings are only visible when using viewing and plotting tools from Buzzsaw.

Controls

The effects of these settings are only visible when using viewing and plotting tools from Buzzsaw.

Allow Drawing to Manipulate

These settings are not supported for DWF files.

Map Pen Colors to a Shaded Half-Tone

Specifies that pen colors will be converted to the equivalent shades of gray.

Use Alternate Fill Instead of Winding Fill for Polygons

Specifies that an alternate fill will be used for polygons instead of a winding fill.

Use only if the fill pattern in a polygon does not appear to print correctly for a vector file. The modes differ only in cases where a complex, overlapping polygon must be filled (for example, a five-sided polygon that forms a five-pointed star with a pentagon in the center). In such cases, alternate mode fills every other enclosed region within the polygon (such as the points of the star). Winding mode fills all regions (such as the points and the pentagon).

Use Error Diffusion for DWF Rasters

Specifies that error diffusion will be used for DWF raster images.

To represent shades of gray in raster data, halftone diffusion is used by default. You may want to use error diffusion instead to improve the appearance of your image.


DWFx Driver Custom Properties

Virtual Pen Set (DWF)
Autodesk-Supplied Plotter Drivers
DWFx Driver Graphics Properties
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers >
DWFx Driver Custom Properties

Specifies custom properties for plotted DWFx files.

You can use the DWFx ePlot driver to plot or publish DWFx files. You can open, view, and print DWFx files with Autodesk Design Review. DWFx files support real-time panning and zooming as well as control over the display of layers and named views.

By default, AutoCAD plots are plotted with lineweights. If you haven’t specified lineweight values in the Layer Properties Manager, a default lineweight of .01 inches is applied to all graphical objects when you plot a drawing. This can cause areas of your plotted DWFx files to look significantly different from how they appear in the AutoCAD drawing area when viewed in an external viewer or Internet browser, particularly during zoom operations. To avoid this, clear the Plot with Lineweights option from the Plot Settings tab in the Plot dialog box.

NoteAll references to AutoCAD, unless otherwise noted, refer to all AutoCAD-based products.

Topics in this section

  • DWFx Driver Graphics Properties

    Specifies settings for printing vector graphics and merge control.

  • DWFx Driver Custom Properties

    Specifies custom properties for plotted DWFx files.


DWFx Driver Graphics Properties

DWFx Driver Custom Properties
DWFx Driver Custom Properties
DWFx Driver Custom Properties
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > DWFx Driver Custom Properties >
DWFx Driver Graphics Properties

Specifies settings for printing vector graphics and merge control.

Vector Graphics

Provides options for specifying the color depth of vector output.

Color Depth

Displays a list for choosing color depth for the configured plotter for DWFx files.

Merge Control

Controls the appearance of lines that cross in DWFx files.

Lines Overwrite | Uses the last plotted line to obscure the lines under it. Only the topmost line is visible at the intersection.
Lines Merge | Merges the colors of crossing lines.


DWFx Driver Custom Properties

DWFx Driver Graphics Properties
DWFx Driver Custom Properties
Additional Output Settings
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > DWFx Driver Custom Properties >
DWFx Driver Custom Properties

Specifies custom properties for plotted DWFx files.

Vector and Gradient Resolution (Dots Per Inch)

Specifies the resolution (in dots per inch) for vector graphics and gradients for DWFx files. When you set a higher resolution, the file is more precise, but the file size is also larger.

When you create DWFx files intended for plotting, select a resolution to match the output of your plotter or printer. High resolutions (over 2,400 dpi) are for viewing. For example, when you create DWFx files of drawings that contain a lot of detail, such as a topographical map of a large region, these files use a higher resolution setting for greater detail in the DWFx file. Use extreme resolutions (over 40,000 dpi) only when necessary; they may produce very large files. As you increase the resolution setting, raster image quality increases, the speed of printing decreases, and memory requirements increase.

Vector Resolution

Sets the resolution for vector graphics in the DWFx file in dots per inch. The default setting is 1,200 dpi. Select Custom to enter a custom vector graphic resolution.

Custom Vector Resolution

Specifies a custom resolution for vector graphics in the DWFx file in dots per inch. You must select Custom under Vector Resolution to specify a custom vector graphic resolution. The default setting is 40,000 dpi.

Gradient Resolution

Sets the resolution for gradients in the DWFx file in dots per inch. The default setting is 200 dpi. Select Custom to enter a custom gradient resolution. This setting cannot exceed the current vector resolution setting.

Custom Gradient Resolution

Specifies a custom resolution for gradients in the DWFx file in dots per inch. You must select Custom under Gradient Resolution to specify a custom gradient resolution. The default setting is 200 dpi. This setting cannot exceed the current vector resolution setting.

Raster Image Resolution (Dots Per Inch)

Specifies the resolution (in dots per inch) for raster images for DWFx files. When you set a higher resolution, the file is more precise, but the file size is also larger.

When you create DWFx files intended for plotting, select a resolution to match the output of your plotter or printer. High resolutions (over 2,400 dpi) are for viewing. For example, when you create DWFx files of drawings that contain a lot of detail, such as a topographical map of a large region, these files use a higher resolution setting for greater detail in the DWFx file. Use extreme resolutions (over 40,000 dpi) only when necessary; they may produce very large files. As you increase the resolution setting, raster image quality increases, the speed of printing decreases, and memory requirements increase.

Color and Grayscale Resolution

Sets the resolution for raster image colors and grayscale in the DWFx file in dots per inch. The default setting is 200 dpi. Select Custom to enter a custom color and grayscale resolution. This setting cannot exceed the current vector resolution setting.

Custom Color Resolution

Specifies a custom resolution for color raster images in the DWFx file in dots per inch. You must select Custom under Color and Grayscale Resolution to specify a custom color resolution. This setting cannot exceed the current vector resolution setting.

Black and White Resolution

Sets the resolution for black and white raster images in the DWFx file in dots per inch. The default setting is 400 dpi. Select Custom to enter a custom black and white resolution. This setting cannot exceed the current vector resolution setting.

Custom Black and White Resolution

Specifies a custom resolution for black and white raster images for the DWFx file in dots per inch. You must select Custom under Black and White Resolution to specify a custom black and white resolution. This setting cannot exceed the current vector resolution setting.

Topics in this section

  • Additional Output Settings

    Specifies additional output settings for DWFx files.


Additional Output Settings

DWFx Driver Custom Properties
DWFx Driver Custom Properties
DXB Driver Custom Properties
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > DWFx Driver Custom Properties > DWFx Driver Custom Properties >
Additional Output Settings

Specifies additional output settings for DWFx files.

Background Color Shown in Viewer

Controls the background color that is applied to DWFx files.

DWFx files intended for plotting should be configured with a white background color. If the DWFx background color is set to black, color 7 objects will be plotted as white. For all other background colors, color 7 objects will be plotted as black.

Include Layer Information

Specifies the inclusion of layer information in plotted DWFx files. If this option is selected, any layers that are turned on and thawed when the plot is created are available for manipulation in the plotted DWFx file. If this option is cleared, no layer information is available when the DWFx is viewed in an external viewer or browser.

In some cases, such as in drawings that include nested xrefs, turning this option off may significantly improve performance.


DXB Driver Custom Properties

Additional Output Settings
Autodesk-Supplied Plotter Drivers
HP-GL Driver Custom Properties
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers >
DXB Driver Custom Properties

Specifies custom properties for plotted DXB files.

This nonsystem driver plots to DXB (drawing interchange binary) files, a file format that has only vector capabilities. The output is compatible with the AutoCAD DXBIN command and with the ADI DXB driver delivered with earlier AutoCAD releases. It shares the following limitations of the ADI driver:

  • It produces 16-bit integer DXB files containing only vectors.
  • DXB output is monochrome; all vectors are color 7.
  • Raster images and embedded OLE objects are not supported.
  • The driver ignores object and plot style lineweights.

Use the Custom Properties dialog box to set the maximum resolution of the DXB output. Because 16-bit DXB files have a limited coordinate space, the highest resolution settings are only available for smaller "paper" sizes. If you select a high value for maximum resolution and then select a large paper size (for example, ANSI E), a warning is issued indicating the resolution was reduced to accommodate the large plot size.

The resolution control primarily influences the tessellation level of objects. If you set the resolution to a low level, arcs, circles, text, and so on, will be drawn with less tessellation, while at higher resolution settings, more tessellation segments are generated, which creates a larger plot file.

Entities such as solids and lines with thickness are stroked with line segments that have a single-dot width. Decreasing the resolution decreases the number of segments needed to fill these entities and reduces the DXB file size.

This DXB file driver does not plot raster-image entities. The driver plots an outline rectangle instead.

NoteAll references to AutoCAD, unless otherwise noted, refer to all AutoCAD-based products.


HP-GL Driver Custom Properties

DXB Driver Custom Properties
Autodesk-Supplied Plotter Drivers
HP-GL Configuration Information (HP-GL)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers >
HP-GL Driver Custom Properties

Specifies custom properties for plotted HP-GL (PLT) files.

Controls custom properties for the HP-GL driver. For more information about configuration requirements for plotters that use the HP-GL driver, see HP-GL Configuration Information (HP-GL).

NoteAll references to AutoCAD, unless otherwise noted, refer to all AutoCAD-based products.

Topics in this section

  • HP-GL Configuration Information (HP-GL)

    This nonsystem driver supports HP-GL, a pen plotter language that has vector-only capabilities.

  • Long Plotting (HP-GL)

    Specifies the settings for long axis plotting.

  • Simplified HPGL (HP-GL)

    Specifies the use of a simplified version of the HPGL language for use with devices that do not support the full version of the HPGL language.

  • Request Hard Clip Limits from Plotter (HP-GL)

    Specifies the use of hard clip limits.

  • Handshaking Instructions for Network Plotting and Plotting to a File (HP-GL)

    Specifies the type of handshaking used for plotting across a network or to a file.


HP-GL Configuration Information (HP-GL)

HP-GL Driver Custom Properties
HP-GL Driver Custom Properties
Supported Plotters
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL Driver Custom Properties >
HP-GL Configuration Information (HP-GL)

This nonsystem driver supports HP-GL, a pen plotter language that has vector-only capabilities.

Raster objects are not supported by the HP-GL device driver. The Microsoft HP-GL Windows System Printer driver cannot be used with AutoCAD. Use this nonsystem driver instead.

Before you plot, you need to provide information about the color and width of each pen in your plotter. Information about specifying physical pen configuration for pen plotters is provided in the Help system.

Different HP-GL models use different coordinate systems. If you are using an emulated device, be sure to choose the HP-GL model your device is emulating; otherwise, your plot could be rotated, offset, or mirrored. If your device doesn't exactly emulate any of the HP devices, you might try one of the two Generic models. These models allow user-defined paper sizes of up to 100 x 100 feet. Also, if the "simplified HPGL" custom property is selected for the Generic models, the HPGL RO instruction will not be sent to the plot file.

Generic SHPGL produces HPGL output that assumes that the coordinate origin is at the lower left corner of the page. Generic LHPG produces output that assumes that the coordinate origin is in the center of the page.

If you are using an emulated device that has a parallel port, select Show All Ports on the Ports page of the Add-a-Plotter wizard or in the Plotter Configuration Editor to access available ports on your computer.

The officially supported HP-GL devices connect by RS232 serial ports. If you are using an emulated device that has a parallel port, select Show All Ports on the Ports page of the Add-a-Plotter wizard or in the Plotter Configuration Editor to access available ports on your computer.

For information specifying custom properties for the HP-GL driver, see HP-GL Driver Custom Properties. You can also choose Help in the HP-GL Custom Properties dialog box in the Plotter Configuration Editor.

NoteAll references to AutoCAD, unless otherwise noted, refer to all AutoCAD-based products.

Topics in this section

  • Supported Plotters

    List of Hewlett-Packard pen plotters are configured using the HP-GL device driver.

  • Specifying Switch Settings

    Specifies the switches used for the plotter driver.

  • Configuring Media for Long Axis Plots

    Specifies custom paper sizes and the plottable area for both custom and standard media sizes.


Supported Plotters

HP-GL Configuration Information (HP-GL)
HP-GL Configuration Information (HP-GL)
Specifying Switch Settings
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL Driver Custom Properties > HP-GL Configuration Information (HP-GL) >
Supported Plotters

List of Hewlett-Packard pen plotters are configured using the HP-GL device driver.

The following Hewlett-Packard pen plotters are configured using the HP-GL device driver:

  • 7475A
  • 7550A
  • 7580B
  • 7585B
  • 7586B
  • Draftmaster 1 (7595A)
  • Draftmaster 2 (7596A)
  • Draftpro (7570A)
  • Draftpro-DXL (7575A)
  • Draftpro-EXL (7576A)
  • DraftPro-Plus (C3170A)
  • DraftPro-Plus (C3171A)


Specifying Switch Settings

Supported Plotters
HP-GL Configuration Information (HP-GL)
Configuring Media for Long Axis Plots
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL Driver Custom Properties > HP-GL Configuration Information (HP-GL) >
Specifying Switch Settings

Specifies the switches used for the plotter driver.

The switch settings that follow are for the default serial protocol: 9600 baud, 7 data bits, even parity, and one stop bit. If you select another protocol, consult the Hewlett-Packard documentation for the correct settings. For the 7475, set the switches as shown in the following table to configure the plotter for the default settings of 9600 baud, 7 data bits, even parity, and one stop bit. If you select another protocol, consult the Hewlett-Packard documentation for the correct settings.

HP-GL switch settings

Switch | 1 | 0
B1 |  | X
B2 | X |
B3 |  | X
B4 | X |
S1 | X |
S2 |  | X
DY |  | D

To configure the 7550 and DraftMaster plotters for default settings, follow the Hewlett-Packard instructions for using the Enter and Next Display keys on the front panel to specify the following settings: monitor mode off, remote mode, stand-alone mode, XON/XOFF or hardware handshaking, direct mode, full duplex, 7-bit data, parity on, even parity, and 9600 baud. Automatic sheet feed is enabled on the 7550 when an asterisk (*) is displayed below the Sheet Feed key.

To configure the 7580, 7585, 7586, and all DraftPro models for default settings, set the RS-232C speed selector to 9600 and set parity on, even parity, and eavesdrop off. Set the emulate and expand switches to normal. If the plotter doesn't respond, wires 2, 3, or 7 might be strung incorrectly, or the plotter might be improperly configured. With a 7580, 7585, or a 7586, the remote light might be off. If the plotter's error light turns on, the speed or parity switches are probably incorrect.


Configuring Media for Long Axis Plots

Specifying Switch Settings
HP-GL Configuration Information (HP-GL)
Long Plotting (HP-GL)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL Driver Custom Properties > HP-GL Configuration Information (HP-GL) >
Configuring Media for Long Axis Plots

Specifies custom paper sizes and the plottable area for both custom and standard media sizes.

Each supported model has a set of standard supported paper sizes, each with a corresponding printable area. You can add custom paper sizes, and you can modify the printable area for standard sizes in the Plotter Configuration Editor. Many HP-GL plotters measure the size of the page when using sheet-fed paper. If your sheet sizes are slightly smaller than standard sizes, and if your plotter configuration tells AutoCAD to request hard clip limits from the plotter, you might see a warning message during plots. The message alerts you that your plot might be clipped and tells you how to avoid clipping. You can enable or disable the query for hard clip limits in the HP-GL Custom Properties dialog box in the Plotter Configuration Editor. If enabled, this query is only made when plotting directly to a locally connected device.

The 7986B and 7596A plotters can create long axis plots. Use the Custom Paper Sizes wizard (on the Calibration and User Defined Paper Sizes node of the Plotter Configuration Editor) to create a custom paper size for your long axis plot. You can configure a delay between long axis plot frames to allow the ink to dry. By default, this is set to 30 seconds, but you can modify the delay time in the HP-GL Custom Properties dialog box in the Plotter Configuration Editor. If your plotter supports both roll-fed and sheet-fed paper, be sure to select the right media source when you configure the plotter. If you select a roll-fed source, be sure to configure the roll width to match the media loaded in the plotter.


Long Plotting (HP-GL)

Configuring Media for Long Axis Plots
HP-GL Driver Custom Properties
Simplified HPGL (HP-GL)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL Driver Custom Properties >
Long Plotting (HP-GL)

Specifies the settings for long axis plotting.

Long plotting controls long axis plotting. If you are performing long axis plotting, you need to install a black pen in stall 8 in order to print registration marks at the edge of the paper. The marks at the edge of the paper represent the end of each frame in a long plot.

Do Not Warn at Plot Time

Disables the display of the Long Plot Warning dialog box at plot time. The warning message alerts you that you've selected a long plot paper size and provides further information about long plots.

Pause Between Frames

Causes AutoCAD to pause between frames when performing a long plot. The pause provides time for the ink to dry before the next frame is plotted.

Seconds to Pause Between Frames

Specifies the amount of time to pause between frames of a long plot.


Simplified HPGL (HP-GL)

Long Plotting (HP-GL)
HP-GL Driver Custom Properties
Request Hard Clip Limits from Plotter (HP-GL)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL Driver Custom Properties >
Simplified HPGL (HP-GL)

Specifies the use of a simplified version of the HPGL language for use with devices that do not support the full version of the HPGL language.

You can use the Simplified HPGL option to produce verbose but simplified HPGL for use by non-HP devices that don't support the full HPGL language. Plot files become larger when this option is selected because every HPGL instruction will be terminated and every new coordinate pair will cause a fresh command to be emitted. Also, the HPGL RO instruction is not produced.


Request Hard Clip Limits from Plotter (HP-GL)

Simplified HPGL (HP-GL)
HP-GL Driver Custom Properties
Handshaking Instructions for Network Plotting and Plotting to a File (HP-GL)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL Driver Custom Properties >
Request Hard Clip Limits from Plotter (HP-GL)

Specifies the use of hard clip limits.

The 7580, 7585, 7586, DraftPro DXL/EXL, DraftMaster I, 7586B, and 7596A plotters return hard clip limits to AutoCAD. This requires two-way communication between AutoCAD and the plotter. The plotter sends AutoCAD the installed paper's exact plot area; AutoCAD positions the plot on the paper based on the actual sheet size. If you clear the Request for Hard Clip Limits from Plotter options, AutoCAD positions the plot based on the configured paper size. In most cases, you need to adjust the configured paper size to reflect the actual printable area of the device. Otherwise, your plot might be clipped. You can adjust the location of the plot on the paper by changing the plot origin.


Handshaking Instructions for Network Plotting and Plotting to a File (HP-GL)

Request Hard Clip Limits from Plotter (HP-GL)
HP-GL Driver Custom Properties
HP-GL/2 Driver Custom Properties
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL Driver Custom Properties >
Handshaking Instructions for Network Plotting and Plotting to a File (HP-GL)

Specifies the type of handshaking used for plotting across a network or to a file.

Handshaking Instructions specifies the method of handshaking for plotting across a network or to a file. When plotting across the network or to a file, you need to specify the type of handshaking so the HP-GL driver can send the correct instructions to the plotter. If you are plotting to a locally configured plotter, use the handshaking controls on the Ports tab in the Plotter Configuration Editor.

Use XON and XOFF Handshaking

Sends HP-GL instructions over the network or to the file to use XON and XOFF handshaking.

Use Hardware Handshaking

Sends HP-GL instructions over the network or to the file to use hardware handshaking.

If you are plotting across a network, you also need to configure the computer connected to the plotter so the Windows system driver port settings are set to the same handshaking method. Also, the plotter must be connected with the appropriate cable.

Set the Windows system driver port settings in the Printers folder in the Windows Control Panel. Select the printer that is sharing the plotter on the network, and configure the printer's port settings for handshaking.

If the plotter is connected locally but uses the Windows Print Manager spooler due to a conflict with a Windows system printer, adjust the port settings in the Windows Control Panel.

If you are using XON and XOFF handshaking, the computer must be connected to the plotter with an appropriate cable, as illustrated in the following diagram:

If you are using hardware handshaking, the computer must be connected to the plotter with an appropriate cable, as illustrated in the following diagram:


HP-GL/2 Driver Custom Properties

Handshaking Instructions for Network Plotting and Plotting to a File (HP-GL)
Autodesk-Supplied Plotter Drivers
HP-GL/2 Configuration Information (HP-GL/2)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers >
HP-GL/2 Driver Custom Properties

Specifies custom properties for the HP-GL/2 driver.

The HP-GL/2 Custom Properties dialog box controls custom properties for the HP-GL/2 driver. For more information about configuring HP-GL/2 devices, see HP-GL/2 Configuration Information (HP-GL/2).

NoteAll references to AutoCAD, unless otherwise noted, refer to all AutoCAD-based products.

Topics in this section

  • HP-GL/2 Configuration Information (HP-GL/2)

    The nonsystem HP-GL/2 driver supports a variety of HP-GL/2 pen plotters and ink jet plotters.

  • Plot Quality (HP-GL/2)

    Specifies the override plot quality setting at the plotter.

  • Long Plotting (HP-GL/2)

    Specifies the display of the long plot warning message.

  • Merge Control (HP-GL/2)

    Specifies the merging of colors when plotting vectors that cross.

  • Gamma Correction (HP-GL/2)

    Specifies the color brightness of an image.


HP-GL/2 Configuration Information (HP-GL/2)

HP-GL/2 Driver Custom Properties
HP-GL/2 Driver Custom Properties
Supported Plotters
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL/2 Driver Custom Properties >
HP-GL/2 Configuration Information (HP-GL/2)

The nonsystem HP-GL/2 driver supports a variety of HP-GL/2 pen plotters and ink jet plotters.

This is a generic HP-GL/2 driver that is not optimized for any particular manufacturer's devices. For example, it does not send PJL commands to devices, as a true Hewlett-Packard driver would. The HP-GL/2 driver supports obsolete pen plotters and newer devices made by manufacturers other than Hewlett Packard.

If you have a Hewlett-Packard DesignJet, you should select the System Printer option in the Add-a-Plotter wizard. Hewlett-Packard has redesigned its print path to use the Windows system printer. You can get excellent print speed and quality through the system printer.

NoteVersions 4.00 and later of the HP-GL/2 & RTL DesignJet Windows System Printer drivers have been optimized for printing. New versions of the drivers are posted on Hewlett Packard's website (http://www.hp.com).

You can use this HDI driver if you use a device that emulates an HP plotter and uses HP-GL/2. Follow the device manufacturer's recommendations for switching your plotter to the correct emulation mode. You can also shift your plotter to HP-GL/2 mode by providing a pre-initialization string in the Plotter Configuration Editor.

For more information about specifying custom properties for the HP-GL/2 driver, see HP-GL/2 Driver Custom Properties.

NoteAll references to AutoCAD, unless otherwise noted, refer to all AutoCAD-based products.

Topics in this section

  • Supported Plotters

    List of emulated and obsolete Hewlett-Packard pen plotters and printers that can be configured using a HP-GL/2 device driver.

  • Cabling Instructions

    Specifies the type of handshaking used for plotting across a network or to a file.

  • Switch Settings

    Specifies the switches used for the plotter driver.

  • DesignJet Plotters

    Specifies which Hewlett-Packard DesignJet plotter models AutoCAD supports through serial or a parallel port.

  • HP-GL/2 Long-Axis Plots

    Specifies the settings for long axis plotting.


Supported Plotters

HP-GL/2 Configuration Information (HP-GL/2)
HP-GL/2 Configuration Information (HP-GL/2)
Cabling Instructions
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL/2 Driver Custom Properties > HP-GL/2 Configuration Information (HP-GL/2) >
Supported Plotters

List of emulated and obsolete Hewlett-Packard pen plotters and printers that can be configured using a HP-GL/2 device driver.

The following plotters can be emulated using the HP-GL/2 driver:

  • HP DesignJet 750C Plus model C4708A (24")
  • HP DesignJet 750C model C3196A (36")
  • HP DesignJet 750C model C3195A (24")
  • HP DesignJet 650C model C2859A (36")
  • HP DesignJet 650C mode C2858B (24")
  • HP DesignJet 350C model C4700A (36")
  • HP DesignJet 350C model C4699A (24")
  • HP DesignJet 250C model C3191A (36")
  • HP DesignJet 250C model C3190A (24")
  • HP DesignJet 700 monochrome model C4706B (36")
  • HP DesignJet 700 monochrome model C4705B (24")
  • HP DesignJet 600 model C2848A (36")
  • HP DesignJet 600 model C2847A (24")
  • HP DesignJet 330 model C4702A (36")
  • HP DesignJet 330 model C4701A (24")
  • HP DesignJet 230 model C4695A (36")
  • HP DesignJet 230 model C4694A (24")
  • HP DesignJet 220 model C3188A (36")
  • HP DesignJet 220 model C3187A (24")
  • HP DesignJet 200 (36")
  • HP DesignJet 200 (24")
  • HP DesignJet 430 monochrome model C4714A (36")
  • HP DesignJet 430 monochrome model C4713A (24")
  • HP DesignJet 450C color model C4716A (36")
  • HP DesignJet 450C color model C4715A (24")

The HP-GL/2 driver also supports the following obsolete plotters:

  • HP DraftMaster Rx model 7596B
  • HP DraftMaster Mx model 7599
  • HP DraftMaster Sx Plus Sheet Feed-NR model 7595C
  • HP DraftMaster Rx Plus NR model 7596C
  • HP DraftMaster Mx Plus NR model 7599B
  • HP DraftPro Plus-NR model C3171A (36")
  • HP DraftPro Plus-NR model C3170A (24")
  • HP 7600 250
  • HP 7600 255
  • HP 7600 355
  • HP 7600 240D (vector only, no raster)
  • HP 7600 240E (vector only, no raster)
  • LaserJet 4
  • LaserJet 4M
  • LaserJet 4MV
  • LaserJet 4Si
  • LaserJet 4SiMx
  • LaserJet 4V
  • LaserJet 5
  • LaserJet 5M
  • LaserJet 5Si
  • LaserJet 5Si Mopier
  • LaserJet 5SiMX
  • LaserJet III
  • LaserJet IIID
  • LaserJet IIISi

For most of these devices you have a choice of a serial or parallel port connection. When this choice is available, the parallel port is recommended because it is faster and simpler. Pen plotters are only supported using serial connection.


Cabling Instructions

Supported Plotters
HP-GL/2 Configuration Information (HP-GL/2)
Switch Settings
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL/2 Driver Custom Properties > HP-GL/2 Configuration Information (HP-GL/2) >
Cabling Instructions

Specifies the type of handshaking used for plotting across a network or to a file.

Handshaking Instructions specifies the method of handshaking for plotting across a network or to a file. When plotting across the network or to a file, you need to specify the type of handshaking so the HP-GL/2 driver can send the correct instructions to the plotter. If you are plotting to a locally configured plotter, use the handshaking controls on the Ports tab in the Plotter Configuration Editor.

Use XON and XOFF Handshaking

Sends HP-GL/2 instructions over the network or to the file to use XON and XOFF handshaking.

Use Hardware Handshaking

Sends HP-GL/2 instructions over the network or to the file to use hardware handshaking.

If you are plotting across a network, you also need to configure the computer connected to the plotter so the Windows system driver port settings are set to the same handshaking method. Also, the plotter must be connected with the appropriate cable.

Set the Windows system driver port settings in the Printers folder in the Windows Control Panel. Select the printer that is sharing the plotter on the network, and configure the printer's port settings for handshaking.

If the plotter is connected locally but uses the Windows Print Manager spooler due to a conflict with a Windows system printer, adjust the port settings in the Windows Control Panel.

If you are using XON and XOFF handshaking, the computer must be connected to the plotter with an appropriate cable as illustrated in the following diagram.

If you are using hardware handshaking, the computer must be connected to the plotter with an appropriate cable as illustrated in the following diagram.


Switch Settings

Cabling Instructions
HP-GL/2 Configuration Information (HP-GL/2)
DesignJet Plotters
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL/2 Driver Custom Properties > HP-GL/2 Configuration Information (HP-GL/2) >
Switch Settings

Specifies the switches used for the plotter driver.

The following table displays the DIP switch settings for the 7600 240D plotter.

Switch settings for HP 7600 240D plotter

Switch Bank | 1 | 0
Parallel Left | 2 | 1, 3-10
Parallel Right | 3 | 1, 2, 4-10
Serial Left | 1 | 2-10
Serial Right | 3, 6, 7, 9 | 1, 2, 4, 5, 8, 10

The following table displays the DIP switch settings for the 7600 240E plotter.

Switch settings for HP 7600 240E plotter

Switch Bank | 1 | 0
Parallel Left | 2 | 1, 3-10
Parallel Right |  | 1-10
Serial Left | 1 | 2-10
Serial Right | 6, 7, 9 | 1-5, 8, 10

For the DraftMaster and 7600 series plotters, follow the Hewlett-Packard instructions for turning off the monitor mode or turning on the remote mode, stand-alone mode, XON/XOFF handshake, direct mode, full duplex, 7-bit data, and parity settings. Choose settings for zero parity and 9600 baud. Be sure the plotter is in HP-GL/2 emulation mode.


DesignJet Plotters

Switch Settings
HP-GL/2 Configuration Information (HP-GL/2)
HP-GL/2 Long-Axis Plots
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL/2 Driver Custom Properties > HP-GL/2 Configuration Information (HP-GL/2) >
DesignJet Plotters

Specifies which Hewlett-Packard DesignJet plotter models AutoCAD supports through serial or a parallel port.

AutoCAD supports the Hewlett-Packard DesignJet plotter models 200/220, 250C, 330, 600, 650C, 700, 750C, 750C Plus, 755, and 755CM through a serial or a parallel port. It is recommended that you use the parallel port. If you use a serial port, set the DesignJet at 9600 baud, with 8 data bits, 1 stop bit, no parity, and hardware handshaking XON/XOFF.

All DesignJet roll-feed models can produce long-axis plots. Both the 600 and 650C have an optional expanded mode for page formats and margins. You set the Expanded mode on the plotter's front panel. By choosing Advanced Media Options from the Plotter Configuration menu, you can select options that match your plotter's settings.


HP-GL/2 Long-Axis Plots

DesignJet Plotters
HP-GL/2 Configuration Information (HP-GL/2)
Plot Quality (HP-GL/2)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL/2 Driver Custom Properties > HP-GL/2 Configuration Information (HP-GL/2) >
HP-GL/2 Long-Axis Plots

Specifies the settings for long axis plotting.

The 7600 series plotter, DesignJets, DraftPro Plus, and the DraftMaster with roll feed can do long-axis plots.

To perform a long plot

  1. Select any size greater than 64 inches along the X axis.

    The following prompt is displayed:

    Long axis plot is selected. Plotter steps/inch = nnn

  2. Plot in the normal manner.

    For best results, plot to extents, do not rotate the plot, and use an explicit one-to-one scale (not Scale to Fit).

  3. To stop your plotter after AutoCAD has finished sending all the vectors, clear the plotter memory using the plotter’s control panel.
  4. To stop a long-axis plot while AutoCAD is sending vectors to the plotter, press ESC.
  5. Clear the plotter memory as indicated for the following devices:
    • DraftMaster X series. Press the plotter Cancel button.
    • HP 7600 240D/E. Press the plotter Reset button.
    • HP 7600 250/255/355. Press the Plot Management key. Select Queuing Operations, and then select the plot and delete it from the queue.
    • HP DesignJet Series. Press the plotter Cancel button.
    • HP DraftPro Plus. Press the plotter Cancel button.


Plot Quality (HP-GL/2)

HP-GL/2 Long-Axis Plots
HP-GL/2 Driver Custom Properties
Long Plotting (HP-GL/2)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL/2 Driver Custom Properties >
Plot Quality (HP-GL/2)

Specifies the override plot quality setting at the plotter.

Override Quality Defaults on Device

Overrides the plot quality setting at the plotter. Many plotters provide this option in the plotter control panel.

Plot Quality

Specifies the plot quality to use when overriding the plot quality specified at the plotter. The number you enter here is plotter dependent. The valid range is 1 to 100.


Long Plotting (HP-GL/2)

Plot Quality (HP-GL/2)
HP-GL/2 Driver Custom Properties
Merge Control (HP-GL/2)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL/2 Driver Custom Properties >
Long Plotting (HP-GL/2)

Specifies the display of the long plot warning message.

The warning message alerts you that you've selected a long plot paper size and provides further information about long plots.

Do Not Warn at Plot Time

Disables the display of the Long Plot Warning dialog box at plot time.


Merge Control (HP-GL/2)

Long Plotting (HP-GL/2)
HP-GL/2 Driver Custom Properties
Gamma Correction (HP-GL/2)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL/2 Driver Custom Properties >
Merge Control (HP-GL/2)

Specifies the merging of colors when plotting vectors that cross.

For example, if a red line and a yellow line cross, their intersection is orange if they are merged.

Lines Merge

Specifies that colors should be merged when vectors cross.

Lines Overwrite

Specifies that when crossing vectors are plotted, the color of the last plotted vector is printed. For example, if a yellow line is plotted and then a red line is plotted that crosses the yellow line, the intersection will be red.


Gamma Correction (HP-GL/2)

Merge Control (HP-GL/2)
HP-GL/2 Driver Custom Properties
Nonsystem Driver Custom Properties
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > HP-GL/2 Driver Custom Properties >
Gamma Correction (HP-GL/2)

Specifies the color brightness of an image.

Gamma Correction is available for all plotters that support raster output. You can specify an amount to increase the red, green, and blue intensity levels of raster data and, to a lesser extent, vector data.

The Raster Gamma Correction value is set to 1 by default, which applies no correction. As you increase this value, you incrementally increase the brightness.

Raster Gamma Correction

Specifies the raster gamma correction value. The valid range of values is integers from 1 to 5.


Nonsystem Driver Custom Properties

Gamma Correction (HP-GL/2)
Autodesk-Supplied Plotter Drivers
PDF Driver Custom Properties
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers >
Nonsystem Driver Custom Properties

Specifies custom properties for nonsystem plotters.

The quality of your plot depends on the specific contents of your drawing and the configuration settings for your plotter. You can adjust the configuration for your plotter using one of the following methods:

  • Use the Plotter Configuration Editor. Click Properties in the Plot dialog box, or double-click the PC3 file for that plotter in your product’s Plotters folder.
  • For some drivers, use the Custom Properties dialog box, available from the Custom Properties node in the Plotter Configuration Editor.

If you have difficulty printing to a laser printer, try using another driver.


PDF Driver Custom Properties

Nonsystem Driver Custom Properties
Autodesk-Supplied Plotter Drivers
Vector and Gradient Resolution (PDF)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers >
PDF Driver Custom Properties

Specifies custom properties for plotted Adobe PDF files.

You can use the DWG to PDF ePlot driver to plot or publish PDF files. You can open, view, and print PDF files with Adobe Reader, versions 6 or later.

NoteAll references to AutoCAD, unless otherwise noted, refer to all AutoCAD-based products.

Topics in this section

  • Vector and Gradient Resolution (PDF)

    Specifies the resolution (in dots per inch) for vector graphics and gradients for PDF files.

  • Raster Image Resolution (PDF)

    Specifies the resolution (in dots per inch) for raster images for PDF files.


Vector and Gradient Resolution (PDF)

PDF Driver Custom Properties
PDF Driver Custom Properties
Raster Image Resolution (PDF)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > PDF Driver Custom Properties >
Vector and Gradient Resolution (PDF)

Specifies the resolution (in dots per inch) for vector graphics and gradients for PDF files.

When you set a higher resolution, the file is more precise, but the file size is also larger.

When you create PDF files intended for printing from Adobe Reader, select a resolution to match the output of your plotter or printer. High resolutions (over 2,400 dpi) are for viewing. For example, when you create PDF files of drawings that contain a lot of detail, such as a topographical map of a large region, use a higher resolution setting for greater detail in the PDF file. As you increase the resolution setting, raster image quality increases, the speed of printing decreases, and memory requirements increase.

Vector Resolution

Sets the resolution for vector graphics in the PDF file in dots per inch. The default setting is 400 dpi. The maximum dpi you can set is 4,800 dpi.

Custom Vector Resolution

Specifies a custom resolution for vector graphics in the PDF file in dots per inch. You must select Custom under Vector Resolution to specify a custom vector graphic resolution. The default setting is 40,000 dpi.

Gradient Resolution

Sets the resolution for gradients in the PDF file in dots per inch. The default setting is 400 dpi. This setting cannot exceed the current vector resolution setting.

Custom Gradient Resolution

Specifies a custom resolution for gradients in the PDF file in dots per inch. You must select Custom under Gradient Resolution to specify a custom gradient resolution. The default setting is 200 dpi. This setting cannot exceed the current vector resolution setting.


Raster Image Resolution (PDF)

Vector and Gradient Resolution (PDF)
PDF Driver Custom Properties
PostScript Driver Custom Properties
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > PDF Driver Custom Properties >
Raster Image Resolution (PDF)

Specifies the resolution (in dots per inch) for raster images for PDF files.

When you set a higher resolution, the file is more precise, but the file size is also larger.

When you create PDF files intended for plotting, select a resolution to match the output of your plotter or printer. High resolutions (over 2,400 dpi) are for viewing. For example, when you create PDF files of drawings that contain a lot of detail, such as a topographical map of a large region, use a higher resolution setting for greater detail in the PDF file. As you increase the resolution setting, raster image quality increases, the speed of printing decreases, and memory requirements increase.

Color and Grayscale Resolution

Sets the resolution for raster image colors and grayscale in the PDF file in dots per inch. The default setting is 400 dpi. This setting cannot exceed the current vector resolution setting.

Custom Color and Grayscale Resolution

Specifies a custom resolution for color and grayscale raster images in the PDF file in dots per inch. You must select Custom under Color and Grayscale Resolution to specify a custom color resolution. The default setting is 200 dpi. This setting cannot exceed the current vector resolution setting.

Black and White Resolution

Sets the resolution for black and white raster images in the PDF file in dots per inch. The default setting is 400 dpi. This setting cannot exceed the current vector resolution setting.

Custom Black and White Resolution

Specifies a custom resolution for black and white raster images for the PDF file in dots per inch. You must select Custom under Black and White Resolution to specify a custom black and white resolution. The default setting is 400 dpi. This setting cannot exceed the current vector resolution setting.


PostScript Driver Custom Properties

Raster Image Resolution (PDF)
Autodesk-Supplied Plotter Drivers
Printer Control (PostScript)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers >
PostScript Driver Custom Properties

Specifies custom properties for plotted PostScript files.

You can use the nonsystem PostScript driver to plot drawings to PostScript printers and PostScript files. Use the PS file format for printers and the EPS file format for files. If you plot to a hardware port, PS output is automatic. If you plot to a file and plan to copy it to a printer, configure for PS output.

The PostScript driver supports three types of PostScript.

Supported PostScript Formats

PostScript Format | Description
Level 1 | Use for most plotters.
Level 1.5 | Use for plotters that support color images.
Level 2 | If your plotter supports Level 2 PostScript, use to produce smaller files that print more rapidly.

The Tokenize PostScript Code and Compression options in the PostScript Custom Properties dialog box reduce output file size and improve printing speed on devices that support these options. If you have problems printing, try clearing all the options. If you successfully print with no optimizations, you can try turning them back on one at a time to determine the options your printer supports.

Some desktop publishing applications only support Level 1 PostScript. If you have problems using your EPS files, try a lower PostScript level and turn off the optimizations just described.

Including a preview thumbnail in your EPS file makes the file substantially larger but allows quick preview by many applications. The WMF preview is for Windows; the EPSF preview is for Macintosh and other platforms.

NoteIncluding both preview images can triple your file size.

The PostScript Custom Settings dialog box controls the custom settings for the PostScript driver.

NoteAll references to AutoCAD, unless otherwise noted, refer to all AutoCAD-based products.

Topics in this section

  • Printer Control (PostScript)

    Printer controls specify the codes to send to the plotter.

  • Preview Thumbnail in EPS Files (PostScript)

    Specifies the controls for the type of preview image when plotting to an EPS file.

  • Default Plot to File Extension and Format (PostScript)

    Specifies the file extension to use when a drawing is plotted to a file.

  • Raster Image Compression (PostScript)

    Controls AutoCAD ^B and Run Length Encoding compression.

  • Custom PostScript Error Handler (PostScript)

    Specifies a file for error messages.


Printer Control (PostScript)

PostScript Driver Custom Properties
PostScript Driver Custom Properties
Preview Thumbnail in EPS Files (PostScript)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > PostScript Driver Custom Properties >
Printer Control (PostScript)

Printer controls specify the codes to send to the plotter.

Send ^D at End of Plot

Sends a ^D code to the printer when the plot is completed. Select this option if you are using a communication channel that uses Adobe Standard Protocol. If you are porting to another platform, remove this code; otherwise, you receive an error message when printing the file.

You probably need a ^D code to avoid a time-out error if you are plotting to a network PostScript plotter. You also need a ^D if you are plotting to a locally connected PostScript plotter through the Windows Print Manager spooler (because of a conflict with a Windows system printer).

Send ^Z at End of Plot

Sends a ^Z code to the printer when the plot is completed. Some PostScript plotters require a ^Z at the end of the file.

Send PostScript Error Handler to Plotter

Sends an error message to the plotter. The error message prints after the plot and describes the error that occurred.

Tokenize PostScript Code

Converts PostScript code to a shorter binary sequence, compressing the output file significantly. If you are having problems using the PostScript driver, try clearing this option.


Preview Thumbnail in EPS Files (PostScript)

Printer Control (PostScript)
PostScript Driver Custom Properties
Default Plot to File Extension and Format (PostScript)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > PostScript Driver Custom Properties >
Preview Thumbnail in EPS Files (PostScript)

Specifies the controls for the type of preview image when plotting to an EPS file.

Controls the type of preview image when plotting to an EPS file. Programs such as Microsoft Word and Adobe PageMaker use preview images to show you what the final PostScript will look like when you insert the file into a document. Preview thumbnails can substantially increase your plot file size. For small plot files, turn off these options.

Include WMF Preview

Specifies that a Windows Metafile preview image is included when the drawing is plotted to a file.

Include EPSF Preview

Specifies that an Encapsulated PostScript preview image is included when the drawing is plotted to a file. Use this option with preview images for Macintosh applications.


Default Plot to File Extension and Format (PostScript)

Preview Thumbnail in EPS Files (PostScript)
PostScript Driver Custom Properties
Raster Image Compression (PostScript)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > PostScript Driver Custom Properties >
Default Plot to File Extension and Format (PostScript)

Specifies the file extension to use when a drawing is plotted to a file.

If you plot directly to a plotter, this setting has no effect.

EPS

Uses the .eps extension when a drawing is plotted to a file. Use this setting if you plan to use the file in programs such as Microsoft Word or Adobe PageMaker.

PS

Uses the .ps extension when a drawing is plotted to a file. Use this setting if you plan to copy the file to a printer.


Raster Image Compression (PostScript)

Default Plot to File Extension and Format (PostScript)
PostScript Driver Custom Properties
Custom PostScript Error Handler (PostScript)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > PostScript Driver Custom Properties >
Raster Image Compression (PostScript)

Controls AutoCAD ^B and Run Length Encoding compression.

You do not need to configure the plotter to use this compression method.

Use ^B Compression

Enables ^B compression.

RLE

Enables RLE compression.


Custom PostScript Error Handler (PostScript)

Raster Image Compression (PostScript)
PostScript Driver Custom Properties
Raster Driver Custom Properties
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > PostScript Driver Custom Properties >
Custom PostScript Error Handler (PostScript)

Specifies a file for error messages.

You can specify a file for error messages. The file is downloaded to the printer instead of the AutoCAD default error handler. Do not modify this setting unless you are familiar with PostScript error handlers.


Raster Driver Custom Properties

Custom PostScript Error Handler (PostScript)
Autodesk-Supplied Plotter Drivers
Raster Configuration Information (Raster)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers >
Raster Driver Custom Properties

Specifies custom properties for plotted raster format files.

The Raster-Custom Properties dialog box controls the custom settings for the Raster driver. For more information about configuring raster devices, see Raster Configuration Information (Raster).

NoteAll references to AutoCAD, unless otherwise noted, refer to all AutoCAD-based products.

Topics in this section

  • Raster Configuration Information (Raster)

    Specifies information for configuring output to raster format files.

  • Background Color (Raster)

    Specifies the background color used when creating the raster image file.

  • Rotate Raster Scanlines 90 Degrees (Raster)

    Specifies the way scan lines run when configuring the device for CALS raster format files.


Raster Configuration Information (Raster)

Raster Driver Custom Properties
Raster Driver Custom Properties
Supported Raster Formats
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > Raster Driver Custom Properties >
Raster Configuration Information (Raster)

Specifies information for configuring output to raster format files.

This section provides specific information for configuring output to raster format files.

This nonsystem driver supports several raster file formats including Windows BMP, CALS, TIFF, PNG, TGA, PCX, and JPEG. The Raster driver is most commonly used to plot to files for desktop publishing.

All but one of the formats supported by this driver produce "dimensionless" raster files that have size in pixels but do not have size in inches or millimeters. The Dimensional CALS format is for plotters that can accept CALS files. If your plotter accepts CALS files, you must specify a real paper size and resolution. Specify the resolution in dots per inch in the Vector Graphics pane of the Plotter Configuration Editor.

By default, this driver only plots to file. However, you can choose Show All Ports on the Ports page of the Add-a-Plotter wizard or the Ports tab in the Plotter Configuration Editor; all of the ports on your computer are then available for configuration. When configured for plotting to a port, this driver plots to a file and then copies that file to the specified port. To plot successfully, make sure that the device connected to the configured port can accept and process the file. For more information, refer to the documentation provided by the device manufacturer.

The type, size, and color depth of the raster file determines the final file size. If your computer has enough memory and disk space, you can produce a file thousands of megabytes in size that requires several days to plot. When selecting a raster size, reduce file size by using the lowest color depth you need. For more information, see Required Memory and Disk Space for Temporary Files.

You can configure the background color for raster plots in the Custom Properties dialog box in the Plotter Configuration Editor. If you change the background color, any objects plotted in that color are invisible.

Topics in this section

  • Supported Raster Formats

    Specifies the background color used when creating the raster image file.

  • Required Memory and Disk Space for Temporary Files

    Specifies settings that can affect performance of plotting large raster format files.

  • Background Color

    Specifies the background color used when creating the raster image file.


Supported Raster Formats

Raster Configuration Information (Raster)
Raster Configuration Information (Raster)
Required Memory and Disk Space for Temporary Files
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > Raster Driver Custom Properties > Raster Configuration Information (Raster) >
Supported Raster Formats

Specifies the background color used when creating the raster image file.

The Autodesk Raster driver supports the following raster file formats:

  • Uncompressed BMP
  • Uncompressed TGA
  • PCX - Zsoft packbits format
  • Uncompressed TIFF
  • Group 4 2D compressed bitonal TIFF
  • CALS MIL-R-28002A Type 1 (CCITT G4 2D Compression)
  • Dimensional CALS Type 1 (CCITT G4 2D Compression)
  • JFIF - JPEG compressed
  • PNG 1.0

Specify the file format on the Plotter Model page in the Add-a-Plotter wizard.

The Media node in the Plotter Configuration Editor provides a range of bitmap sizes for the raster driver. All of these sizes are plotted with an aspect ratio of 1:1. Some of the file formats offer a choice of color or monochrome and a choice of color depths (for example, 2 shades of gray, 256 colors, and so on). To specify graphics settings, choose the Graphics node in the Plotter Configuration Editor and select Vector Graphics.

The following table shows the supported raster file formats, the available color depth options, and the file extension of the relevant output file. In the Color Depth column, indexed is 8-bit, 256 colors, RGB is 24-bit True Color, and RGBA is 32-bit True Color.

Supported raster file formats

Format | Color depth | Extension
Uncompressed BMP | Bitonal, grayscale, indexed, RGB | .bmp
Uncompressed TGA | Indexed, grayscale, RGB, RGBA | .tga
PCX - Zsoft packbits | Indexed, RGB | .pcx
Uncompressed TIFF | Bitonal, indexed, grayscale, RGB, RGBA | .tif
TIFF - Group 4 Two-dimensional Bitonal Compression | Bitonal, indexed, grayscale, RGB, RGBA | .tif
CALS MIL-R-28002A Type 1 | Bitonal | .cal
Dimensional CALS | Bitonal | .cal
JFIF 5.0 - JPEG | Gray, RGB | .jpg
PNG 1.0 | Bitonal, grayscale, indexed, RGB, RGBA | .png

BMP File Format

BMP files are Microsoft Windows bitmap files. These files can be created in and read by Windows Paint; all Windows applications can import them.

PCX File Format

The PCX file format has evolved from the files written by the original PC Paintbrush program by Zsoft.

TIFF File Format

TIFF (tagged image file format) is a raster file format jointly defined by Adobe and Microsoft.


Required Memory and Disk Space for Temporary Files

Supported Raster Formats
Raster Configuration Information (Raster)
Background Color
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > Raster Driver Custom Properties > Raster Configuration Information (Raster) >
Required Memory and Disk Space for Temporary Files

Specifies settings that can affect performance of plotting large raster format files.

Large raster objects are expensive to plot because the files can be large. A 400 × 400 raster uses four times as much memory as a 200 × 200 raster. Color depth can also use a lot of memory, depending on the file format. True Color can use up to 32 times more memory than bitonal rasters. Keep memory issues in mind when configuring a large raster plot.

When you plot a large drawing or a large raster image, several types of temporary files may be created. Make sure you have enough space on your disks for temporary files in the following areas:

  • Windows temporary directory: Windows uses this directory for temporary files. The TEMP Windows environment variable determines its location.
  • AutoCAD temporary directory: AutoCAD temporary files are stored in a temporary file directory. This directory is specified in Options on the Files tab.
  • System directory: The system spooler uses this directory. When a plot is spooled, a copy of the data may be in this directory temporarily.
  • Swap space: Windows uses this swap space when an operation uses more RAM than is available. You can configure the location of Windows swap space in the System dialog box in the Windows Control Panel. Allow at least five times as much swap space as RAM. For example, ACIS models or large raster images need more swap space.

Depending on the situation, you may need thousands of megabytes of disk space for these temporary files.


Background Color

Required Memory and Disk Space for Temporary Files
Raster Configuration Information (Raster)
Background Color (Raster)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > Raster Driver Custom Properties > Raster Configuration Information (Raster) >
Background Color

Specifies the background color used when creating the raster image file.

The raster plotter driver is independent of the background color you have selected for the drawing area. You can select the background color for raster plots in the Custom Properties node in the Plotter Configuration Editor. Any objects you plot with the same color as the background color are invisible in the raster image. If you are plotting to a grayscale format, your selected color is converted to a grayscale value when plotted.


Background Color (Raster)

Background Color
Raster Driver Custom Properties
Rotate Raster Scanlines 90 Degrees (Raster)
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > Raster Driver Custom Properties >
Background Color (Raster)

Specifies the background color used when creating the raster image file.

Background Color displays a list of colors - black, red, yellow, green, cyan, blue, magenta, white, and "other." Other represents indexed and True Color (24-bit and 32-bit) output depths. The options are black, white, and other for grayscale, and black and white for monochrome. Select Other to display the AutoCAD Select Color dialog box.

If you are creating grayscale output, you must select a color from the Select Color dialog box.


Rotate Raster Scanlines 90 Degrees (Raster)

Background Color (Raster)
Raster Driver Custom Properties
System Driver Custom Properties
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers > Raster Driver Custom Properties >
Rotate Raster Scanlines 90 Degrees (Raster)

Specifies the way scan lines run when configuring the device for CALS raster format files.

This option is available if you are configuring the CALS raster file format. Select this option to output this file to a CalComp plotter. You can specify the way the scan lines run so you can align them with the print head movement and significantly improve output time.


System Driver Custom Properties

Rotate Raster Scanlines 90 Degrees (Raster)
Autodesk-Supplied Plotter Drivers
Third-Party Plotter Drivers
Driver Custom Properties Reference > Autodesk-Supplied Plotter Drivers >
System Driver Custom Properties

Specifies custom properties for system printers and plotters.

The quality of your plot depends on the specific contents of your drawing and the configuration settings for your plotter. You can adjust the configuration for your plotter using one of the following methods:

  • Use the Plotter Configuration Editor. Select Properties in the Plot dialog box, or double-click the PC3 file for that plotter in your product’s Plotters folder.
  • For Windows system printers, use the Custom Properties dialog box, available from the Custom Properties node in the Plotter Configuration Editor. The entire tree view is displayed to facilitate cutting and pasting between PC3 files, and to provide access to plotter calibration, printable area, and raster controls.

If you have difficulty printing to a laser printer, try using another driver.


Third-Party Plotter Drivers

System Driver Custom Properties
Driver Custom Properties Reference
CalComp Driver Custom Properties
Driver Custom Properties Reference >
Third-Party Plotter Drivers

Plotter drivers that are created by third-parties for use with AutoCAD.

Topics in this section

  • CalComp Driver Custom Properties

    Specifies custom properties for plots created with the CalComp driver.

  • Océ Driver Custom Properties

    Specifies custom properties for plots created with the Océ driver.

  • Xerox Driver Custom Properties

    Specifies custom properties for plots created with the Xerox Wide Format Print System HDI driver.

  • XES Synergix 8825/8830/8855 Driver Custom Properties

    Specifies custom properties for plots created with the XESystems, Inc. system printer driver.


CalComp Driver Custom Properties

Third-Party Plotter Drivers
Third-Party Plotter Drivers
Supported Plotter Families (CalComp)
Driver Custom Properties Reference > Third-Party Plotter Drivers >
CalComp Driver Custom Properties

Specifies custom properties for plots created with the CalComp driver.

This nonsystem driver supports the CalComp 907/PCI/CCGL plot language in vector-only mode. It does not support raster objects. You can modify the connection parameters, and control color merging and the CalComp Device Control Language (CDCL) through the Custom Properties dialog box provided with the driver.

NoteAll references to AutoCAD, unless otherwise noted, refer to all AutoCAD-based products.

Topics in this section

  • Supported Plotter Families (CalComp)

    Specifies the plotters that are supported by the driver.

  • Configuring the Plotters (CalComp)

    Specifies the settings to configure the driver.

  • Setting Custom Properties (CalComp)

    Specifies the custom properties that can be changed for the driver.

  • Plot Cutting (CalComp)

    Specifies how to configure the plotter to handle plot cutting.

  • Virtual Pens(CalComp)

    Specifies how to configure the virtual pens and fill colors.


Supported Plotter Families (CalComp)

CalComp Driver Custom Properties
CalComp Driver Custom Properties
DrawingMaster
Driver Custom Properties Reference > Third-Party Plotter Drivers > CalComp Driver Custom Properties >
Supported Plotter Families (CalComp)

Specifies the plotters that are supported by the driver.

This CalComp plotter driver supports five CalComp plotter families, Drawing Master, Electrostatic, Solus LED, TechJet inkjet, and pen plotters. Many plotters provide serial and parallel ports. For faster plotting results, use the parallel port.

Topics in this section

  • DrawingMaster

    List of plotters in the DrawingMaster family.

  • Electrostatic

    List of plotters in the Electrostatic family.

  • Solus LED Plotters

    List of plotters in the Solus LED Plotters family.

  • TechJet Inkjet Plotters

    List of plotters in the TechJet Inkjet Plotters family.

  • Pen Plotters

    List of plotters in the Pen Plotters family.


DrawingMaster

Supported Plotter Families (CalComp)
Supported Plotter Families (CalComp)
Electrostatic
Driver Custom Properties Reference > Third-Party Plotter Drivers > CalComp Driver Custom Properties > Supported Plotter Families (CalComp) >
DrawingMaster

List of plotters in the DrawingMaster family.

DrawingMaster plotters use direct imaging (thermal) technology to produce monochrome plots. DrawingMaster plotters have serial and parallel ports. Available resolutions include 200, 300, and 400 dots per inch (DPI). DrawingMaster plotters can product plot lengths equal to the length of the roll.

Supported Models

Model Number and Name | Width | Resolution
53436 DrawingMaster DM800 | 36" | 400 DPI
53336 DrawingMaster DM600 | 36" | 300 DPI
52436 DrawingMaster Plus | 36" | 400 DPI
52424 DrawingMaster Plus | 24" | 400 DPI
52236 DrawingMaster Plus | 36" | 200 DPI
52224 DrawingMaster Plus | 36" | 200 DPI


Electrostatic

DrawingMaster
Supported Plotter Families (CalComp)
Solus LED Plotters
Driver Custom Properties Reference > Third-Party Plotter Drivers > CalComp Driver Custom Properties > Supported Plotter Families (CalComp) >
Electrostatic

List of plotters in the Electrostatic family.

Electrostatic plotters use a dielectric coated paper that is charged to attract a toner particle producing the plot. Monochrome and color models are available with widths ranging from 24" to 44". Plot lengths produced by Electrostatic plotters range from 12 to 25 feet depending on the model. All come with serial and parallel ports. All have 400 DPI resolution.

Autodesk will no longer test or fix problems with the following Electrostatic plotters. The device drivers are still available, but are not supported in this release.

Model | Width
68444 Color | 44"
68436 Color | 36"
58444 Color | 44"
58436 Color | 36"
58424 Color | 24"
57444 Monochrome | 44"
57436 Monochrome | 36"
57424 Monochrome | 24"


Solus LED Plotters

Electrostatic
Supported Plotter Families (CalComp)
TechJet Inkjet Plotters
Driver Custom Properties Reference > Third-Party Plotter Drivers > CalComp Driver Custom Properties > Supported Plotter Families (CalComp) >
Solus LED Plotters

List of plotters in the Solus LED Plotters family.

Solus LED plotters use light-emitting diodes to create a charge on a drum that attracts toner particles producing the monochrome plots on plain paper. These plotters operate very similarly to desktop laser printers. Two models are available. Both models have 400 DPI resolution and two paper supply rolls for different sizes and types of paper. The plotter can automatically select the paper roll by size, or you can specify a roll. The 54436 model can also receive cut-sheet paper. Both models come with serial and parallel ports.

Model | Width
54436 | 36"
54424 | 24"


TechJet Inkjet Plotters

Solus LED Plotters
Supported Plotter Families (CalComp)
Pen Plotters
Driver Custom Properties Reference > Third-Party Plotter Drivers > CalComp Driver Custom Properties > Supported Plotter Families (CalComp) >
TechJet Inkjet Plotters

List of plotters in the TechJet Inkjet Plotters family.

The TechJet plotters were built from Canon bubble jet technology. All but the 720 Series plotters are considered dual mode plotters, meaning they can accept roll or cut-sheet paper. The inkjets come in full color, monochrome, and color capable models. All use 360 DPI resolution.

Autodesk will no longer test or fix problems with the following TechJet plotters. The device drivers are still available, but are not supported in this release.

Model | Width
5536 TechJet Color | 36"
5524 TechJet Color | 24"
5336i TechJet 175i Max Ink | 36"
5336GT TechJet Color | 36"
5324GT TechJet Color | 24"
5336 TechJet Color | 36"
5324 TechJet Color | 24"
5636 TechJet 720c | 36"
5624 TechJet 720c | 24"
5436 TechJet 720 | 36"
5424 TechJet 720 | 24"


Pen Plotters

TechJet Inkjet Plotters
Supported Plotter Families (CalComp)
Configuring the Plotters (CalComp)
Driver Custom Properties Reference > Third-Party Plotter Drivers > CalComp Driver Custom Properties > Supported Plotter Families (CalComp) >
Pen Plotters

List of plotters in the Pen Plotters family.

Autodesk will no longer test or fix problems with the following CalComp pen plotters. The device drivers are still available, but are not supported in this release.

Model | Width
3024 DesignMate | 24"
3036 DesignMate | 36"
4036 PaceSetter Classic | 36"
2036 PaceSetter | 36"
2024 PaceSetter | 24"
1023 Artisan | 24"
1025 Artisan | 36"
1026 Artisan | 36"


Configuring the Plotters (CalComp)

Pen Plotters
CalComp Driver Custom Properties
DrawingMaster and Electrostatic Configuration
Driver Custom Properties Reference > Third-Party Plotter Drivers > CalComp Driver Custom Properties >
Configuring the Plotters (CalComp)

Specifies the settings to configure the driver.

The following sections provide information to help you configure your plotter. Your plotter configuration settings should agree with your plot configuration settings.

Topics in this section

  • DrawingMaster and Electrostatic Configuration

    Specifies configurations for configure DrawingMaster and Electrostatic plotters.

  • DrawingMaster RS232 serial cabling

    Specifies configurations for configure DrawingMaster RS232 by serial cabling.

  • Pacesetter Configuration

    Specifies configurations for configure a Pacesetter plotter.


DrawingMaster and Electrostatic Configuration

Configuring the Plotters (CalComp)
Configuring the Plotters (CalComp)
DrawingMaster RS232 serial cabling
Driver Custom Properties Reference > Third-Party Plotter Drivers > CalComp Driver Custom Properties > Configuring the Plotters (CalComp) >
DrawingMaster and Electrostatic Configuration

Specifies configurations for configure DrawingMaster and Electrostatic plotters.

To configure DrawingMaster and Electrostatic plotters, you need an RS-232 terminal. Configure the terminal for 19,200 baud, 8 data bits, 1 stop bit and no parity. With an RS-232 terminal, you can configure your plotter for either a parallel or a serial connection to AutoCAD. Generally, a parallel connection will produce faster plots. Use a standard Centronics parallel cable.

DrawingMaster and Electrostatic parallel port configuration

Parameter | Setting
Input monitor dump | NO
I/F type | CET
Print | N
Dead job time-out (SEC) | 90
Time-out action | FORCE
Plot command language | 907
Steps per inch | 400
Beginning of record sync character | $16
Number of sync characters | 2
End of record character | $0D
Checksum | Y

DrawingMaster and Electrostatic serial port configuration

Parameter | Setting
Input monitor dump | NO
Baud rate | 9600
Character framing (bits, parity, stop bits) | 7,E,1
Host to plotter CDCL protocol | XONXOFF
Plotter to host CDCL protocol | XONXOFF
Dead job time-out (SEC) | 90
Time-out action | FORCE
Plot command language | 907
Steps per inch | 400
Beginning of record sync character | $16
Number of sync characters | 2
End of record character | $0D
Checksum | Y

DrawingMaster and Electrostatic plotters communicate with AutoCAD at 9600 baud, 7 data bits, 1 stop bit, and even parity, when an RS232 serial connection is used.


DrawingMaster RS232 serial cabling

DrawingMaster and Electrostatic Configuration
Configuring the Plotters (CalComp)
Pacesetter Configuration
Driver Custom Properties Reference > Third-Party Plotter Drivers > CalComp Driver Custom Properties > Configuring the Plotters (CalComp) >
DrawingMaster RS232 serial cabling

Specifies configurations for configure DrawingMaster RS232 by serial cabling.

To connect a CalComp DrawingMaster plotter, use a straight-through RS-232 cable:

Plotter end | Computer end
1 | 1
2 | 2
3 | 3
... | ...
25 | 25


Pacesetter Configuration

DrawingMaster RS232 serial cabling
Configuring the Plotters (CalComp)
Setting Custom Properties (CalComp)
Driver Custom Properties Reference > Third-Party Plotter Drivers > CalComp Driver Custom Properties > Configuring the Plotters (CalComp) >
Pacesetter Configuration

Specifies configurations for configure a Pacesetter plotter.

To connect the Pacesetter plotter, use either a Centronics parallel port or a straight-through RS-232 cable, then use the following configuration. See the Pacesetter documentation for instructions about how to change or inspect the plotter's configuration.

Parameter | Setting
Plot mode | Final plot
Velocity | 350 mmps 13ips
Acceleration | 0.7g
Orientation | Auto
Scale | [1/1]
Pen grouping | Off
Plot limits | Normal
Plot Manager | No
Port Type | RS-232C
Protocol | PCI
Baud rate | 9600
#of bits, parity | 7, even
Handshake | XON/XOFF
Sync # EOM CHK | A : 22 2 13 ON
EOP timer | 30 seconds
Language | English
Internal plot | Off
Clear plot data | No
Save as user | Yes

For all other CalComp pen plotters, set the plotter controller for 9600 baud, even parity, 7 data bits, 1 stop bit, no hardware handshake, and checksum on. Set the end-of-message character to 13 decimal, double sync on, and set the sync to 22 decimal.


Setting Custom Properties (CalComp)

Pacesetter Configuration
CalComp Driver Custom Properties
Connections
Driver Custom Properties Reference > Third-Party Plotter Drivers > CalComp Driver Custom Properties >
Setting Custom Properties (CalComp)

Specifies the custom properties that can be changed for the driver.

You can set custom properties using the Custom Properties dialog box. The dialog box is divided into Connection, Plot Color Merge Control, and CalComp Device Control Language sections.

Topics in this section

  • Connections

    Specifies the connection type.

  • Plot Color Merge Control

    Specifies the settings for plot color merge control.

  • CalComp Device Control Language

    Specifies the plotter operating parameters of the CalComp Device Control Language (CDCL).


Connections

Setting Custom Properties (CalComp)
Setting Custom Properties (CalComp)
Plot Color Merge Control
Driver Custom Properties Reference > Third-Party Plotter Drivers > CalComp Driver Custom Properties > Setting Custom Properties (CalComp) >
Connections

Specifies the connection type.

CalComp stores plot data as records. Each record starts with one or two specific characters called SYNC codes, and each record ends with one specific character called an EOB/EOM code. You can use a checksum character to validate the plot record. You must set up the plotter to expect SYNC codes, EOB/EOB codes, and checksumming in the plot data. If the plotter setup does not match the driver, the plotter ignores the plot. If you use the CalComp Device Control Language commands, this driver will set up the plotter automatically.

Connection Fields

Dialog Box Field | Description
Number of SYNC Codes | Sets the number of SYNC codes.
SYNC Code | Precedes each CalComp plot record. This code can have a value ranging from 2 through 127, inclusive. These codes directly relate to an ASCII character. If you are not using CDCL, the plotter SYNC code settings must match the driver SYNC codes.
EOB/EOM Code | Indicates the end of a CalComp plot record. The End of Buffer (EOB) or End of Message (EOM) codes directly relate to an ASCII character and can have a value ranging from 2 through 31 inclusive.
Timeout | Defines an amount of time the plotter waits for data. If the plot data sent to a plotter stops, the plotter will wait for the timeout period set here. After that time is reached, it terminates the plot and force plots the data it received.
Enable Checksumming | Adds a checksum character in front of the EOB/EOM code to verify a plot record. The plotter driver calculates the character and the plotter uses it to validate the plot record. Using serial XON-XOFF protocol or Centronics parallel protocol, the plotter can detect a checksum error but cannot recover from it. In these two physical connection modes, checksumming has no value.
Add Pad Characters | Adds padding characters to the plot record in the event the plotter encounters a buffer overflow error.


Plot Color Merge Control

Connections
Setting Custom Properties (CalComp)
CalComp Device Control Language
Driver Custom Properties Reference > Third-Party Plotter Drivers > CalComp Driver Custom Properties > Setting Custom Properties (CalComp) >
Plot Color Merge Control

Specifies the settings for plot color merge control.

This information pertains only to raster plotters. For overlapping lines, merging two different color lines creates a third color. For example, merging a magenta line with a yellow line produces red where the lines intersect. Whatever line is received last by the plotter will cover any line it intersects.

Select your Merge control option by going to the Merge Control leaf of the Graphics branch of the Device and Document Settings page of the PC3 Editor.


CalComp Device Control Language

Plot Color Merge Control
Setting Custom Properties (CalComp)
Plot Cutting (CalComp)
Driver Custom Properties Reference > Third-Party Plotter Drivers > CalComp Driver Custom Properties > Setting Custom Properties (CalComp) >
CalComp Device Control Language

Specifies the plotter operating parameters of the CalComp Device Control Language (CDCL).

The CalComp Device Control Language (CDCL) is a text language appended to the front or back of a plot file. You use CDCL to change the plotter operating parameters.

Plot Quality Settings

To change plot quality settings, select a setting from the Plot Quality combo box.

Plotter

Use the value selected on the plotter.

Draft

One pass bi-directional plotting.

Normal

One pass uni-directional plotting.

Enhanced

Two or three pass uni-directional plotting. Each band, InkJet headwidth of inking, requires two passes of the head to image the band. Plotting speed is similar to Normal mode, but the plotting time is twice as long.

Enhanced Fast

Three pass bi-directional plotting.

Graphics

Four or five pass, random pattern, uni-directional plotting. This mode reduces banding and produces the highest plot quality for high-density images, such as graphic elements, fills, halftone, etc.

Graphics Fast

Four or five pass, random pattern, bi-directional plotting. The quality is not as good as Graphics, but this mode provides a good balance of plot speed and quality.

Hi-Res Mono

Two pass, double resolution, uni-directional plotting.

Ink-Saver

One pass, 25% of the dots, uni-directional plotting. Reduces ink by 75% at the same plotting speed as the Normal mode. Ink-Saver is used for quick or preview plots to check size and layout with reduced ink usage.

Quick

Half resolution in media feed direction.

Draft

Half resolution in media feed direction.

Norm

Normal resolution in media feed direction.

Qual

Double resolution in media feed direction.

Dual

Red/Black color mode (requires special media).

Color_Sep

Color separation mode.

TechJet 720c 5600 Color Modes

Plotter, Draft, Normal, Enhanced (Requires color head)

TechJet 720c 5600 Grey Modes

Plotter, Draft, Normal, Enhanced, Hi-Res Mono (Requires mono head)

TechJet 5500 Modes

Plotter, Draft, Quality, Enhanced, Enhanced Fast, Graphics, Graphics Fast, Hi-Res Mono (1, 3, and 5 pass)

TechJet Designer 720 5400 Modes

Plotter, Draft, Normal, Enhanced, Hi-Res Mono

TechJet 5300 Modes

Plotter Draft, Normal, Enhanced, Graphics, Graphics Fast, Hi-Res Mono, Ink-Saver (1, 2, and 4 pass)

Solus Modes

Plotter

DrawingMaster 53000 Modes

Plotter, Draft, Norm, Qual (Resolution)

DrawingMaster Plus 52000 Modes

Plotter, Quick, Norm, Qual, Dual (Resolution)

Electrostatic 68000 Modes

Plotter, Draft, Norm, Mono, Color_Sep (Resolution)

Electrostatic 58000 Modes

Plotter

Pen Plotter Modes

Plotter

CDCLBegin and CDCLEnd

CDCLBegin and CDCLEnd have dual purposes. You can enter multiple CDCL commands by separating them with a semi-colon (;). You can use any of the CDCL commands provided in the CalComp Device Control Language documentation provided with each CalComp plotter. To insert a CDCL file into the plot file, specify the path and file name preceded by a less than sign (<). You can combine multiple CDCL commands with the use of a CDCL file.

Example 1: multiple CDCL commands

USER_NAME(User1);JOB_NAME(Job1);ROTATE(90)

Example 2: CDCL Files

<C:\Temp\CDCLFile1.cdl

Example 3: Combining Multiple CDCL Commands with a CDCL file

USER_NAME(User1 A);<C:\Temp\CDCLFile2.cdl;JOB_NAME(Job1 B)


Plot Cutting (CalComp)

CalComp Device Control Language
CalComp Driver Custom Properties
Virtual Pens(CalComp)
Driver Custom Properties Reference > Third-Party Plotter Drivers > CalComp Driver Custom Properties >
Plot Cutting (CalComp)

Specifies how to configure the plotter to handle plot cutting.

CalComp plotters control their cutters in a variety of ways. Because this driver does not issue a cut command to the plotter, you must configure the plotter to handle plot cutting.

The 36" version of the Solus LED plotter has a cut sheet feeder (Solus Model 54436 Cut Sheet Feeder). To use this type of input, configure the plotter to use the cut sheet feeder. This driver cannot issue a command forcing the Solus to use the cut sheet feeder.


Virtual Pens(CalComp)

Plot Cutting (CalComp)
CalComp Driver Custom Properties
Océ Driver Custom Properties
Driver Custom Properties Reference > Third-Party Plotter Drivers > CalComp Driver Custom Properties >
Virtual Pens(CalComp)

Specifies how to configure the virtual pens and fill colors.

If you used Virtual Pens with a CalComp plotter in Release 14, you simply defined "Pens" in your CDCL file. With AutoCAD 2000, you must define "Colors" because they are used for area fills such as wide Plines and True Type text. Some CalComp devices allow you to define both Colors and Pens in CDCL. These include the TechJet Color GT and GT/PS, the TechJet Designer, the 68000 series EPPs, the DrawingMaster series, Solus 4, and the Econografix. Other CalComp plotters only allow you to define Colors at the plotter's control panel. These include the EconoPro, the TechJet Designer 720, and the TechJet color. If you have one of these plotters, don't try to define Colors in the software, as the plotter will ignore the definitions.

A Microsoft(R) Word document, CalComp_Virtual_Pens.doc, located in the driver directory in which the CalComp HDI driver is installed, explains how to define Colors in software, using CDCL. The following is a brief summary of the document.

You must create a color (RGB_COLOR) for each pen you define. First define the color, then define a pen (COLOR_PEN) mapped to the color you just defined.

RGB_COLOR(color#, R, G, B)

color#

Same as physical pen number

R

Red value 0-100 percent saturation

G

Green value 0-100 percent saturation

B

Blue value 0-100 percent saturation

COLOR_PEN(pen#, width, color#, line type)

pen#

Virtual pen number used by AutoCAD

width

Width of pen in plotter units (pixels)

For example, for a 400 DPI raster plotter a 2mm line is 31 plotter units

(2/25.4)*400 = 31

color#

Color number to map to, as defined above

line type

MAJOR, FLAT, ROUNDED, or SQUARE

The following is an example CDCL file.

&&&&CALCOMP DEVICE CONTROL

* Universal PIN number

USER_PIN(8378)

* Color 1 is RED

RGB_COLOR(1, 100, 0, 0)

* Pen 1 is mapped to color 1, 4 pixels wide, rounded end

COLOR_PEN(1, 4, 1, ROUNDED)

* Color 2 is Yellow

RGB_COLOR(2, 100, 100, 0)

* Pen 2 is mapped to color 2, 31 pixels wide, major end

COLOR_PEN(2, 31, 2, MAJOR)

* Color 3 is a 25% gray

RGB_COLOR(3, 25, 25, 25)

* Pen 3 is mapped to color 3, 10 pixels wide, flag end

COLOR_PEN(3, 10, 3, FLAT)

^^^^END OF FILE

NoteOther possibilities are available. Please refer to your CalComp CDCL manual.


Océ Driver Custom Properties

Virtual Pens(CalComp)
Third-Party Plotter Drivers
Printer Configuration (Océ)
Driver Custom Properties Reference > Third-Party Plotter Drivers >
Océ Driver Custom Properties

Specifies custom properties for plots created with the Océ driver.

This Help file guides you through the Océ Configuration Manager so you can quickly set up your printer.

NoteAlthough they are shown in this help, some options do not apply to all Océ printers.

Topics in this section

  • Printer Configuration (Océ)

    Specifies the settings to set up the configuration for a new printer.

  • Introduction to the Océ Custom Settings (Océ)

    Specifies custom properties that can be defined from the Océ Custom Settings dialog box for your printer.

  • About Océ HDI Plotter Driver Help (Océ)

    Specifies the version of the online Help and driver.


Printer Configuration (Océ)

Océ Driver Custom Properties
Océ Driver Custom Properties
Introduction to the Océ Custom Settings (Océ)
Driver Custom Properties Reference > Third-Party Plotter Drivers > Océ Driver Custom Properties >
Printer Configuration (Océ)

Specifies the settings to set up the configuration for a new printer.

To allow you to set up the configuration, when you define a new printer, the Océ configuration parameters dialog box may be displayed (depending on the printer you are using).

Duplexer

Specify if your printer is equipped with the optional double-sided print unit.

Folder

Specify if your printer is equipped with the folder option.

High Capacity Stacker

Specify if your printer is equipped with the optional high capacity output unit (also called sheet receiving unit), which offers several output bins.

Number of Rolls

Set the number of rolls of media actually used by your printer.

Number of Trays

Set the number of paper trays actually used by your printer.

Units

The units defined here must correspond to the units defined in the printer.

Select inches or millimeters.


Introduction to the Océ Custom Settings (Océ)

Printer Configuration (Océ)
Océ Driver Custom Properties
Océ Custom Settings
Driver Custom Properties Reference > Third-Party Plotter Drivers > Océ Driver Custom Properties >
Introduction to the Océ Custom Settings (Océ)

Specifies custom properties that can be defined from the Océ Custom Settings dialog box for your printer.

The Océ Custom Settings dialog box is the remote control panel for your printer, from which you can define a precise plot configuration.

When you exit from the Océ custom settings by clicking OK, the selected parameters are saved and automatically attached to the printer. Thus, this configuration will apply to all plots submitted to that printer.

NoteSome options do not apply to all Océ printers.

Topics in this section

  • Océ Custom Settings

    Specifies the Océ custom settings.

  • Banding Management

    Specifies the banding settings.


Océ Custom Settings

Introduction to the Océ Custom Settings (Océ)
Introduction to the Océ Custom Settings (Océ)
Accounting Options
Driver Custom Properties Reference > Third-Party Plotter Drivers > Océ Driver Custom Properties > Introduction to the Océ Custom Settings (Océ) >
Océ Custom Settings

Specifies the Océ custom settings.

Topics in this section

  • Accounting Options

    Specifies the accounting settings for the driver.

  • Basic Options

    Specifies the basic settings for the driver.

  • Color Merge Control

    Specifies how intersecting colors are plotted.

  • Finishing Options

    Specifies how the printed documents are packaged when delivered.

  • Layout Options

    Specifies the position of the plot on the media.

  • Media Selection - Fit Method

    Specifies how a plot is plotted if the original requested media size is not available.

  • Pens - 255 Virtual Pens Mode

    Specifies if pen attributes defined in AutoCAD (displayed on screen and/or CTB or STB plot style table files) are ignored.

  • Plot Delivery

    Specifies where the plots will be delivered.

  • Remote Control Header

    Specifies if a remote control header is added to the plots.

  • Stamping Options

    Specifies which pre-defined plot stamp should be used when plotting.

  • Transformation Options

    Adapts your plot to specific output requirements.


Accounting Options

Océ Custom Settings
Océ Custom Settings
Basic Options
Driver Custom Properties Reference > Third-Party Plotter Drivers > Océ Driver Custom Properties > Introduction to the Océ Custom Settings (Océ) > Océ Custom Settings >
Accounting Options

Specifies the accounting settings for the driver.

The Océ high throughput 9600, 9700 and 9800 printers offer user account capabilities. To provide input to the printer's accounting features, this option may send a user identification and an account number attached to the drawing file.

For more information on user accounting, please consult your printer user's manual.

Enabling the Accounting Information

Check this box to enable the accounting option. When disabled, the print file is submitted to the printer as a neutral one, with no user identification.

Entering Account Identification

Enter the user identification and the account number in these fields, in the range 0-999999999 (nine digits). Alphanumeric values are rejected. Both parameters will be sent along with each plot file submitted to the printer.


Basic Options

Accounting Options
Océ Custom Settings
Color Merge Control
Driver Custom Properties Reference > Third-Party Plotter Drivers > Océ Driver Custom Properties > Introduction to the Océ Custom Settings (Océ) > Océ Custom Settings >
Basic Options

Specifies the basic settings for the driver.

Plot Quality

Specifies the plot quality of your color inkjet printer. This option has no effect on other machines. Six quality modes are available, depending on your printer firmware level: Normal, Draft, High, Enhanced, Ink Saver, and Presentation.

Refer to your inkjet printer user's manual for a detailed description of the available quality modes.

Long Plot Mode

Select this option to submit a long plot of up to 15 meters (49.2 feet).

When the option is disabled, plots are limited either to A0 or A1 length (E or D size), according to your printer type.

Refer to your printer's user manual for precise plot length limitations.

Media Saver

This pop-down field offers two options:

Bypass

Disables media saver. Submitted plots are not added to the waiting jobs in the media saver, they are plotted immediately.

Machine Mode

Enables Media Saver. Submitted plots are added to the waiting queue, and are plotted according to the selected printer mode: Auto position or Nesting (refer to your printer's user manual).

Poster Mode

Darkens the image. Enable poster mode when you make prints that contain large black areas. Poster mode is not recommended for images containing gray levels.

NoteMedia saver is disabled when Poster Mode is selected.


Color Merge Control

Basic Options
Océ Custom Settings
Finishing Options
Driver Custom Properties Reference > Third-Party Plotter Drivers > Océ Driver Custom Properties > Introduction to the Océ Custom Settings (Océ) > Océ Custom Settings >
Color Merge Control

Specifies how intersecting colors are plotted.

Determines what happens when two or more colors intersect at the same point on a plot, especially in area fills.

Overlay

Only the last color specified is printed for a given line or area. The other colors specified for the same line or area are overwritten.

Merge

All the specified colors are blended together.


Finishing Options

Color Merge Control
Océ Custom Settings
Layout Options
Driver Custom Properties Reference > Third-Party Plotter Drivers > Océ Driver Custom Properties > Introduction to the Océ Custom Settings (Océ) > Océ Custom Settings >
Finishing Options

Specifies how the printed documents are packaged when delivered.

This option group lets you define how printed documents are packaged when delivered.

Folding

This pop-down field offers three options:

None

The output is not folded. The copies are ejected at the rear of the printer onto the copy delivery tray.

Full

The plot is folded according to the folding method of your choice.

First Fold Only

The plot is folded in one direction only, then exits from the folder unit. This option is useful for long plots. The Delivery option is not available if First Fold Only is selected.

Folding Method

Specifies one of three folding methods for your plot: Standard, Ericsson, and AFNOR. This defines the position of the legend according to the paper motion direction.

The Standard folding method is the same as the DIN, ANSI, and Architectural methods.

NoteThis option is available only when the folding option is set to Full. The Ericsson folding method does not permit Punching or Reinforce to be enabled but allows setting of a Binding Edge.

The AFNOR folding method does not permit Reinforce to be enabled, but allows settings of Binding Edge and Punching.

Folding Orientation

This pop-down field offers two options:

Automatic

The fold method is automatically determined by the printer to follow the orientation of your file.

Portrait

Your plot will always be folded in the portrait orientation. This is useful if your file contains a title block (legend) that requires portrait folding method.

NoteThis option is available only when the folding option is set to Full.

Fold Packet Size

Use these fields to enter the fold packet dimensions:

  • Width, from 186 mm (7.3”) to 230 mm (9”)
  • Length, from 276 mm (10.9”) to 310 mm (12.3”)

This option is disabled when folding is set to None. The length is not available when folding is set to First Fold Only.

Cutting Method

The media may be cut according to the actual plot size, to the standard size you have selected for plotting your drawing, or to a custom length (declared in millimeters or inches, depending on the unit selected in the Configuration dialog box).

NoteFor a long plot, (selected in the Basic option) the cut method must be set to plot size or custom length.

Binding Edge

Check this box if you want to add an additional margin to plots that must be folded, for punching purposes.

Enter a custom width in the Edge field. The default value is 20.0 mm; it cannot be reduced.

When the Folding option is set to Full and Folding Method is set to Standard or AFNOR, activating Binding Edge will display and make the Punching option available. Punching is Off by default.

When the Folding option is set to Fold First Only, activating Binding Edge hides and disables Punching.

Activating Binding Edge automatically disables Reinforce.

NoteThe Binding Edge is disabled and Punching is hidden/disabled when you enabled the Reinforce option. For the TDS600 printer, Punching is always set to Off.

Reinforce

This option adds the necessary additional edge for a reinforcing strip to be attached to the folded copy.

The edge width is set at your printer front panel.

Note that setting the Reinforce edge disables the Punching edge automatically.


Layout Options

Finishing Options
Océ Custom Settings
Media Selection - Fit Method
Driver Custom Properties Reference > Third-Party Plotter Drivers > Océ Driver Custom Properties > Introduction to the Océ Custom Settings (Océ) > Océ Custom Settings >
Layout Options

Specifies the position of the plot on the media.

This options group lets you control the position of the plot on the media. All positioning parameters are specified in the unit selected in the Configuration dialog box menu.

Image Alignment

You will position the printed document on the paper with respect to the corners as points of reference. Then, you will use the horizontal and vertical shift options to fine tune the exact positioning.

Horizontal Shift Correction

Once you have defined where the plot will be positioned with respect to a point of reference, you can adjust the horizontal margin. Select either the left or right side then enter the appropriate value in the right-hand field.

The shift is declared in the unit selected in the Configuration dialog box.

Vertical Shift Correction

Once you have defined where the plot will be positioned with respect to a point of reference, you can adjust the vertical margin. Select either the top or bottom side then enter the appropriate value in the right-hand field.

The shift is declared in the unit selected in the Configuration dialog box.

Leading Edge Correction

You can adjust the length of the plot by adding or removing a length to the top of the printed document. For example, this is useful for adding or removing a filing strip.

Once you have selected add or remove, enter the appropriate length in the right-hand field. The dimension is declared in the unit selected in the Configuration dialog box.

NoteThe Océ 9400 printer does not allow you to remove the leading edge.

Trailing Edge Correction

You can adjust the length of the plot by adding or removing a length to the bottom of the printed document. Once you have selected add or remove, enter the appropriate length in the right-hand field. The dimension is declared in the unit selected in the Configuration dialog box.

NoteThe Océ 9400 printer does not allow you to remove the trailing edge.


Media Selection - Fit Method

Layout Options
Océ Custom Settings
Pens - 255 Virtual Pens Mode
Driver Custom Properties Reference > Third-Party Plotter Drivers > Océ Driver Custom Properties > Introduction to the Océ Custom Settings (Océ) > Océ Custom Settings >
Media Selection - Fit Method

Specifies how a plot is plotted if the original requested media size is not available.

This option allows you to define on which media size an original will be printed, if the specified media size is not available.

Exact Fit

The original is printed if the specified media size is available.

Otherwise, a message is displayed on the printer's control panel and the printer waits for the appropriate media to be loaded by the operator.

Next Larger

The printer looks for the requested format. If it is not present, it prints the job on the next larger available media.

If there is none, or not of the same media type, a message is displayed on the printer's control panel and the printer waits for the appropriate media to be loaded by the operator.

Next Smaller

The printer looks for the requested format. If it is not present, it prints the job on the next smaller available media.

If there is none, or not of the same media type, a message is displayed on the printer's control panel and the printer waits for the appropriate media to be loaded by the operator.


Pens - 255 Virtual Pens Mode

Media Selection - Fit Method
Océ Custom Settings
Plot Delivery
Driver Custom Properties Reference > Third-Party Plotter Drivers > Océ Driver Custom Properties > Introduction to the Océ Custom Settings (Océ) > Océ Custom Settings >
Pens - 255 Virtual Pens Mode

Specifies if pen attributes defined in AutoCAD (displayed on screen and/or CTB or STB plot style table files) are ignored.

In the Color Depth mode called “255 virtual pens” the pen attributes defined in AutoCAD (displayed on screen and/or CTB or STB plot style tables) are not taken into account when the drawing is printed.

When the Color Depth is set to “255 virtual pens”, the Custom Properties button will display Pens - 255 Virtual Pens, with a sub-level Use Printer Settings.

On

The drawing will be printed with the pen attributes (Width, Color and Océ Pen pattern) that you have set on your printer control panel.

Off

Default width and no pattern will be used for all lines in the printed drawing.

The color of the lines will be the ones of the HP-GL/2 pen palette.

NoteWhen using 255 Virtual Pens Mode, the AutoCAD pen palette is ignored.


Plot Delivery

Pens - 255 Virtual Pens Mode
Océ Custom Settings
Remote Control Header
Driver Custom Properties Reference > Third-Party Plotter Drivers > Océ Driver Custom Properties > Introduction to the Océ Custom Settings (Océ) > Océ Custom Settings >
Plot Delivery

Specifies where the plots will be delivered.

You may choose where the plots will be delivered. The choices offered in this settings will depend on whether the document is folded or not.

NoteThe Delivery option is not available if First Fold Only is selected.

Delivery of Folded Documents

You may choose where the folded documents will be delivered. The choices offered in this field depend on the folding method used and the optional features installed on your printer.

The delivery option is not available when the First Fold Only option is enabled.

Delivery of Unfolded Documents

You may choose where the unfolded documents will be delivered on the high capacity stacker. If you select a precise bin, enter its number in the right-hand field.


Remote Control Header

Plot Delivery
Océ Custom Settings
Stamping Options
Driver Custom Properties Reference > Third-Party Plotter Drivers > Océ Driver Custom Properties > Introduction to the Océ Custom Settings (Océ) > Océ Custom Settings >
Remote Control Header

Specifies if a remote control header is added to the plots.

This pop-down field offers two options:

On

Adds a remote control header to your plot file. Therefore, the file will conflict if you need to process it later with a post-processor which does not manage Océ RCF commands.

Off

When Remote Control Header is disabled, all features of Océ Configuration Manager are disabled (dimmed) and the plot file remains free of remote control commands.


Stamping Options

Remote Control Header
Océ Custom Settings
Transformation Options
Driver Custom Properties Reference > Third-Party Plotter Drivers > Océ Driver Custom Properties > Introduction to the Océ Custom Settings (Océ) > Océ Custom Settings >
Stamping Options

Specifies which pre-defined plot stamp should be used when plotting.

This option allows you to print on your drawings one of 50 pre-defined texts which have been defined using the printer's control panel.

For example, you may wish to have the date, time or department name on your plots.

Enabling/Disabling Stamping

Check this box to enable or disable the stamping option. Once the option is disabled, all parameters are restored to their default values.

Selecting the Predefined Text String

Enter a number in the range 1-50, corresponding to a string stored in the printer's memory.

Selecting the Stamp Position

Selects the position of the pre-defined text stamp: either at the top, middle, or bottom of the title block of the drawing.

Selecting the Stamp Font Size

Selects the size of the text: Small or Large, when stamping one of 50 pre-defined texts.

Selecting the Stamp Color

Selects the color of the text stamp, from light-gray to black.


Transformation Options

Stamping Options
Océ Custom Settings
Banding Management
Driver Custom Properties Reference > Third-Party Plotter Drivers > Océ Driver Custom Properties > Introduction to the Océ Custom Settings (Océ) > Océ Custom Settings >
Transformation Options

Adapts your plot to specific output requirements.

Mirror

Sets plot mirroring with respect to the X-axis (in X) or the Y-axis (in Y).

Origin

Sets the plot origin in one of these locations: lower left, lower right, upper left, upper right, or center.

Auto-rotation

This pop-down field offers three options:

Off

This option is disabled. Printouts are issued with no optimization concerns.

Productive

Drawings are oriented in landscape format as much as possible to get the highest number of plots from a roll of media. If landscape format is not available, portrait format is chosen automatically. (For example, an A1 job will be printed using the A1 roll instead of the A0 roll that would be needed for the landscape format.)

Folding

Drawings are automatically rotated to have the legend on top if folded. This depends on the folding method.


Banding Management

Transformation Options
Introduction to the Océ Custom Settings (Océ)
About Océ HDI Plotter Driver Help (Océ)
Driver Custom Properties Reference > Third-Party Plotter Drivers > Océ Driver Custom Properties > Introduction to the Océ Custom Settings (Océ) >
Banding Management

Specifies the banding settings.

This button gives access to the banding option.

Banding consists of dividing the whole image in stripes, so that the printer keeps one band of data in memory at a time instead of the whole image.

Banding is used if the printer does not have enough memory. However, it may slow down the printing process.


About Océ HDI Plotter Driver Help (Océ)

Banding Management
Océ Driver Custom Properties
Xerox Driver Custom Properties
Driver Custom Properties Reference > Third-Party Plotter Drivers > Océ Driver Custom Properties >
About Océ HDI Plotter Driver Help (Océ)

Specifies the version of the online Help and driver.

Océ HDI Plotter Driver for AutoCAD 2000 and later.

Online help Revision E

August 2002


Xerox Driver Custom Properties

About Océ HDI Plotter Driver Help (Océ)
Third-Party Plotter Drivers
Xerox Wide Format Plotter Configuration Information (Xerox)
Driver Custom Properties Reference > Third-Party Plotter Drivers >
Xerox Driver Custom Properties

Specifies custom properties for plots created with the Xerox Wide Format Print System HDI driver.

Topics in this section

  • Xerox Wide Format Plotter Configuration Information (Xerox)

    Specifies the configuration information for Xerox Wide Format plotters.

  • Xerox Wide Format Custom Properties Dialog Box (Xerox)

    Controls custom properties for the Xerox Wide Format Print System HDI driver.


Xerox Wide Format Plotter Configuration Information (Xerox)

Xerox Driver Custom Properties
Xerox Driver Custom Properties
Overview (Xerox)
Driver Custom Properties Reference > Third-Party Plotter Drivers > Xerox Driver Custom Properties >
Xerox Wide Format Plotter Configuration Information (Xerox)

Specifies the configuration information for Xerox Wide Format plotters.

Topics in this section

  • Overview (Xerox)

    Specifies the supported Xerox plotters.

  • Supported Printers (Xerox)

    Specifies the supported Xerox plotters.

  • Standard Features for Xerox Wide Format Print System 8825 (Xerox)

    Specifies standard features for the Xerox Wide Format Print System 8825.

  • Standard Features for Xerox Wide Format Print System 8830 (Xerox)

    Specifies standard features for the Xerox Wide Format Print System 8830.

  • Installation (Xerox)

    Specifies how to physically set up the plotter.


Overview (Xerox)

Xerox Wide Format Plotter Configuration Information (Xerox)
Xerox Wide Format Plotter Configuration Information (Xerox)
Supported Printers (Xerox)
Driver Custom Properties Reference > Third-Party Plotter Drivers > Xerox Driver Custom Properties > Xerox Wide Format Plotter Configuration Information (Xerox) >
Overview (Xerox)

Specifies the supported Xerox plotters.

The Xerox driver supports Xerox Wide Format Print Systems with AccXES™ controller with firmware version 6.0 or later. Advanced features such as accounting, media mismatch actions, and nesting require firmware 6.0 or later.

New versions of the driver and firmware are posted on the Xerox website, http://www.xerox.com.

For more detailed information, click the Help button in the Xerox AccXES Custom Properties dialog box. In the Plotter Configuration Editor, click the Device and Settings tab. Select the Custom Properties node. Then click Custom Properties. The Custom Properties dialog box offers settings for labels, raster stamps, merge control, banners, folder control, accounting, nesting, media mismatch, mirror image, and gamma correction.


Supported Printers (Xerox)

Overview (Xerox)
Xerox Wide Format Plotter Configuration Information (Xerox)
Standard Features for Xerox Wide Format Print System 8825 (Xerox)
Driver Custom Properties Reference > Third-Party Plotter Drivers > Xerox Driver Custom Properties > Xerox Wide Format Plotter Configuration Information (Xerox) >
Supported Printers (Xerox)

Specifies the supported Xerox plotters.

The Xerox Wide Format Print System HDI driver supports Xerox Wide Format Print System printers. To configure the driver from AutoCAD, use the Add-a-Plotter wizard, select Xerox as the manufacturer, and then select a specific printer model.

You may configure the driver as a locally connected printer or as a network printer.

You can use the Custom Properties node of the Plotter Configuration Editor to configure custom features of the Xerox Wide Format Print System printer.


Standard Features for Xerox Wide Format Print System 8825 (Xerox)

Supported Printers (Xerox)
Xerox Wide Format Plotter Configuration Information (Xerox)
Standard Features for Xerox Wide Format Print System 8830 (Xerox)
Driver Custom Properties Reference > Third-Party Plotter Drivers > Xerox Driver Custom Properties > Xerox Wide Format Plotter Configuration Information (Xerox) >
Standard Features for Xerox Wide Format Print System 8825 (Xerox)

Specifies standard features for the Xerox Wide Format Print System 8825.

NoteYou can obtain current technical specifications from the Xerox website, http://www.xerox.com.

The Xerox Wide Format Print System 8825 is an LED wide-format printer with a powerful PowerPC 603ev-based embedded controller. It can be directly connected to your network, and the client software suite supports multiple platforms and operating systems. It offers true 400 dpi resolution, three IPS imaging speed, a high performance controller, one or two roll media capability, an optional manual sheet bypass, and several finishing options. The Xerox Wide Format Print System 8825 is capable of producing up to four D-size or two E-size prints per minute and includes a complete suite of client software, along with multiple printer drivers.

Standard features include:

  • Xerographic LED process and imaging
  • Organic photoreceptor
  • One 500-foot roll; optional second 500-foot roll; optional manual sheet bypass
  • Bond, vellum, and film media types
  • Output sizes from A to E
  • Long plots up to 48 feet standard and 80 feet with 128 MB SDRAM or optional hard drive configuration
  • 400 DPI imaging
  • 64 MB SDRAM
  • High-performance controller
  • Three inch per second processing speed
  • Electronic collation
  • Remote printer and job queue management
  • Autoport sensing
  • Data format recognition
  • Scaling and rotation
  • Size detection
  • Roll selection
  • Justification and margin control
  • Plot labeling
  • Banner pages
  • Page composition
  • Plot stamping
  • Nine pen pallets (256 pens each)
  • Sixty-four pen patterns
  • Ten user setups
  • Microsoft® Windows and AutoCAD drivers
  • Engineering Document Exchange
  • TCP/IP network protocol
  • Interfaces: RS232, bi-directional Centronics IEEE 1284, 10/100 Base TX Ethernet
  • Standard data formats: HP-GL, HP-GL/2, HP-RTL, CGM (Level 1 with ATA ext.), C4, FileNet, VDS, Calcomp 906/907/951/PCI, TIFF 6.0, NIRS, CALS 1 & 2
  • Compression types—CCITT-G4, G3-1D, G3-2D, Packbits, RLE, Seed Row, Adaptive


Standard Features for Xerox Wide Format Print System 8830 (Xerox)

Standard Features for Xerox Wide Format Print System 8825 (Xerox)
Xerox Wide Format Plotter Configuration Information (Xerox)
Installation (Xerox)
Driver Custom Properties Reference > Third-Party Plotter Drivers > Xerox Driver Custom Properties > Xerox Wide Format Plotter Configuration Information (Xerox) >
Standard Features for Xerox Wide Format Print System 8830 (Xerox)

Specifies standard features for the Xerox Wide Format Print System 8830.

NoteYou can obtain current technical specifications from the Xerox website, http://www.xerox.com.

The Xerox Wide Format Print System 8830 is an LED wide-format printer with a powerful PowerPC 603e-based embedded controller. It can be directly connected to your network, and the client software suite supports multiple platforms and operating systems. It offers true 400 DPI resolution, three IPS imaging speed, a high performance controller, three roll media capability, manual sheet bypass and several finishing options. The Xerox Wide Format Print System 8830 is capable of producing up to six D-size or three E-size prints per minute, and 8830 includes a complete suite of client software, along with multiple printer drivers.

Standard features include:

  • Xerographic LED process and imaging
  • Organic photoreceptor
  • Three 500-foot rolls and media sheet bypass
  • Bond, vellum, and film media types
  • Output sizes from A to E
  • Long plots up to 40 feet standard and 80 feet with 104 MB SDRAM or optional hard drive configuration
  • 400 DPI imaging
  • 64 MB SDRAM
  • High-performance controller
  • Three inches per second processing speed
  • Electronic collation
  • Remote printer and job queue management
  • Autoport sensing
  • Data format recognition
  • Scaling and rotation
  • Size detection
  • Roll selection
  • Justification and margin control
  • Plot labeling
  • Banner pages
  • Page composition
  • Plot stamping
  • Nine pen pallets (256 pens each)
  • Forty-eight pen patterns
  • Ten user setups
  • Microsoft® Windows and AutoCAD drivers
  • Engineering Document Exchange
  • TCP/IP, Novell 3.X and 4.X, and Net-BEUI network protocol
  • Interfaces: RS232, bi-directional Centronics IEEE 1284, 10/100 Base TX Ethernet
  • Standard data formats: HP-GL, HP-GL/2, HP-RTL, CGM (Level 1 with ATA ext.), C4, FileNet, VDS, Calcomp 906/907/951/PCI, TIFF 6.0, NIRS, CALS 1 & 2
  • Compression types—CCITT-G4, G3-1D, G3-2D, Packbits, RLE, Seed Row, Adaptive


Installation (Xerox)

Standard Features for Xerox Wide Format Print System 8830 (Xerox)
Xerox Wide Format Plotter Configuration Information (Xerox)
Xerox Wide Format Custom Properties Dialog Box (Xerox)
Driver Custom Properties Reference > Third-Party Plotter Drivers > Xerox Driver Custom Properties > Xerox Wide Format Plotter Configuration Information (Xerox) >
Installation (Xerox)

Specifies how to physically set up the plotter.

Arrange physical installation of the printer with your Xerox customer service engineer.


Xerox Wide Format Custom Properties Dialog Box (Xerox)

Installation (Xerox)
Xerox Driver Custom Properties
Labels Tab (Xerox)
Driver Custom Properties Reference > Third-Party Plotter Drivers > Xerox Driver Custom Properties >
Xerox Wide Format Custom Properties Dialog Box (Xerox)

Controls custom properties for the Xerox Wide Format Print System HDI driver.

The following options are available in the AccXES Configuration (Custom Properties) dialog box:

Override Device Settings

Overrides the label, option, stamp, and advanced settings on the printer. When this option is selected, the Edit Custom Properties button is enabled, so that you can change the label, option, stamp, and advanced settings.

Edit Custom Properties

Opens the Xerox Wide Format HDI Driver AccXES Configuration (Custom Properties) dialog box, which contains the following tabs:

  • Labels
  • Options
  • Stamps
  • Advanced

You use the settings on these tabs to control the output of the Xerox Wide Format Print System.

Gamma Correction

Specifies the gamma correction value. Valid values are integers from 1 through 5.

Gamma correction adjusts the brightness of an image. You can specify an amount to increase the intensity levels of raster data and, to a lesser extent, vector data. The gamma correction value is set to 1 by default, which applies no correction. As you increase this value, the brightness increases.

Firmware Version

Specifies the version of controller firmware in your Xerox Wide Format Print System.

The tabs in the Custom Properties dialog box vary depending on the firmware version you select. If you are not sure of the version of firmware in your Xerox Wide Format Print System, see your system administrator for help.

Use Metric Units

Specifies that the positional units in the Raster Stamp Placement X Position and Y Position fields and the Nesting Margin field are in millimeters instead of inches. When this check box is clear, the default positioning unit is inches.

Click Edit Custom Properties to configure the following options:

Topics in this section

  • Labels Tab (Xerox)

    Specifies the settings if labels are used when outputting.

  • Options Tab (Xerox)

    Specifies settings that show the owner of the output, if a banner is placed on the output, among other options.

  • Raster Stamp Tab (Xerox)

    Specifies the raster stamp printed during output.

  • Edit Stamp Names Dialog Box (Xerox)

    Specifies the names of the stamps that are defined for the driver and loaded in the printer.

  • Advanced Tab (Xerox)

    Specifies settings for printer accounting, media mismatch mode action, and print nesting control.


Labels Tab (Xerox)

Xerox Wide Format Custom Properties Dialog Box (Xerox)
Xerox Wide Format Custom Properties Dialog Box (Xerox)
Options Tab (Xerox)
Driver Custom Properties Reference > Third-Party Plotter Drivers > Xerox Driver Custom Properties > Xerox Wide Format Custom Properties Dialog Box (Xerox) >
Labels Tab (Xerox)

Specifies the settings if labels are used when outputting.

Determines whether or not the label is printed on the output and specifies the settings for labels. The Labels tab contains the following options:

Label Choice

Controls plot labels.

No Labels

No label is output on the plot.

Printer Default Labels

The current printer settings control the label output.

User Labels

The fields in the dialog box that allow user label definition are enabled.

User Label Includes

Specifies items to be included on user labels.

Owner Name

The owner from the Options tab is included in the user label.

Drawing Filename

The drawing name is included in the user label.

Date/Time Printed

The date and time (as set on the printer at time of output, in printer defined-format) are included in the user label.

Driver Info

The information that identifies the version of the driver generating the printer output is included in the user label.

User Label Position

Specifies the location where the user label is placed on the printed output.

Image Lower Right

The user label is printed at the lower-right of the image.

Media Trailing Edge

The user label is printed at the trailing edge of the printed output.

Printer Default Position

The user label position is determined by the printer setting.

Left Edge

The user label is printed on the left edge.

Right Edge

The user label is printed on the right edge.

Label Size

Defines the font size in points (6 through 72) for label output.

Label Shading

Specifies the percentage if shading to apply to the user label. The label shading allows a grayscale (0 through 100 percent) to be defined for the appearance of a user-defined label. A 100 percent setting defines a black user label. A 10 percent setting defines a very light user label.

Other Comments to Include on Plot

Allows other comments to be included on the user label. These comments are appended after the information selected in the User Label Includes area.


Options Tab (Xerox)

Labels Tab (Xerox)
Xerox Wide Format Custom Properties Dialog Box (Xerox)
Raster Stamp Tab (Xerox)
Driver Custom Properties Reference > Third-Party Plotter Drivers > Xerox Driver Custom Properties > Xerox Wide Format Custom Properties Dialog Box (Xerox) >
Options Tab (Xerox)

Specifies settings that show the owner of the output, if a banner is placed on the output, among other options.

The Options tab contains the following options:

Owner

Identifies of the owner of the printer output. The contents of the Owner field may be included on a user label.

Banner

Controls banner page selection and output position.

No Banner

No banner page is output.

First Page

A banner page is output before the plot.

Last Page

A banner page is output after the plot.

Mirror Image

Flips the image about one axis. Use this option when the output is to film media, so that the image is on the back of the media, and the front can be marked up with a marking tool.

Document Type

Controls image processing on the AccXES controller to improve image quality for a given document. You can set the document type to Auto Select, Graphics, Lines & Text, or Photo.

Finishing

Controls the operation of an optional finisher. You can control the finisher type by specifying a FIN file that defines the finisher type and the programs that are known to the finisher.

Three default FIN files are distributed with this AutoCAD driver (8830ANSI.FIN, 8830ARCH.FIN, and 8830ISO.FIN). See the Xerox website for a FIN file generator that you can use to generate your own FIN files.

Finisher Type

Specifies the type of finisher as specified in the FIN file.

Not Installed | No finishing information is included in the plot.
Finisher Bypass | The finisher is bypassed (the plot is not folded).
Printer Default | The printer default behavior for finishing is used.
<Add Finisher> | A dialog box is shown in which you can specify which FIN file to add.

When you add or select a finisher, the FIN file is read, and any finisher programs defined in the file are added to the Program drop-down list.

Program

Specifies the finisher program to be used. When you add or select a finisher program, the Sort Bin drop-down list is displayed with valid bin selections.

Sort Bin

Specifies the valid bin selection.

Title Block

Provides a list of available title block override settings. Options are:

  • No Preference
  • Upper Left
  • Upper Right
  • Lower Left
  • Lower Right
Intelligent Title Block
  • For folding documents with title blocks in standard corners, this option adjusts the location of the title block for proper folding if you selected an incorrect title block location for the fold style.
  • For folding documents with title blocks that are not in an expected standard corner, leave the Intelligent Title Block box clear.

Depending on the finisher program, you may be able to modify the selections for

  • Cross Fold
  • Margin (binding margin)
  • Punch
  • Tab/Reinforcement strip


Raster Stamp Tab (Xerox)

Options Tab (Xerox)
Xerox Wide Format Custom Properties Dialog Box (Xerox)
Edit Stamp Names Dialog Box (Xerox)
Driver Custom Properties Reference > Third-Party Plotter Drivers > Xerox Driver Custom Properties > Xerox Wide Format Custom Properties Dialog Box (Xerox) >
Raster Stamp Tab (Xerox)

Specifies the raster stamp printed during output.

The Raster Stamp tab controls the raster stamp printed on the output print.

You can load the printer with predefined raster stamps, which are identified by stamp names. You define stamp names for this driver by using the Edit Stamp Names dialog box. The stamp names that you define should match the names that are defined in the printer.

When you define a stamp name in the Edit Stamp Names dialog box, the name appears in the Raster Stamp Selection drop-down list.

When you select a user-defined stamp name, fields on the Raster Stamp tab are enabled that allow you to select stamp scaling, scaling type, and placement.

The Raster Stamp tab contains the following options:

Raster Stamp Selection

Controls which raster stamp (if any) to be used on printed output.

No Raster Stamp

Overrides the printer raster stamp setting. No raster stamp is output.

Printer Default Stamp

Specifies that the printer defines the control for raster stamp output.

<Stamp name 1 - 8>

Specifies the names that are defined through the Edit Stamp Names dialog box.

Edit Stamp Names

Opens the Edit Stamp Names dialog box, in which you can define raster stamp names for the driver. The names should match those defined in the printer. Once defined, the names are available on the Raster Stamp Selection drop-down list.

Scaling Factor

Specifies the output size of a loaded raster stamp. You can specify a scaling factor of 10 through 999. The scaling factor can be either Relative to Drawing or Absolute.

Raster Stamp Placement

Controls the printed location of a raster stamp.

X Position

You can set the X position to Left, Center, Right, or Absolute in inches or millimeters.

Y Position

You can set the Y position to Top, Center, Bottom, or Absolute in inches or millimeters.

Rotation

You can set the rotation to 0, 90, 180, or 270 degrees.


Edit Stamp Names Dialog Box (Xerox)

Raster Stamp Tab (Xerox)
Xerox Wide Format Custom Properties Dialog Box (Xerox)
Advanced Tab (Xerox)
Driver Custom Properties Reference > Third-Party Plotter Drivers > Xerox Driver Custom Properties > Xerox Wide Format Custom Properties Dialog Box (Xerox) >
Edit Stamp Names Dialog Box (Xerox)

Specifies the names of the stamps that are defined for the driver and loaded in the printer.

The Edit Stamp Names dialog box specifies the names of the stamps that are defined for the driver and loaded in the printer. The stamp names defined in the Edit Stamp Names dialog box should match the names defined in the printer.

Stamp names can be up to 48 characters in length. You can define up to eight raster stamp names. Stamp names that you define in this dialog box are available in the Raster Stamp Selection drop-down list on the Stamps tab.


Advanced Tab (Xerox)

Edit Stamp Names Dialog Box (Xerox)
Xerox Wide Format Custom Properties Dialog Box (Xerox)
XES Synergix 8825/8830/8855 Driver Custom Properties
Driver Custom Properties Reference > Third-Party Plotter Drivers > Xerox Driver Custom Properties > Xerox Wide Format Custom Properties Dialog Box (Xerox) >
Advanced Tab (Xerox)

Specifies settings for printer accounting, media mismatch mode action, and print nesting control.

The Advanced tab provides control over printer accounting, media mismatch mode action, and print nesting control. Advanced features require AccXES printer firmware, version 4.0 or later.

The following options are available on the Advanced tab:

Printer Accounting

The following options are available in the Printer Accounting area:

Enable

Turns on printer accounting.

Settings

Opens the Printer Accounting dialog box.

If you previously selected a printer firmware version earlier than 6.2, you are asked to enter an account number and a subaccount number.

If you have selected a printer firmware version 6.2 or later, you are asked to enter a user ID and an account ID.

Both dialog boxes allow you to save the information. If you do not save the information and accounting is enabled, you are prompted for the accounting information at plot time.

Mismatch Mode

Defines what is output if the media or media size requested does not match the media loaded.

Scale to Fit

The printer uses the largest media of the type selected that fits your printer. If all the installed media of the selected type are smaller than the print job, the largest media is used and the job is scaled to fit. If no media of the selected type is installed, the printer holds your job until the proper media is installed.

Block Printing

The printer holds your job until the proper media is installed.

Substitute Media

The printer substitutes the media type selected and prints on the size specified if it exists. If the size specified does not exist, the plot is set to Scale to Fit with the media type installed in the printer.

Plot Nesting

Nesting Margin

Specifies the space between the nested copies. Valid values are 0 mm through 25 mm (0 through 0.98425 inches). This option is available only when Nest Copies is selected.

Mode

Multiple copies of a print can be nested (printed together). Plot Nesting modes are

Off | No nesting.
Printer Default | Nest according to the printer settings.
Nest Copies | Nest multiple copies in a single print.

Rendering

Raster Halftone Method

Allows the selection of the binarization method used on multibit raster images.

Screen | Offers faster printing but may produce prints with a grainy appearance.
Error Diffusion | Generally produces a smoother print image.
Vector Minimum Line Width

Improves the visibility of fine lines. Depending on your printer's resolution, lines that are only a few pixels wide may appear light and be difficult to see. This setting allows you to set the minimum width of drawn lines from one to 10 pixels. Lines that are wider are not accommodated by Fineline Pixel Threshold. This setting has no impact on raster images.

Enter Account Numbers

When accounting is turned on and you have selected a firmware version of 6.1 or earlier, you use this dialog box to obtain your account number and subaccount number.

The account number and subaccount number must match values known by your printer. Your plotter administrator may add account and subaccount numbers using the printer’s front panel.

If you select Save Account Numbers, you are not prompted at plot generation time for these values. If Save Account Numbers is not selected, then you are prompted every time you generate a plot for the account and subaccount numbers.

Account Number

The account number must be in the range of 0 through 999999.

Sub-Account Number

The subaccount number must be in the range of 0 through 9999.

See your plotter administrator for your account number and subaccount number.


XES Synergix 8825/8830/8855 Driver Custom Properties

Advanced Tab (Xerox)
Third-Party Plotter Drivers
Use the AccXES Optimized System Printer Driver (XES)
Driver Custom Properties Reference > Third-Party Plotter Drivers >
XES Synergix 8825/8830/8855 Driver Custom Properties

Specifies custom properties for plots created with the XESystems, Inc. system printer driver.

You should use the current XESystems, Inc. (XES) AccXES™ optimized system printer driver (version 5.01 or later) instead of any of the older XES AccXES HDI drivers that you may have added previously with the Add-a-Plotter wizard.

Although HDI drivers that you add through the Add-a-Plotter wizard support XES AccXES printers, it is recommended that you use the AccXES optimized system printer driver from XESystems, Inc. for plotting. The AccXES optimized system printer driver provides significant performance improvement and reduces the amount of data generated. This is especially true if your drawings contain raster images.

NoteAll references to AutoCAD, unless otherwise noted, refer to all AutoCAD-based products.

Topics in this section

  • Use the AccXES Optimized System Printer Driver (XES)

    Specifies how to use the AccXES optimized system printer driver.

  • What’s New in the AccXES Optimized System Printer Driver (XES)

    List of recent changes to the AccXES optimized system printer driver.

  • File Changes in the AccXES Optimized System Printer Driver (XES)

    Overview of the file changes in the AccXES optimized system printer driver.

  • Benefits of Using the AccXES Optimized System Printer Driver (XES)

    List of the benefits of using the AccXES optimized system printer driver.

  • Available Settings for the AccXES Optimized Printer (XES)

    List of the settings that can be configured for the AccXES optimized system printer driver.

  • Troubleshooting Hints (XES)

    Overview of some problems that can cause issues when using the system driver.


Use the AccXES Optimized System Printer Driver (XES)

XES Synergix 8825/8830/8855 Driver Custom Properties
XES Synergix 8825/8830/8855 Driver Custom Properties
What’s New in the AccXES Optimized System Printer Driver (XES)
Driver Custom Properties Reference > Third-Party Plotter Drivers > XES Synergix 8825/8830/8855 Driver Custom Properties >
Use the AccXES Optimized System Printer Driver (XES)

Specifies how to use the AccXES optimized system printer driver.

To use the AccXES optimized system printer driver

  1. Download the current version of the XES AccXES optimized system printer driver (version 5.01 or later) from http://www.xes.com.
  2. Install the AccXES optimized system printer driver as a normal Microsoft® Windows system printer driver.
  3. Open an AutoCAD drawing.
  4. Click File menu [image] Plot.
  5. Select one of the following plotters:
    • AccXES 8830
    • AccXES 8825
    • AccXES 8855

    Do not confuse these plotters with XES 88xx.pc3 configurations, which are the older HDI driver configurations. When you have selected the correct XES AccXES optimized driver, the following is shown as part of the plotter name in the Plot and Page Setup dialog boxes in the Printer/Plotter area under Plotter:

    Optimized Driver – by XESystems, Inc.

    If you do not want the HDI driver plotter configuration files for your XES printers (XES 88xx.pc3 files) to be included in the Plotter drop-down list, use the Plotter Manager to delete them.


What’s New in the AccXES Optimized System Printer Driver (XES)

Use the AccXES Optimized System Printer Driver (XES)
XES Synergix 8825/8830/8855 Driver Custom Properties
File Changes in the AccXES Optimized System Printer Driver (XES)
Driver Custom Properties Reference > Third-Party Plotter Drivers > XES Synergix 8825/8830/8855 Driver Custom Properties >
What’s New in the AccXES Optimized System Printer Driver (XES)

List of recent changes to the AccXES optimized system printer driver.

The following changes have been made in the XES AccXES optimized system printer driver:

  • Media source and size are controlled through the Custom Properties dialog box instead of through the Plotter Configuration editor.
  • Options for vector graphics resolution are available on the Rendering tab in the Custom Properties dialog box.
  • The Raster Graphics Image slider controls in the Plotter Configuration editor can be used for both HDI and the optimized driver to control raster image processing.
  • A True Type Text setting is available in the Plotter Configuration editor.
  • When you click Custom Properties in the Plotter Configuration editor, the Custom Properties dialog box for the system printer opens.


File Changes in the AccXES Optimized System Printer Driver (XES)

What’s New in the AccXES Optimized System Printer Driver (XES)
XES Synergix 8825/8830/8855 Driver Custom Properties
Benefits of Using the AccXES Optimized System Printer Driver (XES)
Driver Custom Properties Reference > Third-Party Plotter Drivers > XES Synergix 8825/8830/8855 Driver Custom Properties >
File Changes in the AccXES Optimized System Printer Driver (XES)

Overview of the file changes in the AccXES optimized system printer driver.

The older HDI driver (xes7.hdi) that was located in the Drv directory generated HP-GL/2 and RTL data directly for the AccXES printer (models 8825, 8830, and 8855). When you selected a XESystems, Inc. AccXES printer through the Add-a-Plotter wizard, xes7.hdi was used.

The new optimized system driver uses the XES AccXES system printer driver (version 5.01 or later), along with xesgdi8.hdi, which is located in your Drv directory. The xesgdi8.hdi file receives graphics calls and makes GDI calls to the XES optimized system driver. The AccXES optimized system printer driver generates HP-GL/2 & RTL data for the XES AccXES printer.


Benefits of Using the AccXES Optimized System Printer Driver (XES)

File Changes in the AccXES Optimized System Printer Driver (XES)
XES Synergix 8825/8830/8855 Driver Custom Properties
Available Settings for the AccXES Optimized Printer (XES)
Driver Custom Properties Reference > Third-Party Plotter Drivers > XES Synergix 8825/8830/8855 Driver Custom Properties >
Benefits of Using the AccXES Optimized System Printer Driver (XES)

List of the benefits of using the AccXES optimized system printer driver.

The benefits of using the XESystems, Inc. AccXES optimized system printer driver are:

  • You install a single driver rather than one for AutoCAD and one for your other applications.
  • Advanced feature controls, such as nesting, banners, and finishing, are controlled the same way through all applications.
  • You need to learn only one interface for the XES AccXES printer control.
  • The XES AccXES optimized system printer driver processes significantly faster than the HDI driver, especially when your drawings include raster images.
  • The XES AccXES optimized system printer driver generates significantly less data than the HDI driver when plotting raster images.


Available Settings for the AccXES Optimized Printer (XES)

Benefits of Using the AccXES Optimized System Printer Driver (XES)
XES Synergix 8825/8830/8855 Driver Custom Properties
Troubleshooting Hints (XES)
Driver Custom Properties Reference > Third-Party Plotter Drivers > XES Synergix 8825/8830/8855 Driver Custom Properties >
Available Settings for the AccXES Optimized Printer (XES)

List of the settings that can be configured for the AccXES optimized system printer driver.

In the Plotter Configuration Editor, click the Custom Properties button to change any of the following settings for the AccXES optimized printer:

  • Media size
  • User-defined media size
  • Paper orientation
  • Media type
  • Media source
  • Copy count
  • Margins and justification
  • Banner pages
  • Plot labeling
  • Raster stamps
  • Finishing (folding)
  • Plot nesting
  • Actions on media mismatch
  • Additional scaling
  • Additional image scaling
  • Mirroring
  • Additional rotation
  • Output resolution


Troubleshooting Hints (XES)

Available Settings for the AccXES Optimized Printer (XES)
XES Synergix 8825/8830/8855 Driver Custom Properties
Driver Custom Properties Reference > Third-Party Plotter Drivers > XES Synergix 8825/8830/8855 Driver Custom Properties >
Troubleshooting Hints (XES)

Overview of some problems that can cause issues when using the system driver.

You are probably using an older, nonoptimized version of an XES system printer driver if:

  • You cannot plot long plots
  • Print processing is slower than the HDI driver
  • The amount of data is larger than when generated by the HDI driver

If “Optimized Driver – by XESystems, Inc.” is not shown as part of the plotter name in the Plot and Page Setup dialog boxes in the Printer/Plotter area under Plotter, you are not using the XES AccXES optimized system printer driver.


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!